* Mon Jun 24 2019 DJ Delorie <dj@redhat.com> - 2.29.9000-30
- Auto-sync with upstream branch master,
  commit 2bd81b60d6ffdf7e0d22006d69f4b812b1c80513.
- szl_PL locale: Spelling corrections (swbz 24652).
- nl_{AW,NL}: Correct the thousands separator and grouping (swbz 23831).
- Add missing VDSO_{NAME,HASH}_* macros and use them for PREPARE_VERSION_KNOWN
- nptl: Convert various tests to use libsupport
- support: Invent verbose_printf macro
- support: Add xclock_now helper function.

* Fri Jun 21 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-29
- Auto-sync with upstream branch master,
  commit 21cc130b78a4db9113fb6695e2b951e697662440:
- During exit, skip wide buffer handling for legacy stdio handles (#1722216)
- powerpc: add 'volatile' to asm
- powerpc: Fix static-linked version of __ppc_get_timebase_freq (swbz#24640)
- nl_AW locale: Correct the negative monetary format (swb#z24614)
- Fix gcc 9 build errors for make xcheck. (swbz#24556)
- dlfcn: Avoid one-element flexible array in Dl_serinfo (swbz#24166)
- elf: Refuse to dlopen PIE objects (swbz#24323)
- nl_NL locale: Correct the negative monetary format (swbz#24614)
- powerpc: Refactor powerpc64 lround/lroundf/llround/llroundf
- powerpc: refactor powerpc64 lrint/lrintf/llrint/llrintf

* Mon Jun 17 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-28
- Auto-sync with upstream branch master,
  commit 48c3c1238925410b4e777dc94e2fde4cc9132d44.
- Linux: Fix __glibc_has_include use for <sys/stat.h> and statx (#1721129)
- <sys/cdefs.h>: Inhibit macro expansion for __glibc_has_include
- Add IPV6_ROUTER_ALERT_ISOLATE from Linux 5.1 to bits/in.h
- aarch64: handle STO_AARCH64_VARIANT_PCS
- aarch64: add STO_AARCH64_VARIANT_PCS and DT_AARCH64_VARIANT_PCS
- powerpc: Remove optimized finite
- math: Use wordsize-64 version for finite
- powerpc: Remove optimized isinf
- math: Use wordsize-64 version for isinf
- powerpc: Remove optimized isnan
- math: Use wordsize-64 version for isnan
- benchtests: Add isnan/isinf/isfinite benchmark
- powerpc: copysign cleanup
- powerpc: consolidate rint
- libio: freopen of default streams crashes in old programs (swbz#24632)
- Linux: Deprecate <sys/sysctl.h> and sysctl
- <sys/stat.h>: Use Linux UAPI header for statx if available and useful
  (#1721129)
- <sys/cdefs.h>: Add __glibc_has_include macro
- Improve performance of memmem
- Improve performance of strstr
- Benchmark strstr hard needles
- Fix malloc tests build with GCC 10

* Mon Jun 10 2019 Patsy Franklin <patsy@redhat.com> - 2.29.9000-27
- Auto-sync with upstream branch master,
  commit 51ea67d54882318c4fa5394c386f4816ddc22408.
- powerpc: get_rounding_mode: utilize faster method to get rounding mode
- riscv: Do not use __has_include__
- powerpc: fegetexcept: utilize function instead of duplicating code
- iconv: Use __twalk_r in __gconv_release_shlib
- Fix iconv buffer handling with IGNORE error handler (swbz#18830)

* Wed Jun  5 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-26
- Restore /usr/lib/locale/locale-archive under its original name (#1716710)

* Tue Jun  4 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-25
- Add glibc version to locale-archive name (#1716710)

* Mon Jun 03 2019 Carlos O'Donell <carlos@redhat.com> - 2.29.9000-24
- Auto-sync with upstream branch master,
  commit dc91a19e6f71e1523f4ac179191a29b2131d74bb:
- Linux: Add oddly-named arm syscalls to syscall-names.list.
- arm: Remove ioperm/iopl/inb/inw/inl/outb/outw/outl support.
- Add INADDR_ALLSNOOPERS_GROUP from Linux 5.1 to netinet/in.h.

* Sat Jun 01 2019 Carlos O'Donell <carlos@redhat.com> - 2.29.9000-23
- Convert glibc_post_upgrade to lua.

* Sat Jun 01 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-22
- Remove support for filtering glibc-all-langpacks (#1715891)
- Auto-sync with upstream branch master,
  commit 9250e6610fdb0f3a6f238d2813e319a41fb7a810:
- powerpc: Fix build failures with current GCC
- Remove unused get_clockfreq files
- powerpc: generic nearbyint/nearbyintf
- tt_RU: Add lang_name (swbz#24370)
- tt_RU: Fix orthographic mistakes in mon and abmon sections (swbz#24369)
- Add IGMP_MRDISC_ADV from Linux 5.1 to netinet/igmp.h.

* Mon May 27 2019 Arjun Shankar <arjun@redhat.com> - 2.29.9000-21
- Auto-sync with upstream branch master,
  commit 85188d8211698d1a255f0aec6529546db5c56de3:
- Remove support for PowerPC SPE extension
- elf: Add tst-ldconfig-bad-aux-cache test
- Add F_SEAL_FUTURE_WRITE from Linux 5.1 to bits/fcntl-linux.h
- nss_dns: Check for proper A/AAAA address alignment

* Tue May 21 2019 DJ Delorie <dj@redhat.com> - 2.29.9000-20
- Auto-sync with upstream branch master,
  commit 46ae07324b1cd50fbf8f37a076d6babcfca7c510.
- Improve string benchtest timing
- sysvipc: Add missing bit of semtimedop s390 consolidation
- wcsmbs: Fix data race in __wcsmbs_clone_conv [swbz #24584]
- libio: Fix gconv-related memory leak [swbz #24583]
- libio: Remove codecvt vtable [swbz #24588]
- support: Expose sbindir as support_sbindir_prefix
- support: Add missing EOL terminators on timespec
- support: Correct confusing comment
- sysvipc: Consolidate semtimedop s390
- sysvipc: Fix compat msgctl (swbz#24570)
- Add NT_ARM_PACA_KEYS and NT_ARM_PACG_KEYS from Linux 5.1 to elf.h.
- Small tcache improvements
- manual: Document O_DIRECTORY
- Update kernel-features.h files for Linux 5.1.
- nss_nis, nss_nisplus: Remove RES_USE_INET6 handling
- nss_files: Remove RES_USE_INET6 from hosts processing
- support: Report NULL blobs explicitly in TEST_COMPARE
- dlfcn: Guard __dlerror_main_freeres with __libc_once_get (once) [swbz# 24476]
- Add missing Changelog entry

* Wed May 15 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-19
- Auto-sync with upstream branch master,
  commit 32ff397533715988c19cbf3675dcbd727ec13e18:
- Fix crash in _IO_wfile_sync (#1710460)
- nss: Turn __nss_database_lookup into a compatibility symbol
- support: Add support_install_rootsbindir
- iconv: Remove public declaration of __gconv_transliterate
- Linux: Add the tgkill function
- manual: Adjust twalk_r documentation.
- elf: Fix tst-pldd for non-default --prefix and/or --bindir (swbz#24544)
- support: Export bindir path on support_path
- configure: Make --bindir effective
- x86: Remove arch-specific low level lock implementation
- nptl: Assume LLL_LOCK_INITIALIZER is 0
- nptl: Small optimization for lowlevellock
- Add single-thread.h header
- locale: Update to Unicode 12.1.0 (swbz#24535)
- malloc: Fix tcache count maximum (swbz#24531)
- sem_close: Use __twalk_r
- support: Fix timespec printf
- nptl/tst-abstime: Use libsupport
- nptl: Convert some rwlock tests to use libsupport
- nptl: Use recent additions to libsupport in tst-sem5
- nptl: Convert tst-cond11.c to use libsupport
- support: Add timespec.h
- Move nptl/tst-eintr1 to xtests (swbz#24537)
- powerpc: trunc/truncf refactor
- powerpc: round/roundf refactor
- powerpc: floor/floorf refactor
- support: Add xclock_gettime
- malloc/tst-mallocfork2: Use process-shared barriers
- Update syscall-names.list for Linux 5.1
- Use GCC 9 in build-many-glibcs.py
- aarch64: thunderx2 memmove performance improvements
- misc/tst-tsearch: Additional explicit error checking
- elf: Fix elf/tst-pldd with --enable-hardcoded-path-in-tests (swbz#24506)
- misc: Add twalk_r function

* Thu May 02 2019 Arjun Shankar <arjun@redhat.com> - 2.29.9000-18
- Auto-sync with upstream branch master,
  commit 20aa5819586ac7ad11f711bab64feda307965191:
- semaphore.h: Add nonnull attributes
- powerpc: Remove power4 mpa optimization
- powerpc: Refactor ceil/ceilf
- Fix -O1 compilation errors with `__ddivl' and `__fdivl' [BZ #19444]
- Make mktime etc. compatible with __time64_t

* Fri Apr 26 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-17
- Auto-sync with upstream branch master,
  commit c57afec0a9b318bb691e0f5fa4e9681cf30df7a4:
- Increase BIND_NOW coverage (#1702671)
- Fix pldd hang (#1361689)
- riscv: remove DL_RO_DYN_SECTION (swbz#24484)
- locale: Add LOCPATH diagnostics to the locale program
- Reduce benchtests time

* Mon Apr 22 2019 DJ Delorie <dj@redhat.com> - 2.29.9000-16
- Auto-sync with upstream branch master,
  commit 25f7a3c96116a9102df8bf7b04ef160faa32416d.
- malloc: make malloc fail with requests larger than PTRDIFF_MAX (BZ#23741)
- powerpc: Fix format issue from 3a16dd780eeba602
- powerpc: fma using builtins
- powerpc: Use generic fabs{f} implementations
- mips: Remove rt_sigreturn usage on context function
- powerpc: Remove rt_sigreturn usage on context function
- support: Add support_capture_subprogram
- stdlib/tst-secure-getenv: handle >64 groups

* Mon Apr 15 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-15
- Auto-sync with upstream branch master,
  commit e3f454bac0f968216699ca405c127c858f0657c7:
- nss_dns: Do not replace root domain with empty string
- alloc_buffer: Return unqualified pointer type in alloc_buffer_next
- malloc: Set and reset all hooks for tracing (swbz#16573)

* Thu Apr 11 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-14
- Run valgrind smoke test against the install tree

* Thu Apr 11 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-13
- Do not use --g-libs with find-debuginfo.sh; it breaks valgrind (#1698824)

* Wed Apr 10 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-12
- Strip debugging information from installed programs again (#1661510)

* Tue Apr 09 2019 Carlos O'Donell <carlos@redhat.com> - 2.29.9000-11
- Drop glibc-warning-fix.patch. Microbenchmark code fixed upstream.
- Auto-sync with upstream branch master,
  commit 648279f4af423c4783ec1dfa63cb7b46a7640217:
- powerpc: Use generic wcscpy optimization
- powerpc: Use generic wcschr optimization
- powerpc: Use generic wcsrchr optimization
- aarch64: thunderx2 memcpy implementation cleanup and streamlining
- resolv: Remove support for RES_USE_INET6 and the inet6 option
- resolv: Remove RES_INSECURE1, RES_INSECURE2

* Thu Apr 04 2019 Arjun Shankar <arjun@redhat.com> - 2.29.9000-10
- Auto-sync with upstream branch master,
  commit 8260f23616c1a2a4e609f989a195fba7690a42ca:
- Fix strptime era handling, add more strftime tests [BZ #24394]
- time/tst-strftime2.c: Make the file easier to maintain
- time: Add tests for Minguo calendar [BZ #24293]
- ja_JP locale: Add entry for the new Japanese era [BZ #22964]
- Add Reiwa era tests to time/tst-strftime3.c

* Mon Apr 01 2019 Arjun Shankar <arjun@redhat.com> - 2.29.9000-9
- Auto-sync with upstream branch master,
  commit 993e3107af67edefcfc79a62ae55f7b98aa5151e:
- Add AArch64 HWCAPs from Linux 5.0
- tt_RU: Fix orthographic mistakes in day and abday sections [BZ #24296]
- iconv, localedef: avoid floating point rounding differences [BZ #24372]
- Fix parentheses error in iconvconfig.c and ld-collate.c [BZ #24372]
- S390: New configure check and hwcap values for new CPU architecture arch13
- S390: Add memmove, strstr, and memmem ifunc variants for arch13
- nptl: Remove pthread_clock_gettime pthread_clock_settime
- linux: Assume clock_getres CLOCK_{PROCESS,THREAD}_CPUTIME_ID
- Remove __get_clockfreq
- Do not use HP_TIMING_NOW for random bits
- hp-timing: Refactor rtld usage, add generic support
- Add NT_ARM_PAC_MASK and NT_MIPS_MSA from Linux 5.0 to elf.h
- Add UDP_GRO from Linux 5.0 to netinet/udp.h
- nptl: Convert tst-sem5 & tst-sem13 to use libsupport
- nptl/tst-rwlock14: Test pthread_rwlock_timedwrlock correctly
- nss/tst-nss-files-alias-leak: add missing opening quote in printf
- math: Enable some math builtins for clang
- powerpc: Use __builtin_{mffs,mtfsf}
- RISC-V: Fix `test' operand error with soft-float ABI being configured

* Wed Mar 20 2019 Carlos O'Donell <carlos@redhat.com> - 2.29.9000-8
- Add warnings and notes to /etc/nsswitch.conf and /etc/nscd.conf.

* Mon Mar 18 2019 DJ Delorie <dj@redhat.com> - 2.29.9000-7
- Auto-sync with upstream branch master,
  commit 78919d3886c9543279ec755a701e279c62b44164.

* Thu Mar 14 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-6
- Drop glibc-fedora-streams-rh436349.patch.  STREAMS was removed upstream.
- Auto-sync with upstream branch master,
  commit a0a0dc83173ce11ff45105fd32e5d14356cdfb9c:
- Remove obsolete, never-implemented XSI STREAMS declarations
- nss: Fix tst-nss-files-alias-truncated for default --as-needed linking
- scripts/check-obsolete-constructs.py: Process all headers as UTF-8.
- Use Linux 5.0 in build-many-glibcs.py.
- hurd: Add no-op version of __res_enable_icmp [BZ #24047]
- Move inttypes.h and stdint.h to stdlib.
- Use a proper C tokenizer to implement the obsolete typedefs test.
- Fix output of LD_SHOW_AUXV=1.

* Wed Mar 13 2019 Florian Weimer <fweimer@redhat.com> - 2.29.9000-5
- Drop glibc-rh1670028.patch, applied upstream
- Auto-sync with upstream branch master,
  commit 38b52865d4ccfee3647f27e969e539a4396a73b1:
- elf: Add DF_1_KMOD, DF_1_WEAKFILTER, DF_1_NOCOMMON to <elf.h>
- resolv: Enable full ICMP errors for UDP DNS sockets [BZ #24047]
- C-SKY: add elf header definition for elfutils
- C-SKY: mark lr as undefined to stop unwinding
- C-SKY: remove user_regs definition
- C-SKY: fix sigcontext miss match
- Bug 24307: Update to Unicode 12.0.0
- Break lines before not after operators, batch 4.
- check-wrapper-headers test: Adjust Fortran include file directory
- Fix location where math-vector-fortran.h is installed.

* Wed Mar 06 2019 DJ Delorie <dj@redhat.com> - 2.29.9000-4
- Auto-sync with upstream branch master,
  commit 0ddb7ea842abf63516b74d4b057c052afc6ba863.
- nptl: Assume __ASSUME_FUTEX_CLOCK_REALTIME support
- powerpc: Fix build of wcscpy with --disable-multi-arch
- elf: Remove remnants of MAP_ANON emulation
- S390: Increase function alignment to 16 bytes.
- ja_JP: Change the offset for Taisho gan-nen from 2 to 1 [BZ #24162]
- ldbl-opt: Reuse test cases from misc/ that check long double
- ldbl-opt: Add error and error_at_line (bug 23984)
- ldbl-opt: Add err, errx, verr, verrx, warn, warnx, vwarn, and vwarnx (bug 23984)
- ldbl-opt: Reuse argp tests that print long double
- ldbl-opt: Add argp_error and argp_failure (bug 23983)
- elf/tst-big-note: Improve accuracy of test [BZ #20419]
- S390: Fix introduction of __wcscpy and weak wcscpy symbols.
- __netlink_assert_response: Add more __libc_fatal newlines [BZ #20271]
- Add more spaces before '('.
- elf: Add tests with a local IFUNC resolver [BZ #23937]
- elf/Makefile: Run IFUNC tests if binutils supports IFUNC
- powerpc: Fix linknamespace introduced by 4d8015639a75
- hurd: Add renameat2 support for RENAME_NOREPLACE
- Fix -Wempty-body warnings in Hurd-specific code.
- Add some spaces before '('.
- wcsmbs: optimize wcsnlen
- wcsmbs: optimize wcsncpy
- wcsmbs: optimize wcsncat
- wcsmbs: optimize wcscpy
- wcsmbs: optimize wcscat
- wcsmbs: optimize wcpncpy
- wcsmbs: optimize wcpcpy
- Break further lines before not after operators.
- Add and move fall-through comments in system-specific code.

* Fri Mar 1 2019 DJ Delorie <dj@redhat.com> - 2.29.9000-3
- Add .gdb_index to debug information (rhbz#1680765)

* Wed Feb 27 2019 Carlos O'Donell <carlos@redhat.com> - 2.29.9000-2
- Fix build failure related to microbenchmarks.

* Tue Feb 26 2019 Carlos O'Donell <carlos@redhat.com> - 2.29.9000-1
- Auto-sync with upstream branch master,
  commit e0cb7b6131ee5f2dca2938069b8b9590304e6f6b:
- nss_files: Fix /etc/aliases null pointer dereference (swbz#24059)
- regex: fix read overrun (swbz#24114)
- libio: use stdout in puts and putchar, etc (swbz#24051)
- aarch64: Add AmpereComputing emag to tunable cpu list
- aarch64: Optimized memset specific to AmpereComputing emag
- aarch64: Optimized memchr specific to AmpereComputing emag
- Require GCC 6.2 or later to build glibc
- manual: Document lack of conformance of sched_* functions (swbz#14829)
- libio: Use stdin consistently for input functions (swbz#24153)
- x86-64 memcmp: Use unsigned Jcc instructions on size (swbz#24155)
- Fix handling of collating elements in fnmatch (swbz#17396,swbz#16976)
- arm: Use "nr" constraint for Systemtap probes (swbz#24164)
- Fix alignment of TLS variables for tls variant TLS_TCB_AT_TP (swbz#23403)
- Add compiler barriers for pthread_mutex_trylock (swbz#24180)
- rt: Turn forwards from librt to libc into compat symbols (swbz#24194)
- Linux: Add gettid system call wrapper (swbz#6399)
- nptl: Avoid fork handler lock for async-signal-safe fork (swbz#24161)
- elf: Ignore LD_AUDIT interfaces if la_version returns 0 (swbz#24122)
- nptl: Reinstate pthread_timedjoin_np as a cancellation point (swbz#24215)
- nptl: Fix invalid Systemtap probe in pthread_join (swbz#24211)

* Tue Feb 19 2019 Florian Weimer <fweimer@redhat.com> - 2.29-8
- Drop glibc-rh1674280.patch.  Different fix applied upstream.  (#1674280)
- Auto-sync with upstream branch release/2.29/master,
  commit 067fc32968b601493f4b247a3ac00caeea3f3d61:
- nptl: Fix invalid Systemtap probe in pthread_join (#1674280)

* Mon Feb 11 2019 Florian Weimer <fweimer@redhat.com> - 2.29-7
- Hotfix for invalid Systemtap probe in pthread_join (#1674280)

* Mon Feb 11 2019 Florian Weimer <fweimer@redhat.com> - 2.29-6
- Remove LRA bug on POWER workaround, fixed in gcc-9.0.1-0.4.fc30 (#1673018)

* Mon Feb 11 2019 Florian Weimer <fweimer@redhat.com> - 2.29-5
- Auto-sync with upstream branch release/2.29/master,
  commit c096b008d2671028c21ac8cf01f18a2083e73c44:
- nptl: Avoid fork handler lock for async-signal-safe fork (swbz#24161)
- nptl: Add compiler barriers in pthread_mutex_trylock (swbz#24180)

* Thu Feb  7 2019 Florian Weimer <fweimer@redhat.com> - 2.29-4
- Work around LRA hang on ppc64le (#1673018)

* Wed Feb 06 2019 Florian Weimer <fweimer@redhat.com> - 2.29-3
- Auto-sync with upstream branch release/2.29/master,
  commit 2de15ac95713a238dc258eb8977ecdfca811fc19:
- arm: Use "nr" constraint for Systemtap probes (#1196181)

* Fri Feb  1 2019 Florian Weimer <fweimer@redhat.com> - 2.29-2
- Eliminate %%glibcrelease macro.
- Switch to regular Release: pattern.

* Thu Jan 31 2019 Carlos O'Donell <carlos@redhat.com> - 2.29-1
- Auto-sync with upstream branch release/2.29/master,
  commit 86013ef5cea322b8f4b9c22f230c22cce369e947.
- nptl: Fix pthread_rwlock_try*lock stalls (swbz#23844)

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 DJ Delorie <dj@redhat.com> - 2.28.9000-37
- Auto-sync with upstream branch master,
  commit e1e47c912a8e557508362715f7468091def3ec4f.
- Update translations.
* Mon Jan 28 2019 Florian Weimer <fweimer@redhat.com> - 2.28.9000-36
- resolv: Enable full ICMP error reporting in stub resolver (#1670028)

* Mon Jan 28 2019 Florian Weimer <fweimer@redhat.com> - 2.28.9000-35
- Remove obsolete scriptlets

* Fri Jan 25 2019 Florian Weimer <fweimer@redhat.com> - 2.28.9000-34
- Auto-sync with upstream branch master,
  commit 83e6b59625f45db1eee93e5684091f740c52a083:
- elf: Revert LD_AUDIT fix for modules with invalid version (swbz#24122)
- strftime: Pass the additional flags from "%EY" to "%Ey" (swbz#24096)
- strftime: Set the default width of "%Ey" to 2 (swbz#23758)

* Thu Jan 24 2019 Florian Weimer <fweimer@redhat.com> - 2.28.9000-33
- Auto-sync with upstream branch master,
  commit 3367acdb344a1d7fcf8f53748d301d652c8911dd:
- elf: Fix LD_AUDIT for modules with invalid version (swbz#24122)
- CVE-2016-10739: getaddrinfo: Fully parse IPv4 address strings (#1331390)
- resolv: Do not send queries for non-host-names in nss_dns (swbz#24112)
- malloc: Revert fastbins to old-style atomics

* Wed Jan 23 2019 Florian Weimer <fweimer@redhat.com> - 2.28.9000-32
- Use assembler to produce annobin notes for nonshared libraries (#1668822)

* Wed Jan 16 2019 Carlos O'Donell <carlos@redhat.com> - 2.28.9000-31
- Auto-sync with upstream branch master,
  commit 008b598e2a495024f9777006716cfd8668f3db33.
- x86-64: Optimize strcat/strncat, strcpy/strncpy and stpcpy/stpncpy with AVX2
- powerpc: Fix VSCR position in ucontext (swbz#24088)
- AArch64: Add ifunc support for Ares
- soft-fp: Properly check _FP_W_TYPE_SIZE (swbz#24066)

* Thu Jan 10 2019 Florian Weimer <fweimer@redhat.com> - 2.28.9000-30
- Inherit -march=haswell flag from redhat-rpm-config

* Mon Jan 07 2019 Arjun Shankar <arjun@redhat.com> - 2.28.9000-29
- Auto-sync with upstream branch master,
  commit 2ef427168818ce04b03cecb7b739f9db0156e3e4.
- Require GCC 5 or later to build glibc (swbz#23993)
- Only build libm with -fno-math-errno (swbz#24024)
- sysdeps/ieee754: prevent maybe-uninitialized errors with -O (swbz#19444)
- Multiple locales: Use the correct 12-hour time formats (swbz#10496)
- sq_AL: Use the correct date and time formats (swbz#10496, swbz#23724)
- en_US: define date_fmt (swbz#24046)
- Remove executable bit from localedata/locales/bi_VU (swbz#23995)
- malloc: Always call memcpy in _int_realloc (swbz#24027)
- ARM: fix kernel assisted atomics with GCC 8 (swbz#24034)
- S390: Unify 31/64bit mem{set,cmp,cpy,pcpy}, bzero with ifunc handling
- S390: Refactor ifunc handling for several str* and wc* functions
- posix: Clear close-on-exec for posix_spawn adddup2 (swbz#23640)
- termios: Define TIOCSER_TEMT with __USE_MISC (swbz#17783)
- termios: Consolidate Baud Rate Selection definitions (swbz#23783)
- Y2038: add __{localtime64,gmttime64,ctime64}[_r] functions
- Y2038: make __difftime compatible with 64-bit time

* Mon Dec 17 2018 DJ Delorie <dj@redhat.com> - 2.28.9000-28
- Auto-sync with upstream branch master,
  commit 6bbfc5c09fc5b5e3d4a0cddbbd4e2e457767dae7.
- Add statx conditionals for wordsize-32 *xstat.c
- regex: fix storage-exhaustion error (swbz#18040)
- regex: fix heap-use-after-free error (swbz#18040)
- manual: Document thread/task IDs for Linux

* Thu Dec 13 2018 Carlos O'Donell <carlos@redhat.com> - 2.28.9000-27
- Auto-sync with upstream branch master,
  commit ade8b817fead73b302d08c88cd44ea2ea56793d4.
- powerpc: missing CFI register information in __mpn_* functions (swbz#23614)
- rdlock stalls indefinitely on an unlocked pthread rwlock (swbz#23861)

* Tue Dec 11 2018 Carlos O'Donell <carlos@redhat.com> - 2.28.9000-26
- Auto-sync with upstream branch master,
  commit 505b5b292293a5d6bd4046a6bc7f8c2381a33da4.
- Fix powf overflow handling in non-nearest rounding mode (swbz#23961)
- test-container: move postclean outside of namespace changes (swbz#23948)
- Enable VDSO for static linking on mips (swbz#19767)

* Mon Dec 10 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-25
- Auto-sync with upstream branch master,
  commit 8d20a2f414fa52aceef8a0e3675415df54a840db:
- compat getdents64: Use correct offset for retry (swbz#23972)
- x86: Fix static analysis warning in tst-cet-property-2 (swbz#23490)
- malloc: Add another test for tcache double free check (swbz#23907)
- getcpu: New system call wrapper
- posix_spawn_file_actions_addfchdir_np: New function (swbz#17405)
- Preparations for the IBM long double transition
- Preparations for 64-bit time_t on 32-bit architectures
- Enable VDSO for static linking on arm (swbz#19767)

* Mon Dec 03 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-24
- Auto-sync with upstream branch master,
  commit 7b36d26b22d147ffc347f427f9fd584700578a94:
- CVE-2018-19591: if_nametoindex: Fix descriptor for overlong name (#1654000)
- Mutex: Add pthread mutex tunables
- stdlib: assert on NULL function pointer in atexit etc. (swbz#20544)
- Enable VDSO on i386 statically linked programs
- posix: Use posix_spawn on system
- posix: Use posix_spawn on popen (swbz#17490, swbz#22834)
- Fix _dl_profile_fixup data-dependency issue (swbz#23690)
- Enable VDSO for static linking on aarch64

* Thu Nov 29 2018 Carlos O'Donell <carlos@redhat.com> - 2.28.9000-23
- Move requirement on libgcc from glibc-devel to glibc (#1352973)

* Tue Nov 27 2018 Carlos O'Donell <carlos@redhat.com> - 2.28.9000-22
- Add requires on explicit glibc version for glibc-nss-devel (#1651260)

* Tue Nov 27 2018 Arjun Shankar <arjun@redhat.com> - 2.28.9000-21
- Drop glibc-rh1652495.patch.  Applied upstream. (#1652495)
- Auto-sync with upstream branch master,
  commit ce035c6e909ad20ef2fe13c92eab4e69f6495b61.

* Mon Nov 26 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-20
- Do not use parallel make for building locales (#1652228)

* Thu Nov 22 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-19
- malloc: Revert tcache double-free check (#1652495)

* Tue Nov 20 2018 DJ Delorie <dj@redhat.com> - 2.28.9000-18
- Auto-sync with upstream branch master,
  commit bcdaad21d4635931d1bd3b54a7894276925d081d.
- malloc: tcache double free check
- [AArch64] Adjust writeback in non-zero memset
- Update config.guess and config.sub to current versions.
- support: Print timestamps in timeout handler
- Use STRFMON_LDBL_IS_DBL instead of __ldbl_is_dbl.

* Fri Nov 16 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-17
- Auto-sync with upstream branch master,
  commit 346ef23f197a0c8ba807c344bd39101b711050ee.

* Fri Nov 09 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-16
- Auto-sync with upstream branch master,
  commit 43257c335ad6b9e05fb882975e1776ff763164ee:
- Disable CET for binaries created by older link editors (#1648297)

* Wed Nov 07 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-15
- Auto-sync with upstream branch master,
  commit 00c86a37d1b63044e3169d1f2ebec23447c73f79.

* Wed Nov 07 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-14
- Auto-sync with upstream branch master,
  commit 1df872fd74f730bcae3df201a229195445d2e18a:
- libanl: Fix crash if first helper thread creation failed (#1646381)

* Thu Nov  1 2018 Mike FABIAN <mfabian@redhat.com> - 2.28.9000-13
- Include Esperanto (eo) in glibc-all-langpacks (#1643756)

* Mon Oct 29 2018 DJ Delorie <dj@redhat.com> - 2.28.9000-12
- Auto-sync with upstream branch master,
  commit c6982f7efc1c70fe2d6160a87ee44d871ac85ab0.

* Fri Oct 26 2018 Arjun Shankar <arjun@redhat.com> - 2.28.9000-11
- Auto-sync with upstream branch master,
  commit fe61f17cfc18f17befca3280e828bb40e8c772b0.

* Wed Oct 24 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-10
- Auto-sync with upstream branch master,
  commit a27a4f4721837a5fb36ace833764b06a64c5af1c.

* Thu Oct 18 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-9
- Auto-sync with upstream branch master,
  commit 72771e53753647111d31c5c4bf43d8901e6baf7e.

* Thu Sep 27 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-8
- Auto-sync with upstream branch master,
  commit f841c97e515a1673485a2b12b3c280073d737890:
- stdlib/tst-setcontext9 test suite failure on ppc64le (#1623519)

* Thu Sep 20 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-7
- Auto-sync with upstream branch master,
  commit db9a8ad4ff3fc58e3773a9a4d0cabe3c1bc9c94c:
- gethostid: Missing NULL check for gethostbyname_r result (#1631338)
- stdlib/tst-setcontext9 test suite failure (#1623519)

* Wed Sep  5 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-6
- Add python3-devel build dependency for downstream benefit

* Wed Sep 05 2018 Carlos O'Donell <carlos@redhat.com> - 2.28.9000-5
- Provide compatibility support for linking against libpthread_nonshared.a
  (#1625507)

* Wed Aug 29 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-4
- Remove workaround for valgrind bug (#1600034)

* Wed Aug 29 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-3
- Auto-sync with upstream branch master,
  commit ff6b24501f70da7d6375d6f5929262b9509db39e.

* Mon Aug 27 2018 Florian Weimer <fweimer@redhat.com> - 2.28.9000-2
- Auto-sync with upstream branch master,
  commit 99ea93ca31795469d2a1f1570f17a5c39c2eb7e2:
- nptl: Fix waiters-after-spinning case in pthread_cond_broadcast (#1622669)
- regex: Fix memory corruption when pattern and input contain NUL (#1622674)

* Tue Aug 21 2018 Carlos O'Donell <carlos@systemhalted.org> - 2.28.9000-1
- Drop glibc-asflags.patch. Applied upstream.
- Drop glibc-rh1614705.patch. Applied upstream.
- Drop glibc-with-nonshared-cflags.patch. Applied upstream.
- Auto-sync with upstream branch master,
  commit aa42b3dbcb0326badf377fec2c7fb2f34fdabecd.

* Mon Aug 13 2018 Carlos O'Donell <carlos@redhat.com> - 2.28-5
- Remove abort() warning in manual (#1615608)

* Fri Aug 10 2018 Florian Weimer <fweimer@redhat.com> - 2.28-4
- Fix regression in readdir64@GLIBC_2.1 compat symbol (#1614705)

* Thu Aug  2 2018 Florian Weimer <fweimer@redhat.com> - 2.28-3
- Log /proc/sysinfo if available (on s390x)

* Thu Aug  2 2018 Florian Weimer <fweimer@redhat.com> - 2.28-2
- Honor %%{valgrind_arches}

* Wed Aug 01 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-43
- Update to glibc 2.28 release tarball:
- Translation updates
- x86/CET: Fix property note parser (swbz#23467)
- x86: Add tst-get-cpu-features-static to $(tests) (swbz#23458)

* Mon Jul 30 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-42
- Auto-sync with upstream branch master,
  commit af86087f02a5522d8801a11d8381e04f95e33162:
- x86/CET: Don't parse beyond the note end
- Fix Linux fcntl OFD locks tests on unsupported kernels
- x86: Populate COMMON_CPUID_INDEX_80000001 for Intel CPUs (swbz#23459)
- x86: Correct index_cpu_LZCNT (swbz#23456)
- Fix string/tst-xbzero-opt if build with gcc head

* Thu Jul 26 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-41
- Build with --enable-cet on x86_64, i686
- Auto-sync with upstream branch master,
  commit cfba5dbb10cc3abde632b46c60c10b2843917035:
- Keep expected behaviour for [a-z] and [A-z] (#1607286)
- Additional ucontext tests
- Intel CET enhancements
- ISO C11 threads support
- Fix out-of-bounds access in IBM-1390 converter (swbz#23448)
- New locale Yakut (Sakha) for Russia (sah_RU) (swbz#22241)
- os_RU: Add alternative month names (swbz#23140)
- powerpc64: Always restore TOC on longjmp (swbz#21895)
- dsb_DE locale: Fix syntax error and add tests (swbz#23208)
- Improve performance of the generic strstr implementation
- regcomp: Fix off-by-one bug in build_equiv_class (swbz#23396)
- Fix out of bounds access in findidxwc (swbz#23442)

* Fri Jul 13 2018 Carlos O'Donell <carlos@redhat.com> - 2.27.9000-40
- Fix file list for glibc RPM packaging (#1601011).

* Wed Jul 11 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-39
- Add POWER9 multilib (downstream only)

* Wed Jul 11 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-38
- Auto-sync with upstream branch master,
  commit 93304f5f7a32f73b551266c5a181db51d97a71e4:
- Install <bits/statx.h> header
- Put the correct Unicode version number 11.0.0 into the generated files

* Wed Jul 11 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-37
- Work around valgrind issue on i686 (#1600034)

* Tue Jul 10 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-36
- Auto-sync with upstream branch master,
  commit fd70af45528d59a00eb3190ef6706cb299488fcd:
- Add the statx function
- regexec: Fix off-by-one bug in weight comparison (#1582229)
- nss_files: Fix re-reading of long lines (swbz#18991)
- aarch64: add HWCAP_ATOMICS to HWCAP_IMPORTANT
- aarch64: Remove HWCAP_CPUID from HWCAP_IMPORTANT
- conform/conformtest.pl: Escape literal braces in regular expressions
- x86: Use AVX_Fast_Unaligned_Load from Zen onwards.

* Fri Jul  6 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-35
- Remove ppc64 multilibs

* Fri Jul 06 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-34
- Auto-sync with upstream branch master,
  commit 3a885c1f51b18852869a91cf59a1b39da1595c7a.

* Thu Jul  5 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-33
- Enable build flags inheritance for nonshared flags

* Wed Jul  4 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-32
- Add annobin annotations to assembler code (#1548438)

* Wed Jul  4 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-31
- Enable -D_FORTIFY_SOURCE=2 for nonshared code

* Mon Jul 02 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-30
- Auto-sync with upstream branch master,
  commit b7b88cea4151d85eafd7ababc2e4b7ae1daeedf5:
- New locale: dsb_DE (Lower Sorbian)

* Fri Jun 29 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-29
- Drop glibc-deprecate_libcrypt.patch.  Variant applied upstream. (#1566464)
- Drop glibc-linux-timespec-header-compat.patch.  Upstreamed.
- Auto-sync with upstream branch master,
  commit e69d994a63afc2d367f286a2a7df28cbf710f0fe.

* Thu Jun 28 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-28
- Drop glibc-rh1315108.patch.  extend_alloca was removed upstream. (#1315108)
- Auto-sync with upstream branch master,
  commit c49e18222e4c40f21586dabced8a49732d946917.

* Thu Jun 21 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-27
- Compatibility fix for <sys/stat.h> and <linux/time.h>

* Thu Jun 21 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-26
- Auto-sync with upstream branch master,
  commit f496b28e61d0342f579bf794c71b80e9c7d0b1b5.

* Mon Jun 18 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-25
- Auto-sync with upstream branch master,
  commit f2857da7cdb65bfad75ee30981f5b2fde5bbb1dc.

* Mon Jun 18 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-24
- Auto-sync with upstream branch master,
  commit 14beef7575099f6373f9a45b4656f1e3675f7372:
- iconv: Make IBM273 equivalent to ISO-8859-1 (#1592270)

* Mon Jun 18 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-23
- Inherit the -msse2 build flag as well (#1592212)

* Fri Jun 01 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-22
- Modernise nsswitch.conf defaults (#1581809)
- Adjust build flags inheritence from redhat-rpm-config
- Auto-sync with upstream branch master,
  commit 104502102c6fa322515ba0bb3c95c05c3185da7a.

* Fri May 25 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-21
- Auto-sync with upstream branch master,
  commit c1dc1e1b34873db79dfbfa8f2f0a2abbe28c0514.

* Wed May 23 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-20
- Auto-sync with upstream branch master,
  commit 7f9f1ecb710eac4d65bb02785ddf288cac098323:
- CVE-2018-11237: Buffer overflow in __mempcpy_avx512_no_vzeroupper (#1581275)
- Drop glibc-rh1452750-allocate_once.patch,
  glibc-rh1452750-libidn2.patch.  Applied upstream.

* Wed May 23 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-19
- Auto-sync with upstream branch master,
  commit 8f145c77123a565b816f918969e0e35ee5b89153.

* Thu May 17 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-18
- Do not run telinit u on upgrades (#1579225)
- Auto-sync with upstream branch master,
  commit 632a6cbe44cdd41dba7242887992cdca7b42922a.

* Fri May 11 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-17
- Avoid exporting some Sun RPC symbols with default versions (#1577210)
- Inherit the -mstackrealign flag if it is set
- Inherit compiler flags in the original order
- Auto-sync with upstream branch master,
  commit 89aacb513eb77549a29df2638913a0f8178cf3f5:
- CVE-2018-11236: realpath: Fix path length overflow (#1581270, swbz#22786)

* Fri May 11 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-16
- Use /usr/bin/python3 for benchmarks scripts (#1577223)

* Thu Apr 19 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-15
- Auto-sync with upstream branch master,
  commit 0085be1415a38b40a5a1a12e49368498f1687380.

* Mon Apr 09 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-14
- Auto-sync with upstream branch master,
  commit 583a27d525ae189bdfaa6784021b92a9a1dae12e.

* Thu Mar 29 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-13
- Auto-sync with upstream branch master,
  commit d39c0a459ef32a41daac4840859bf304d931adab:
- CVE-2017-18269: memory corruption in i386 memmove (#1580934)

* Mon Mar 19 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-12
- Auto-sync with upstream branch master,
  commit fbce6f7260c3847f14dfa38f60c9111978fb33a5.

* Fri Mar 16 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-11
- Auto-sync with upstream branch master,
  commit 700593fdd7aef1e36cfa8bad969faab76a6facda.

* Wed Mar 14 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-10
- Auto-sync with upstream branch master,
  commit 7108f1f944792ac68332967015d5e6418c5ccc88.

* Mon Mar 12 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-9
- Auto-sync with upstream branch master,
  commit da6d4404ecfd7eacba8c096b0761a5758a59da4b.

* Tue Mar  6 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-8
- Enable annobin annotations (#1548438)

* Thu Mar 01 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-7
- Auto-sync with upstream branch master,
  commit 1a2f44a848663036c8a14671fe0faa3fed0b2a25:
- Remove spurios reference to libpthread_nonshared.a

* Thu Mar 01 2018 Florian Weimer <fweimer@redhat.com> - 2.27.9000-6
- Switch back to upstream master branch
- Drop glibc-rh1013801.patch, applied upstream.
- Drop glibc-fedora-nptl-linklibc.patch, no longer needed.
- Auto-sync with upstream branch master,
  commit bd60ce86520b781ca24b99b2555e2ad389bbfeaa.

* Wed Feb 28 2018 Florian Weimer <fweimer@redhat.com> - 2.27-5
- Inherit as many flags as possible from redhat-rpm-config (#1550914)

* Mon Feb 19 2018 Richard W.M. Jones <rjones@redhat.com> - 2.27-4
- riscv64: Add symlink from /usr/lib64/lp64d -> /usr/lib64 for ABI compat.
- riscv64: Disable valgrind smoke test on this architecture.

* Wed Feb 14 2018 Florian Weimer <fweimer@redhat.com> - 2.27-3
- Spec file cleanups:
  - Remove %%defattr(-,root,root)
  - Use shell to run ldconfig %%transfiletrigger
  - Move %%transfiletrigger* to the glibc-common subpackage
  - Trim changelog
  - Include ChangeLog.old in the source RPM

* Wed Feb  7 2018 Florian Weimer <fweimer@redhat.com> - 2.27-2.1
- Linux: use reserved name __key in pkey_get (#1542643)
- Auto-sync with upstream branch release/2.27/master,
  commit 56170e064e2b21ce204f0817733e92f1730541ea.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Carlos O'Donell <carlos@redhat.com> - 2.27-1
- Update to released glibc 2.27.
- Auto-sync with upstream branch master,
  commit 23158b08a0908f381459f273a984c6fd328363cb.

* Tue Jan 30 2018 Richard W.M. Jones <rjones@redhat.com> - 2.26.9000-52
- Disable -fstack-clash-protection on riscv64:
  not supported even by GCC 7.3.1 on this architecture.

* Mon Jan 29 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-51
- Explicitly run ldconfig in the buildroot
- Do not run ldconfig from scriptlets
- Put triggers into the glibc-common package, do not pass arguments to ldconfig

* Mon Jan 29 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-50
- Auto-sync with upstream branch master,
  commit cdd14619a713ab41e26ba700add4880604324dbb:
- libnsl: Turn remaining symbols into compat symbols (swbz#22701)
- be_BY, be_BY@latin, lt_LT, el_CY, el_GR, ru_RU, ru_UA, uk_UA:
  Add alternative month names (swbz#10871)
- x86: Revert Intel CET changes to __jmp_buf_tag (swbz#22743)
- aarch64: Revert the change of the __reserved member of mcontext_t

* Mon Jan 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.26.9000-49
- Add file triggers to do ldconfig calls automatically

* Mon Jan 22 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-48
- Auto-sync with upstream branch master,
  commit 21c0696cdef617517de6e25711958c40455c554f:
- locale: Implement alternative month names (swbz#10871)
- locale: Change month names for pl_PL (swbz#10871)

* Mon Jan 22 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-47
- Unconditionally build without libcrypt

* Fri Jan 19 2018 Björn Esser <besser82@fedoraproject.org> - 2.26.9000-46
- Remove deprecated libcrypt, gets replaced by libxcrypt
- Add applicable Requires on libxcrypt

* Fri Jan 19 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-45
- Drop static PIE support on aarch64.  It leads to crashes at run time.
- Remove glibc-rpcgen subpackage.  See rpcsvc-proto.  (#1531540)

* Fri Jan 19 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-44
- Correct the list of static PIE architectures (#1247050)
- glibc_post_upgrade: Remove process restart logic
- glibc_post_upgrade: Integrate into the build process
- glibc_post_upgrade: Do not clean up tls subdirectories
- glibc_post_upgrade: Drop ia64 support
- Remove architecture-specific symbolic link for iconvconfig
- Auto-sync with upstream branch master,
  commit 4612268a0ad8e3409d8ce2314dd2dd8ee0af5269:
- powerpc: Fix syscalls during early process initialization (swbz#22685)

* Fri Jan 19 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-43
- Enable static PIE support on i386, x86_64 (#1247050)
- Remove add-on support (already gone upstream)
- Rework test suite status reporting
- Auto-sync with upstream branch master,
  commit 64f63cb4583ecc1ba16c7253aacc192b6d088511:
- malloc: Fix integer overflows in memalign and malloc functions (swbz#22343)
- x86-64: Properly align La_x86_64_retval to VEC_SIZE (swbz#22715)
- aarch64: Update bits/hwcap.h for Linux 4.15
- Add NT_ARM_SVE to elf.h

* Wed Jan 17 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-42
- CVE-2017-14062, CVE-2016-6261, CVE-2016-6263:
  Use libidn2 for IDNA support (#1452750)

* Mon Jan 15 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-41
- CVE-2018-1000001: Make getcwd fail if it cannot obtain an absolute path
  (#1533837)
- elf: Synchronize DF_1_* flags with binutils (#1439328)
- Auto-sync with upstream branch master,
  commit 860b0240a5645edd6490161de3f8d1d1f2786025:
- aarch64: fix static pie enabled libc when main is in a shared library
- malloc: Ensure that the consolidated fast chunk has a sane size

* Fri Jan 12 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-40
- libnsl: Do not install libnsl.so, libnsl.a (#1531540)
- Use unversioned Supplements: for langpacks (#1490725)
- Auto-sync with upstream branch master,
  commit 9a08a366a7e7ddffe62113a9ffe5e50605ea0924:
- hu_HU locale: Avoid double space (swbz#22657)
- math: Make default libc_feholdsetround_noex_ctx use __feholdexcept
  (swbz#22702)

* Thu Jan 11 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-39
- nptl: Open libgcc.so with RTLD_NOW during pthread_cancel (#1527887)
- Introduce libnsl subpackage and remove NIS headers (#1531540)
- Use versioned Obsoletes: for libcrypt-nss.
- Auto-sync with upstream branch master,
  commit 08c6e95234c60a5c2f37532d1111acf084f39345:
- nptl: Add tst-minstack-cancel, tst-minstack-exit (swbz#22636)
- math: ldbl-128ibm log1pl (-qNaN) spurious "invalid" exception (swbz#22693)

* Wed Jan 10 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-38
- nptl: Fix stack guard size accounting (#1527887)
- Remove invalid Obsoletes: on glibc-header provides
- Require python3 instead of python during builds
- Auto-sync with upstream branch master,
  commit 09085ede12fb9650f286bdcd805609ae69f80618:
- math: ldbl-128ibm lrintl/lroundl missing "invalid" exceptions (swbz#22690)
- x86-64: Add sincosf with vector FMA

* Mon Jan  8 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-37
- Add glibc-rpcgen subpackage, until the replacement is packaged (#1531540)

* Mon Jan 08 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-36
- Auto-sync with upstream branch master,
  commit 579396ee082565ab5f42ff166a264891223b7b82:
- nptl: Add test for callee-saved register restore in pthread_exit
- getrlimit64: fix for 32-bit configurations with default version >= 2.2
- elf: Add linux-4.15 VDSO hash for RISC-V
- elf: Add RISC-V dynamic relocations to elf.h
- powerpc: Fix error message during relocation overflow
- prlimit: Replace old_rlimit RLIM64_INFINITY with RLIM_INFINITY (swbz#22678)

* Fri Jan 05 2018 Florian Weimer <fweimer@redhat.com> - 2.26.9000-35
- Remove sln (#1531546)
- Remove Sun RPC interfaces (#1531540)
- Rebuild with newer GCC to fix pthread_exit stack unwinding issue (#1529549)
- Auto-sync with upstream branch master,
  commit f1a844ac6389ea4e111afc019323ca982b5b027d:
- CVE-2017-16997: elf: Check for empty tokens before DST expansion (#1526866)
- i386: In makecontext, align the stack before calling exit (swbz#22667)
- x86, armhfp: sync sys/ptrace.h with Linux 4.15 (swbz#22433)
- elf: check for rpath emptiness before making a copy of it
- elf: remove redundant is_path argument
- elf: remove redundant code from is_dst
- elf: remove redundant code from _dl_dst_substitute
- scandir: fix wrong assumption about errno (swbz#17804)
- Deprecate external use of libio.h and _G_config.h

* Fri Dec 22 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-34
- Auto-sync with upstream branch master,
  commit bad7a0c81f501fbbcc79af9eaa4b8254441c4a1f:
- copy_file_range: New function to copy file data
- nptl: Consolidate pthread_{timed,try}join{_np}
- nptl: Implement pthread_self in libc.so (swbz#22635)
- math: Provide a C++ version of iseqsig (swbz#22377)
- elf: remove redundant __libc_enable_secure check from fillin_rpath
- math: Avoid signed shift overflow in pow (swbz#21309)
- x86: Add feature_1 to tcbhead_t (swbz#22563)
- x86: Update cancel_jmp_buf to match __jmp_buf_tag (swbz#22563)
- ld.so: Examine GLRO to detect inactive loader (swbz#20204)
- nscd: Fix nscd readlink argument aliasing (swbz#22446)
- elf: do not substitute dst in $LD_LIBRARY_PATH twice (swbz#22627)
- ldconfig: set LC_COLLATE to C (swbz#22505)
- math: New generic sincosf
- powerpc: st{r,p}cpy optimization for aligned strings
- CVE-2017-1000409: Count in expanded path in _dl_init_path (#1524867)
- CVE-2017-1000408: Compute correct array size in _dl_init_paths (#1524867)
- x86-64: Remove sysdeps/x86_64/fpu/s_cosf.S
- aarch64: Improve strcmp unaligned performance

* Wed Dec 13 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-33
- Remove power6 platform directory (#1522675)

* Wed Dec 13 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-32
- Obsolete the libcrypt-nss subpackage (#1525396)
- armhfp: Disable -fstack-clash-protection due to GCC bug (#1522678)
- ppc64: Disable power6 multilib due to GCC bug (#1522675)
- Auto-sync with upstream branch master,
  commit 243b63337c2c02f30ec3a988ecc44bc0f6ffa0ad:
- libio: Free backup area when it not required (swbz#22415)
- math: Fix nextafter and nexttoward declaration (swbz#22593)
- math: New generic cosf
- powerpc: POWER8 memcpy optimization for cached memory
- x86-64: Add sinf with FMA
- x86-64: Remove sysdeps/x86_64/fpu/s_sinf.S
- math: Fix ctanh (0 + i NaN), ctanh (0 + i Inf) (swbz#22568)
- lt_LT locale: Base collation on copy "iso14651_t1" (swbz#22524)
- math: Add _Float32 function aliases
- math: Make cacosh (0 + iNaN) return NaN + i pi/2 (swbz#22561)
- hsb_DE locale: Base collation on copy "iso14651_t1" (swbz#22515)

* Wed Dec 06 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-31
- Add elision tunables.  Drop related configure flag.  (#1383986)
- Auto-sync with upstream branch master,
  commit 37ac8e635a29810318f6d79902102e2e96b2b5bf:
- Linux: Implement interfaces for memory protection keys
- math: Add _Float64, _Float32x function aliases
- math: Use sign as double for reduced case in sinf
- math: fix sinf(NAN)
- math: s_sinf.c: Replace floor with simple casts
- et_EE locale: Base collation on iso14651_t1 (swbz#22517)
- tr_TR locale: Base collation on iso14651_t1 (swbz#22527)
- hr_HR locale: Avoid single code points for digraphs in LC_TIME (swbz#10580)
- S390: Fix backtrace in vdso functions

* Mon Dec 04 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-30
- Add build dependency on bison
- Auto-sync with upstream branch master,
  commit 7863a7118112fe502e8020a0db0fa74fef281f29:
- math: New generic sinf (swbz#5997)
- is_IS locale: Base collation on iso14651_t1 (swbz#22519)
- intl: Improve reproducibility by using bison (swbz#22432)
- sr_RS, bs_BA locales: make collation rules the same as for hr_HR (wbz#22534)
- hr_HR locale: various updates (swbz#10580)
- x86: Make a space in jmpbuf for shadow stack pointer
- CVE-2017-17426: malloc: Fix integer overflow in tcache (swbz#22375)
- locale: make forward accent sorting the default in collating (swbz#17750)

* Wed Nov 29 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-29
- Enable -fstack-clash-protection (#1512531)
- Auto-sync with upstream branch master,
  commit a55430cb0e261834ce7a4e118dd9e0f2b7fb14bc:
- elf: Properly compute offsets of note descriptor and next note (swbz#22370)
- cs_CZ locale: Base collation on iso14651_t1 (swbz#22336)
- Implement the mlock2 function
- Add _Float64x function aliases
- elf: Consolidate link map sorting
- pl_PL locale: Base collation on iso14651_t1 (swbz#22469)
- nss: Export nscd hash function as __nss_hash (swbz#22459)

* Thu Nov 23 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-28
- Auto-sync with upstream branch master,
  commit cccb6d4e87053ed63c74aee063fa84eb63ebf7b8:
- sigwait can fail with EINTR (#1516394)
- Add memfd_create function
- resolv: Fix p_secstodate overflow handling (swbz#22463)
- resolv: Obsolete p_secstodate
- Avoid use of strlen in getlogin_r (swbz#22447)
- lv_LV locale: fix collation (swbz#15537)
- S390: Add cfi information for start routines in order to stop unwinding
- aarch64: Optimized memset for falkor

* Sun Nov 19 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-27
- Auto-sync with upstream branch master,
  commit f6e965ee94b37289f64ecd3253021541f7c214c3:
- powerpc: AT_HWCAP2 bit PPC_FEATURE2_HTM_NO_SUSPEND
- aarch64: Add HWCAP_DCPOP bit
- ttyname, ttyname_r: Don't bail prematurely (swbz#22145)
- signal: Optimize sigrelse implementation
- inet: Check length of ifname in if_nametoindex (swbz#22442)
- malloc: Account for all heaps in an arena in malloc_info (swbz#22439)
- malloc: Add missing arena lock in malloc_info (swbz#22408)
- malloc: Use __builtin_tgmath in tgmath.h with GCC 8 (swbz#21660)
- locale: Replaced unicode sequences in the ASCII printable range
- resolv: More precise checks in res_hnok, res_dnok (swbz#22409, swbz#22412)
- resolv: ns_name_pton should report trailing \ as error (swbz#22413)
- locale: mfe_MU, miq_NI, an_ES, kab_DZ, om_ET: Escape / in d_fmt (swbz#22403)

* Tue Nov 07 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-26
- Auto-sync with upstream branch master,
  commit 6b86036452b9ac47b4ee7789a50f2f37df7ecc4f:
- CVE-2017-15804: glob: Fix buffer overflow during GLOB_TILDE unescaping
- powerpc: Use latest string function optimization for internal function calls
- math: No _Float128 support for ppc64le -mlong-double-64 (swbz#22402)
- tpi_PG locale: Fix wrong d_fmt
- aarch64: Disable lazy symbol binding of TLSDESC
- tpi_PG locale: fix syntax error (swbz#22382)
- i586: Use conditional branches in strcpy.S (swbz#22353)
- ffsl, ffsll: Declare under __USE_MISC, not just __USE_GNU
- csb_PL locale: Fix abmon/mon for March (swbz#19485)
- locale: Various yesstr/nostr/yesexpr/noexpr fixes (swbz#15260, swbz#15261)
- localedef: Add --no-warnings/--warnings option
- powerpc: Replace lxvd2x/stxvd2x with lvx/stvx in P7's memcpy/memmove
- locale: Use ASCII as much as possible in LC_MESSAGES
- Add new locale yuw_PG (swbz#20952)
- malloc: Add single-threaded path to malloc/realloc/calloc/memalloc
- i386: Replace assembly versions of e_powf with generic e_powf.c
- i386: Replace assembly versions of e_log2f with generic e_log2f.c
- x86-64: Add powf with FMA
- x86-64: Add logf with FMA
- i386: Replace assembly versions of e_logf with generic e_logf.c
- i386: Replace assembly versions of e_exp2f with generic e_exp2f.c
- x86-64: Add exp2f with FMA
- i386: Replace assembly versions of e_expf with generic e_expf.c

* Sat Oct 21 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-25
- Auto-sync with upstream branch master,
  commit 797ba44ba27521261f94cc521f1c2ca74f650147:
- math: Add bits/floatn.h defines for more _FloatN / _FloatNx types
- posix: Fix improper assert in Linux posix_spawn (swbz#22273)
- x86-64: Use fxsave/xsave/xsavec in _dl_runtime_resolve (swbz#21265)
- CVE-2017-15670: glob: Fix one-byte overflow (#1504807)
- malloc: Add single-threaded path to _int_free
- locale: Add new locale kab_DZ (swbz#18812)
- locale: Add new locale shn_MM (swbz#13605)

* Fri Oct 20 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-24
- Use make -O to serialize make output
- Auto-sync with upstream branch master,
  commit 63b4baa44e8d22501c433c4093aa3310f91b6aa2:
- sysconf: Fix missing definition of UIO_MAXIOV on Linux (#1504165)
- Install correct bits/long-double.h for MIPS64 (swbz#22322)
- malloc: Fix deadlock in _int_free consistency check
- x86-64: Don't set GLRO(dl_platform) to NULL (swbz#22299)
- math: Add _Float128 function aliases
- locale: Add new locale mjw_IN (swbz#13994)
- aarch64: Rewrite elf_machine_load_address using _DYNAMIC symbol
- powerpc: fix check-before-set in SET_RESTORE_ROUND
- locale: Use U+202F as thousands separators in pl_PL locale (swbz#16777)
- math: Use __f128 to define FLT128_* constants in include/float.h for old GCC
- malloc: Improve malloc initialization sequence (swbz#22159)
- malloc: Use relaxed atomics for malloc have_fastchunks
- locale: New locale ca_ES@valencia (swbz#2522)
- math: Let signbit use the builtin in C++ mode with gcc < 6.x (swbz#22296)
- locale: Place monetary symbol in el_GR, el_CY after the amount (swbz#22019)

* Tue Oct 17 2017 Florian Weimer <fweimer@redhat.com> - 2.26.9000-23
- Switch to .9000 version numbers during development

* Tue Oct 17 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-22
- Auto-sync with upstream branch master,
  commit c38a4bfd596db2be2b9c1f96715bdc833eab760a:
- malloc: Use compat_symbol_reference in libmcheck (swbz#22050)

* Mon Oct 16 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-21
- Auto-sync with upstream branch master,
  commit 596f70134a8f11967c65c1d55a94a3a2718c731d:
- Silence -O3 -Wall warning in malloc/hooks.c with GCC 7 (swbz#22052)
- locale: No warning for non-symbolic character (swbz#22295)
- locale: Allow "" int_curr_Symbol (swbz#22294)
- locale: Fix localedef exit code (swbz#22292)
- nptl: Preserve error in setxid thread broadcast in coredumps (swbz#22153)
- powerpc: Avoid putting floating point values in memory (swbz#22189)
- powerpc: Fix the carry bit on mpn_[add|sub]_n on POWER7 (swbz#22142)
- Support profiling PIE (swbz#22284)

* Wed Oct 11 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-20
- Auto-sync with upstream branch master,
  commit d8425e116cdd954fea0c04c0f406179b5daebbb3:
- nss_files performance issue in multi mode (swbz#22078)
- Ensure C99 and C11 interfaces are available for C++ (swbz#21326)

* Mon Oct 09 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-19
- Move /var/db/Makefile to nss_db (#1498900)
- Auto-sync with upstream branch master,
  commit 645ac9aaf89e3311949828546df6334322f48933:
- openpty: use TIOCGPTPEER to open slave side fd

* Fri Oct 06 2017 Carlos O'Donell <carlos@systemhalted.org> - 2.26.90-18
- Auto-sync with upstream master,
  commit 1e26d35193efbb29239c710a4c46a64708643320.
- malloc: Fix tcache leak after thread destruction (swbz#22111)
- powerpc:  Fix IFUNC for memrchr.
- aarch64: Optimized implementation of memmove for Qualcomm Falkor
- Always do locking when iterating over list of streams (swbz#15142)
- abort: Do not flush stdio streams (swbz#15436)

* Wed Oct 04 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-17
- Move nss_compat to the main glibc package (#1400538)
- Auto-sync with upstream master,
  commit 11c4f5010c58029e73e656d5df4f8f42c9b8e877:
- crypt: Use NSPR header files in addition to NSS header files (#1489339)
- math: Fix yn(n,0) without SVID wrapper (swbz#22244)
- math: Fix log2(0) and log(10) in downward rounding (swbz#22243)
- math: Add C++ versions of iscanonical for ldbl-96, ldbl-128ibm (swbz#22235)
- powerpc: Optimize memrchr for power8
- Hide various internal functions (swbz#18822)

* Sat Sep 30 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-16
- Auto-sync with upstream master,
  commit 1e2bffd05c36a9be30d7092d6593a9e9aa009ada:
- Add IBM858 charset (#1416405)
- Update kernel version in syscall-names.list to 4.13
- Add Linux 4.13 constants to bits/fcntl-linux.h
- Add fcntl sealing interfaces from Linux 3.17 to bits/fcntl-linux.h
- math: New generic powf, log2f, logf
- Fix nearbyint arithmetic moved before feholdexcept (swbz#22225)
- Mark __dso_handle as hidden (swbz#18822)
- Skip PT_DYNAMIC segment with p_filesz == 0 (swbz#22101)
- glob now matches dangling symbolic links (swbz#866, swbz#22183)
- nscd: Release read lock after resetting timeout (swbz#22161)
- Avoid __MATH_TG in C++ mode with -Os for fpclassify (swbz#22146)
- Fix dlclose/exit race (swbz#22180)
- x86: Add SSE4.1 trunc, truncf (swbz#20142)
- Fix atexit/exit race (swbz#14333)
- Use execveat syscall in fexecve (swbz#22134)
- Enable unwind info in libc-start.c and backtrace.c
- powerpc: Avoid misaligned stores in memset
- powerpc: build some IFUNC math functions for libc and libm (swbz#21745)
- Removed redundant data (LC_TIME and LC_MESSAGES) for niu_NZ (swbz#22023)
- Fix LC_TELEPHONE for az_AZ (swbz#22112)
- x86: Add MathVec_Prefer_No_AVX512 to cpu-features (swbz#21967)
- x86: Add x86_64 to x86-64 HWCAP (swbz#22093)
- Finish change from “Bengali” to “Bangla” (swbz#14925)
- posix: fix glob bugs with long login names (swbz#1062)
- posix: Fix getpwnam_r usage (swbz#1062)
- posix: accept inode 0 is a valid inode number (swbz#19971)
- Remove redundant LC_TIME data in om_KE (swbz#22100)
- Remove remaining _HAVE_STRING_ARCH_* definitions (swbz#18858)
- resolv: Fix memory leak with OOM during resolv.conf parsing (swbz#22095)
- Add miq_NI locale for Miskito (swbz#20498)
- Fix bits/math-finite.h exp10 condition (swbz#22082)

* Mon Sep 04 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-15
- Auto-sync with upstream master,
  commit b38042f51430974642616a60afbbf96fd0b98659:
- Implement tmpfile with O_TMPFILE (swbz#21530)
- Obsolete pow10 functions
- math.h: Warn about an already-defined log macro

* Fri Sep 01 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-14
- Build glibc with -O2 (following the upstream default).
- Auto-sync with upstream master,
  commit f4a6be2582b8dfe8adfa68da3dd8decf566b3983:
- malloc: Abort on heap corruption, without a backtrace (swbz#21754)
- getaddrinfo: Return EAI_NODATA for gethostbyname2_r with NO_DATA (swbz#21922)
- getaddrinfo: Fix error handling in gethosts (swbz#21915) (swbz#21922)
- Place $(elf-objpfx)sofini.os last (swbz#22051)
- Various locale fixes (swbz#15332, swbz#22044)

* Wed Aug 30 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-13
- Drop glibc-rh952799.patch, applied upstream (#952799, swbz#22025)
- Auto-sync with upstream master,
  commit 5f9409b787c5758fc277f8d1baf7478b752b775d:
- Various locale fixes (swbz#22022, swbz#22038, swbz#21951, swbz#13805,
  swbz#21971, swbz#21959)
- MIPS/o32: Fix internal_syscall5/6/7 (swbz#21956)
- AArch64: Fix procfs.h not to expose stdint.h types
- iconv_open: Fix heap corruption on gconv_init failure (swbz#22026)
- iconv: Mangle __btowc_fct even without __init_fct (swbz#22025)
- Fix bits/math-finite.h _MSUF_ expansion namespace (swbz#22028)
- Provide a C++ version of iszero that does not use __MATH_TG (swbz#21930)

* Mon Aug 28 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-12
- Auto-sync with upstream master,
  commit 2dba5ce7b8115d6a2789bf279892263621088e74.

* Fri Aug 25 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-11
- Auto-sync with upstream master,
  commit 3d7b66f66cb223e899a7ebc0f4c20f13e711c9e0:
- string/stratcliff.c: Replace int with size_t (swbz#21982)
- Fix tgmath.h handling of complex integers (swbz#21684)

* Thu Aug 24 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-10
- Use an architecture-independent system call list (#1484729)
- Drop glibc-fedora-include-bits-ldbl.patch (#1482105)

* Tue Aug 22 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-9
- Auto-sync with upstream master,
  commit 80f91666fed71fa3dd5eb5618739147cc731bc89.

* Mon Aug 21 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-8
- Auto-sync with upstream master,
  commit a8410a5fc9305c316633a5a3033f3927b759be35:
- Obsolete matherr, _LIB_VERSION, libieee.a.

* Mon Aug 21 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-7
- Auto-sync with upstream master,
  commit 4504783c0f65b7074204c6126c6255ed89d6594e.

* Mon Aug 21 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-6
- Auto-sync with upstream master,
  commit b5889d25e9bf944a89fdd7bcabf3b6c6f6bb6f7c:
- assert: Support types without operator== (int) (#1483005)

* Mon Aug 21 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-5
- Auto-sync with upstream master,
  commit 2585d7b839559e665d5723734862fbe62264b25d:
- Do not use generic selection in C++ mode
- Do not use __builtin_types_compatible_p in C++ mode (#1481205)
- x86-64: Check FMA_Usable in ifunc-mathvec-avx2.h (swbz#21966)
- Various locale fixes (swbz#21750, swbz#21960, swbz#21959, swbz#19852)
- Fix sigval namespace (swbz#21944)
- x86-64: Optimize e_expf with FMA (swbz#21912)
- Adjust glibc-rh827510.patch.

* Wed Aug 16 2017 Tomasz Kłoczko <kloczek@fedoraproject.org> - 2.26-4
- Remove 'Buildroot' tag, 'Group' tag, and '%%clean' section, and don't
  remove the buildroot in '%%install', all per Fedora Packaging Guidelines
  (#1476839)

* Wed Aug 16 2017 Florian Weimer <fweimer@redhat.com> - 2.26.90-3
- Auto-sync with upstream master,
  commit 403143e1df85dadd374f304bd891be0cd7573e3b:
- x86-64: Align L(SP_RANGE)/L(SP_INF_0) to 8 bytes (swbz#21955)
- powerpc: Add values from Linux 4.8 to <elf.h>
- S390: Add new s390 platform z14.
- Various locale fixes (swbz#14925, swbz#20008, swbz#20482, swbz#12349
  swbz#19982, swbz#20756, swbz#20756, swbz#21836, swbz#17563, swbz#16905,
  swbz#21920, swbz#21854)
- NSS: Replace exported NSS lookup functions with stubs (swbz#21962)
- i386: Do not set internal_function
- assert: Suppress pedantic warning caused by statement expression (swbz#21242)
- powerpc: Restrict xssqrtqp operands to Vector Registers (swbz#21941)
- sys/ptrace.h: remove obsolete PTRACE_SEIZE_DEVEL constant (swbz#21928)
- Remove __qaddr_t, __long_double_t
- Fix uc_* namespace (swbz#21457)
- nss: Call __resolv_context_put before early return in get*_r (swbz#21932)
- aarch64: Optimized memcpy for Qualcomm Falkor processor
- manual: Document getcontext uc_stack value on Linux (swbz#759)
- i386: Add <startup.h> (swbz#21913)
- Don't use IFUNC resolver for longjmp or system in libpthread (swbz#21041)
- Fix XPG4.2 bits/sigaction.h namespace (swbz#21899)
- x86-64: Add FMA multiarch functions to libm
- i386: Support static PIE in start.S
- Compile tst-prelink.c without PIE (swbz#21815)
- x86-64: Use _dl_runtime_resolve_opt only with AVX512F (swbz#21871)
- x86: Remove __memset_zero_constant_len_parameter (swbz#21790)

* Wed Aug 16 2017 Florian Weimer <fweimer@redhat.com> - 2.26-2
- Disable multi-arch (IFUNC string functions) on i686 (#1471427)
- Remove nosegneg 32-bit Xen PV support libraries (#1482027)
- Adjust spec file to RPM changes

* Thu Aug 03 2017 Carlos O'Donell <carlos@systemhalted.org> - 2.26-1
- Update to released glibc 2.26.
- Auto-sync with upstream master,
  commit 2aad4b04ad7b17a2e6b0e66d2cb4bc559376617b.
- getaddrinfo: Release resolver context on error in gethosts (swbz#21885)

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.90-30.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sat Jul 29 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-30
- Auto-sync with upstream master,
  commit 5920a4a624b1f4db310d1c44997b640e2a4653e5:
- mutex: Fix robust mutex lock acquire (swbz#21778)

* Fri Jul 28 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-29
- Auto-sync with upstream master,
  commit d95fcb2df478efbf4f8537ba898374043ac4561f:
- rwlock: Fix explicit hand-over (swbz#21298)
- tunables: Use direct syscall for access (swbz#21744)
- Avoid accessing corrupted stack from __stack_chk_fail (swbz#21752)
- Remove extra semicolons in struct pthread_mutex (swbz#21804)
- grp: Fix cast-after-dereference (another big-endian group merge issue)
- S390: fix sys/ptrace.h to make it includible again after asm/ptrace.h
- Don't add stack_chk_fail_local.o to libc.a (swbz#21740)
- i386: Test memmove_chk and memset_chk only in libc.so (swbz#21741)
- Add new locales az_IR, mai_NP (swbz#14172)
- Various locale improvements

* Thu Jul 27 2017 Carlos O'Donell <codonell@redhat.com> - 2.25.90-28
- Adjust to new rpm debuginfo generation (#1475009).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.90-27.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-27
- Auto-sync with upstream master,
  commit 00d7a3777369bac3d8d44152dde2bb7381984ef6:
- aarch64: Fix out of bound array access in _dl_hwcap_string

* Mon Jul 17 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-26
- Drop glibc-rh1467518.patch in favor of upstream patch (#1467518)
- Auto-sync with upstream master,
  commit 91ac3a7d8474480685632cd25f844d3154c69fdf:
- Fix pointer alignment in NSS group merge result construction (#1471985)
- Various locale fixes

* Fri Jul 14 2017 Carlos O'Donell <carlos@systemhalted.org> - 2.25.90-25
- armv7hl: Drop 32-bit ARM build fix, already in upstream master.
- s390x: Apply glibc fix again, removing PTRACE_GETREGS etc. (#1469536).
- Auto-sync with upstream master,
  commit de895ddcd7fc45caeeeb0ae312311b8bd31d82c5:
- Added Fiji Hindi language locale for Fiji (swbz#21694).
- Added yesstr/nostr for nds_DE and nds_NL (swbz#21756).
- Added yesstr and nostr for Tigrinya (swbz#21759).
- Fix LC_MESSAGES and LC_ADDRESS for anp_IN (swbz#21760).
- Added yesstr/nostr and fix yesexpr for pap_AW and pap_CW (swbz#21757).
- Added Tongan language locale for Tonga (swbz#21728).
- [ARM] Fix ld.so crash when built using Binutils 2.29.
- Added yesstr and nostr for aa_ET (swbz#21768).
- New locale for bi_VU (swbz#21767).
- Disable single thread optimization for open_memstream

* Wed Jul 12 2017 Carlos O'Donell <carlos@redhat.com> - 2.25.90-24
- Fix IFUNC crash in early startup for ppc64le static binaries (#1467518).
- Enable building with BIND_NOW on ppc64le (#1467518).
- Fix 32-bit ARM builds in presence of new binutils.

* Wed Jul 12 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-23
- malloc: Tell GCC optimizers about MAX_FAST_SIZE in _int_malloc (#1470060)
- Auto-sync with upstream master,
  commit 30200427a99e5ddac9bad08599418d44d54aa9aa:
- Add per-thread cache to malloc
- Add Samoan language locale for Samoa
- Add Awajún / Aguaruna locale for Peru
- CVE-2010-3192: Avoid backtrace from __stack_chk_fail (swbz#12189)
- Add preadv2, writev2 RWF_NOWAIT flag (swbz#21738)
- Fix abday strings for ar_JO/ar_LB/ar_SY locales (swbz#21749)
- Fix abday strings for ar_SA locale (swbz#21748, swbz#19066)
- Set data_fmt for da_DK locale (swbz#17297)
- Add yesstr and nostr for the zh_HK locale (swbz#21733)
- Fix abday strings for the ksIN@devanagari locale (swbz#21743)
- Do not include _dl_resolv_conflicts in libc.a (swbz#21742)
- Test __memmove_chk, __memset_chk only in libc.so (swbz#21741)
- Add iI and eE to  yesexpr and noexpr respectively for ts_ZA locale
- Add yesstr/nostr for kw_GB locale (swbz#21734)
- Add yesstr and nostr for the ts_ZA locale (swbz#21727)
- Fix LC_NAME for hi_IN locale (swbz#21729)
- Add yesstr and nostr for the xh_ZA locale (swbz#21724)
- Add yesstr and nostr for the zh_CN locale (swbz#21723)
- Fix full weekday names for the ks_IN@devanagari locale (swbz#21721)
- Various fixes to Arabic locales after CLDR import 

* Tue Jul 11 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-22
- Reinstantiate stack_t cleanup (#1468904)
- s390x: Restore PTRACE_GETREGS etc. to get GCC to build (#1469536)

* Sun Jul  9 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-21
- Back out stack_t cleanup (#1468904)

* Thu Jul 06 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-20
- Auto-sync with upstream master,
  commit 031e519c95c069abe4e4c7c59e2b4b67efccdee5:
- x86-64: Align the stack in __tls_get_addr (#1440287)
- Add Tok-Pisin (tpi_PG) locale.
- Add missing yesstr/nostr for Pashto locale (swbz#21711)
- Add missing yesstr/nostr for Breton locale (swbz#21706)
- Single threaded stdio optimization
- sysconf: Use conservative default for _SC_NPROCESSORS_ONLN (swbz#21542)

* Tue Jul 04 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-19
- Auto-sync with upstream master,
  commit 4446a885f3aeb3a33b95c72bae1f115bed77f0cb.

* Tue Jul 04 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-18
- Auto-sync with upstream master,
  commit 89f6307c5d270ed4f11cee373031fa9f2222f2b9.

* Tue Jul  4 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-17
- Disable building with BIND_NOW on ppc64le (#1467518)

* Mon Jul 03 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-16
- Auto-sync with upstream master,
  commit e237357a5a0559dee92261f1914d1fa2cd43a1a8:
- Support an arbitrary number of search domains in the stub resolver (#168253)
- Detect and apply /etc/resolv.conf changes in libresolv (#1374239)
- Increase malloc alignment on i386 to 16 (swbz#21120)
- Make RES_ROTATE start with a random name server (swbz#19570)
- Fix tgmath.h totalorder, totalordermag return type (swbz#21687)
- Miscellaneous sys/ucontext.h namespace fixes (swbz#21457)
- Rename struct ucontext tag (swbz#21457)
- Call exit system call directly in clone (swbz#21512)
- powerpc64le: Enable float128
- getaddrinfo: Merge IPv6 addresses and IPv4 addresses (swbz#21295)
- Avoid .symver on common symbols (swbz#21666)
- inet_pton: Reject IPv6 addresses with many leading zeros (swbz#16637)

* Fri Jun 23 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-15
- Auto-sync with upstream master,
  commit 3ec7c02cc3e922b9364dc8cfd1d4546671b91003, fixing:
- memcmp-avx2-movbe.S incorrect results for lengths 2/3 (#1464403)

* Fri Jun 23 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-14
- Auto-sync with upstream master,
  commit 12f50337ae80672c393c2317d471d097ad92c492, changing:
- localedata: fur_IT: Fix spelling of Wednesday (Miercus)
- Update to Unicode 10.0.0
- inet: __inet6_scopeid_pton should accept node-local addresses (swbz#21657)

* Fri Jun 23 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-13
- Reenable valgrind on aarch64

* Thu Jun 22 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-12
- Log auxiliary vector during build

* Thu Jun 22 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-11
- Auto-sync with upstream master,
  commit 0a47d031e44f15236bcef8aeba80e737bd013c6f.

* Thu Jun 22 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-10
- Disable valgrind on aarch64

* Wed Jun 21 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-9
- Drop historic aarch64 TLS patches
- Drop workaround for GCC PR69537
- Auto-sync with upstream master,
  commit 9649350d2ee47fae00794d57e2526aa5d67d900e.

* Wed Jun 21 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-8
- Adjust build requirements for gcc, binutils, kernel-headers.
- Auto-sync with upstream master,
  commit 43e0ac24c836eed627a75ca932eb7e64698407c6, changing:
- Remove <xlocale.h>

* Mon Jun 19 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-7
- Drop glibc-Disable-buf-NULL-in-login-tst-ptsname.c, applied upstream.
- Auto-sync with upstream master,
  commit 37e9dc814636915afb88d0779e5e897e90e7b8c0, fixing:
- CVE-2017-1000366: Avoid large allocas in the dynamic linker (#1462820)
- wait3 namespace (swbz#21625)
- S390: Sync ptrace.h with kernel (swbz#21539)
- Another x86 sys/ucontext.h namespace issue (swbz#21457)
- siginterrupt namespace (swbz#21597)
- Signal stack namespace (swbz#21584)
- Define struct rusage in sys/wait.h when required (swbz#21575)
- S390: Fix build with gcc configured with --enable-default-pie (swbz#21537)
- Update timezone code from tzcode 2017b
- nptl: Invert the mmap/mprotect logic on allocated stacks (swbz#18988)
- PowerPC64 ELFv2 PPC64_OPT_LOCALENTRY
- Make copy of <bits/std_abs.h> from GCC (swbz#21573)
- localedata: ce_RU: update weekdays from CLDR (swbz#21207)
- localedata: Remove trailing spaces (swbz#20275)
- XPG4 bsd_signal namespace (swbz#21552)
- Correct collation rules for Malayalam (swbz#19922, swbz#19919)
- waitid namespace (swbz#21561)
- Condition signal.h inclusion in sys/wait.h (swbz#21560)
- ld.so: Consolidate 2 strtouls into _dl_strtoul (swbz#21528)
- tst-timezone race (swbz#14096)
- Define SIG_HOLD for XPG4 (swbz#21538)
- struct sigaltstack namespace (swbz#21517)
- sigevent namespace (swbz#21543)
- Add shim header for bits/syscall.h (swbz#21514)
- namespace issues in sys/ucontext.h (swbz#21457)
- posix: Implement preadv2 and pwritev2
- Various float128 and tunables improvements

* Tue Jun 06 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.25.90-6
- Reduce libcrypt-nss dependency to 'Suggests:'

* Wed May 31 2017 Arjun Shankar <arjun.is@lostca.se> - 2.25.90-5
- Auto-sync with upstream master,
  commit cfa9bb61cd09c40def96f042a3123ec0093c4ad0.
- Fix sys/ucontext.h namespace from signal.h etc. inclusion (swbz#21457)
- Fix sigstack namespace (swbz#21511)

* Wed May 31 2017 Arjun Shankar <arjun.is@lostca.se> - 2.25.90-4
- Disable the NULL buffer test in login/tst-ptsname.c. It leads to a build
  failure during 'make check'. A permanent solution is being discussed
  upstream.

* Tue May 23 2017 Arjun Shankar <arjun.is@lostca.se> - 2.25.90-3
- Auto-sync with upstream master,
  commit 231a59ce2c5719d2d77752c21092960e28837b4a.
- Add el_GR@euro support (swbz#20686)
- Set dl_platform and dl_hwcap from CPU features (swbz#21391)
- Use __glibc_reserved convention in mcontext, sigcontext (swbz#21457)
- Fix signal.h bsd_signal namespace (swbz#21445)
- Fix network headers stdint.h namespace (swbz#21455)
- resolv: Use RES_DFLRETRY consistently (swbz#21474)
- Condition some sys/ucontext.h contents on __USE_MISC (swbz#21457)
- Consolidate Linux read syscall (swbz#21428)
- fork: Remove bogus parent PID assertions (swbz#21386)
- Reduce value of LD_HWCAP_MASK for tst-env-setuid test case (swbz#21502)
- libio: Avoid dup already opened file descriptor (swbz#21393)

* Mon May 01 2017 Carlos O'Donell <carlos@systemhalted.org> - 2.25.90-2
- Auto-sync with upstream master,
  commit 25e39b4229fb365a605dc4c8f5d6426a77bc08a6.
- logbl for POWER7 return incorrect results (swbz#21280)
- sys/socket.h uio.h namespace (swbz#21426)
- Support POSIX_SPAWN_SETSID (swbz#21340)
- Document how to provide a malloc replacement (swbz#20424)
- Verify that all internal sockets opened with SOCK_CLOEXEC (swbz#15722)
- Use AVX2 memcpy/memset on Skylake server (swbz#21396)
- unwind-dw2-fde deadlock when using AddressSanitizer (swbz#21357)
- resolv: Reduce advertised EDNS0 buffer size to guard against
  fragmentation attacks (swbz#21361)
- mmap64 silently truncates large offset values (swbz#21270)
- _dl_map_segments does not test for __mprotect failures consistently
  (swbz#20831)

* Thu Mar 02 2017 Florian Weimer <fweimer@redhat.com> - 2.25.90-1
- Switch back to upstream master branch.
- Drop Unicode 9 patch, merged upstream.
- Auto-sync with upstream master,
  commit a10e9c4e53fc652b79abf838f7f837589d2c84db, fixing:
- Build all DSOs with BIND_NOW (#1406731)

* Wed Mar  1 2017 Jakub Hrozek <jhrozek@redhat.com> - 2.25-3
- NSS: Prefer sss service for passwd, group databases (#1427646)

* Tue Feb 28 2017 Florian Weimer <fweimer@redhat.com> - 2.25-2
- Auto-sync with upstream release/2.25/master,
  commit 93cf93e06ce123439e41d3d62790601c313134cb, fixing:
- sunrpc: Improvements for UDP client timeout handling (#1346406)
- sunrpc: Avoid use-after-free read access in clntudp_call (swbz#21115)
- Fix getting tunable values on big-endian (swbz#21109)

* Wed Feb 08 2017 Carlos O'Donell <carlos@redhat.com> - 2.25-1
- Update to final released glibc 2.25.

* Wed Feb 08 2017 Carlos O'Donell <carlos@redhat.com> - 2.24.90-31
- Fix builds with GCC 7.0.

* Wed Feb 01 2017 Carlos O'Donell <carlos@redhat.com> - 2.24.90-30
- Optimize IBM z System builds for zEC12.

* Wed Jan 25 2017 Florian Weimer <fweimer@redhat.com> - 2.24.90-29
- Use vpath in crypt-glibc/Makefile to obtain the test input file.
- Auto-sync with upstream master,
  commit 5653ab12b4ae15b32d41de7c56b2a4626cd0437a, fixing:
- ARM fpu_control.h for assemblers requiring VFP insn names (swbz#21047)
- FAIL in test string/tst-xbzero-opt (swbz#21006)
- Make soft-float powerpc swapcontext restore the signal mask (swbz#21045)
- Clear list of acquired robust mutexes in the child after fork (swbz#19402)

* Thu Jan 12 2017 Carlos O'Donell <carlos@systemhalted.org> - 2.24.90-28
- Auto-sync with upstream master,
  commit 468e525c81a4af10f2e613289b6ff7c950773a9e:
- Drop rwlock related patches applied upstream.
- Fix i686 memchr for large input sizes (swbz#21014)
- Fix x86 strncat for large input sizes (swbz#19390)
- powerpc: Fix write-after-destroy in lock elision (swbz#20822)
- New pthread rwlock that is more scalable.
- Fix testsuite build for GCC 7 -Wformat-truncation.

* Mon Jan 02 2017 Florian Weimer <fweimer@redhat.com> - 2.24.90-27
- Auto-sync with upstream master,
  commit 73dfd088936b9237599e4ab737c7ae2ea7d710e1:
- Enable tunables.
- Drop condvar-related patches applied upstream.
- Update DNS RR type definitions (swbz#20593)
- CVE-2015-5180: resolv: Fix crash with internal QTYPE (#1249603)
- sunrpc: Always obtain AF_INET addresses from NSS (swbz#20964)

* Mon Dec 26 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-26
- Auto-sync with upstream master,
  commit cecbc7967f0bcac718b6f8f8942b58403c0e917c
- Enable stack protector for most of glibc (#1406731)

* Fri Dec 23 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.24.90-25
- Auto-sync with upstream master,
  commit 81e0662e5f2c342ffa413826b7b100d56677b613, fixing:
- Shared object unload assert when calling dlclose (#1398370, swbz#11941)
- Fix nss_nisplus build with mainline GCC (swbz#20978)
- Add Intel TSX blacklist for silicon with known errata.
- Add fmax, fmin, fmaxf, fminf microbenchmarks.
- Robust mutexes: Fix lost wake-up (swbz#20973).
- Add fmaxmag, fminmag, roundeven, roundevenf, roundevenl functions.

* Sun Dec 18 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-24
- Auto-sync with upstream master,
  commit e077349ce589466eecd47213db4fae6b80ec18c4, fixing:
- Warn about assignment in assertions (#1105335)
- powerpc64/power7 memchr for large input sizes (swbz#20971)
- fmax, fmin sNaN handling (swbz#20947)

* Mon Dec 12 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-23
- Auto-sync with upstream master,
  commit 92dcaa3e2f7bf0f7f1c04cd2fb6a317df1a4e225, fixing:
- Add getrandom, getentropy (#1172273)
- Add additional compiler barriers to backtrace tests (swbz#20956)

* Fri Dec 09 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-22
- Auto-sync with upstream master,
  commit 0abbe7cd700951082b314182a0958d65238297ef, changing:
- IN6_IS_ADDR_ does not require enabling non-standard extensions (#1138893)
- Install libm.a as linker script (swbz#20539)
- Fix writes past the allocated array bounds in execvpe (swbz#20847)
- Fix hypot sNaN handling (swbz#20940)
- Fix x86_64/x86 powl handling of sNaN arguments (swbz#20916)
- Fix sysdeps/ieee754 pow handling of sNaN arguments (swbz#20916)
- Fix pow (qNaN, 0) result with -lieee (swbz#20919)
- Fix --enable-nss-crypt failure of tst-linkall-static (swbz#20918)

* Fri Dec 02 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-21
- Auto-sync with upstream master,
  commit 01b23a30b42a90b1ebd882a0d81110a1542e504a, fixing:
- aarch64: Incorrect dynamic TLS resolution (#1400347)

* Wed Nov 30 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-20
- Auto-sync with upstream master,
  commit 9e78f6f6e7134a5f299cc8de77370218f8019237, fixing:
- stdio buffering with certain network file systems (#1400144)
- libpthread initialization breaks ld.so exceptions (#1393909)
- x86_64: Use of PLT and GOT in static archives (swbz#20750)
- localedata, iconvdata: 0x80->Euro sign mapping for GBK (swbz#20864)
- math: x86_64 -mfpmath=387 float_t, double_t (swbz#20787)

* Wed Nov 23 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-19
- Auto-sync with upstream master,
  commit 7a5e3d9d633c828d84a9535f26b202a6179978e7:
- Fix default float_t definition (swbz#20855)
- Fix writes past the allocated array bounds in execvpe (swbz#20847)

* Tue Nov 22 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-18
- Auto-sync with upstream master,
  commit 5ee1a4443a3eb0868cef1fe506ae6fb6af33d4ad.

* Wed Nov 16 2016 Carlos O'Donell <carlos@redhat.com> - 2.24.90-17
* Add new scalable implementation of POSIX read-write locks.

* Wed Nov 16 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-16
- Do not try to link libcrypt statically during tests

* Wed Nov 16 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-15
- Auto-sync with upstream master,
  commit 530862a63e0929128dc98fbbd463b120934434fb, fixing:
- Fix rpcgen buffer overrun (swbz#20790)
- Fix ppc64 build failure to swbz#20729 fix attempt

* Wed Nov  2 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-14
- Drop glibc-swbz20019.patch, applied upstream.
- dlerror returns NULL after dlsym (RTLD_NEXT) lookup failure (#1333945)
  (fixed by dropping the revert)
- Auto-sync with upstream master,
  commit 9032070deaa03431921315f973c548c2c403fecc, fixing:
- Correct clog10 documentation (swbz#19673)
- Fix building with -Os (swbz#20729)
- Properly initialize glob structure with GLOB_BRACE|GLOB_DOOFFS (swbz#20707)
- powerpc: Fix TOC stub on powerpc64 clone (swbz#20728)
- math: Make strtod raise "inexact" exceptions (swbz#19380)
- malloc: Remove malloc_get_state, malloc_set_state (swbz#19473)

* Sat Oct 22 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-13
- Auto-sync with upstream master,
  commit e37208ce86916af9510ffb9ce7b3c187986f07de, changing:
- Restore <math.h> compatbility with extern "C" wrappers

* Fri Oct 21 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-12
- Auto-sync with upstream master,
  commit b3918c44db615637b26d919ce599cd86592316b3, fixing:
- math: Turn iszero into a function template (#1387415)
- ARM: Use VSQRT instruction (swbz#20660)
- math: Stop powerpc copysignl raising "invalid" for sNaN (swbz#20718)
- x86: Fix FMA and AVX2 detection (swbz#20689)
- x86: Avoid assertion failure on older Intel CPus (swbz#20647)

* Mon Oct 17 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.24.90-11
- Add prototype support for detecting invalid IFUNC calls (swbz#20019).
- New POSIX thread condition variable implementation (swbz#13165).

* Fri Oct 07 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-10
- Auto-sync with upstream master,
  commit 5140d036f9c16585448b5908c3a219bd96842161, fixing:
- resolv: Remove RES_USEBSTRING and its implementation (swbz#20629)
- Refactor ifunc resolvers due to false debuginfo (swbz#20478)

* Tue Oct 04 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-9
- Auto-sync with upstream master,
  commit ff88ee7edfaa439e23c42fccaf3a36cd5f041894, fixing:
- LONG_WIDTH is incorrectly set to the 64 on 32-bit platforms (#1381582)
- libio: Multiple fixes for open_{w}memstream (swbz#18241, swbz#20181)
- Simplify and test _dl_addr_inside_object (swbz#20292)

* Thu Sep 22 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-8
- Add support for MIPS (#1377795)
- Drop glibc-rh1315476-1.patch (sln pre-processor cleanup), it was
  applied upstream.
- Auto-sync with upstream master,
  commit 17af5da98cd2c9ec958421ae2108f877e0945451, fixing the following bugs:
- Fix non-LE TLS in static programs (swbz#19826)
- resolv: Remove unsupported hook functions from the API (swbz#20016)
- Remove RR type classification macros (swbz#20592)
- Remove obsolete DNSSEC support (swbz#20591)
- manual: Clarify the documentation of strverscmp (swbz#20524)

* Tue Sep 20 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.24.90-7
- Auto-sync with upstream master.

* Thu Sep 01 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-6
- Auto-sync with upstream master,
  commit 4d728087ef8cc826b05bd21d0c74d4eca9b1a27d, fixing:
- Base <sys/quota.h> on Linux headers (#1360480)
- Simplify static malloc interposition (swbz#20432)

* Fri Aug 26 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-5
- Auto-sync with upstream master,
  commit 7e625f7e85b4e88f10dbde35a0641742af581806, fixing:
- lt_LT locale: use hyphens in d_fmt (swbz#20497)
- nptl test time reductions (swbz#19946)

* Sun Aug 21 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-4
- Auto-sync with upstream master,
  commit 66abf9bfbe24ac1e7207d26ccad725ed938dc52c, fixing:
- argp: Do not override GCC keywords with macros (#1366830)

* Wed Aug 17 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-3
- Auto-sync with upstream master,
  commit d9067fca40b8aac156d73cfa44d6875813555a6c, with these changes:
- Avoid duplicating object files already in libc.a (#1352625)
- CVE-2016-6323: Backtraces can hang on ARM EABI (32-bit) (swbz#20435)
- et_EE: locale has wrong {p,n}_cs_precedes value (swbz#20459

* Thu Aug 11 2016 Florian Weimer <fweimer@redhat.com> - 2.24.90-2
- Auto-sync with upstream master,
  commit f79211792127f38d5954419bb3784c8eb7f5e4e5

* Mon Aug 08 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.24.90-1
- Set version to 2.24.90 to match upstream development.

* Mon Aug 08 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.23.90-31
- Auto-sync with upstream master.

* Thu Jul 21 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-30
- Drop sendmsg/recvmsg compatibility patch (#1344830)
- glibc-devel depends on libgcc%%{_isa} (#1289356)
- Drop Requires(pre) on libgcc
- Introduce libcrypt and libcrypt-nss (#1324623)
- Do not try to install mtrace when bootstrapping

* Wed Jul 20 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-29
- Move NSS modules to subpackages (#1338889)

* Wed Jul 13 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-28
- Auto-sync with upstream master, commit
  f531f93056b34800383c5154280e7ba5112563c7.
- Add de_LI.UTF-8 locale.
- Make ldconfig and sln the same binary.  (#1315476)

* Fri Jul 08 2016 Mike FABIAN <mfabian@redhat.com> - 2.23.90-27
- Unicode 9.0.0 updates (ctype, charmap, transliteration) (#1351108)

* Tue Jul 05 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-26
- Auto-sync with upstream master, up to commit
  30e4cc5413f72c2c728a544389da0c48500d9904, fixing these bug:
- strcasecmp failure on ppc64le (#nscd breaks initgroups with nis (initgroups are empty) (#1294574)

* Fri Jun 24 2016 Carlos O'Donell <carlos@redhat.com> - 2.23.90-25
- Properly handle more invalid --install-langs arguments (#1349906).

* Tue Jun 21 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-24
- Auto-sync with upstream master, commit
  a3b473373ee43a292f5ec68a7fda6b9cfb26a9b0, fixing these bugs:
- Unnecessary mmap fallback in malloc (#1348620)
- pwritev system call passes incorrect offset to kernel (#1346070)

* Sat Jun 18 2016 Carlos O'Donell <carlos@redhat.com> - 2.23.90-23
- Use scriptlet expansion in all-langpacks posttrans script to expand
  _install_langes macro.

* Mon Jun 13 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-22
- Remove glibc-fedora-uname-getrlimit.patch.  This patch was
  introduced to fix bug rhbz#579086 (Preloading a replacement uname
  is causing environment to be cleaned if libpthread is loaded).
  UTS namespaces should now offer a cleaner way yo do this.
- Drop sendmmsg/recvmmsg compat symbols on 32-bit architectures (#1344830)
* Sat Jun 11 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-21
- First phase of sendmsg/recvmsg/sendmmsg/recvmmsg ABI revert:
  GLIBC_2.24 compatibility symbols (#1344830)
- Auto-sync with upstream master
  (commit 31d0a4fa646db8b8c97ce24e0ec0a7b73de4fca1),
  fixing the following bugs:
- Add eo locale
- Crash in the nss_db NSS service module during iteration (#1344480)

* Thu Jun 09 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-20
- Auto-sync with upstream master, fixing this bug:
- Emacs crashes on startup (#1342976)

* Wed Jun 01 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-19
- Auto-sync with upstream master.
- Adjust glibc-rh1315108.patch accordingly.
- Fix fork redirection in libpthread (#1326903)
- CVE-2016-4429: stack overflow in Sun RPC clntudp_call (#1337140)
- Do not disable assertions in release builds (#1338887)

* Wed May 11 2016 Carlos O'Donell <carlos@redhat.com> - 2.23.90-18
- Move support for building GCC 2.96 into compat-gcc-296.

* Wed May 11 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-17
- Temporily revert dlsym (RTLD_NEXT)/dlerror change, to unbreak
  ASAN until it is fixed (#1335011)

* Mon May  9 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-16
- Drop the “fix” for fork/vfork NULL symbols in libpthread.  It does
  not work because ld.so apparently supports some variant of direct
  binding.

* Mon May 09 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-15
- Auto-sync with upstream master.
- Drop glibc-nsswitch-Add-group-merging-support.patch, applied upstream.
- Drop glibc-rh1252570.patch, alternative fixes applied upstream.
- Adjust glibc-rh1315108.patch to minor upstream change.
- Update SUPPORTED file.
- Experimental fix for NULL fork/vfork symbols in libpthread (#1326903)

* Tue May 03 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.23.90-14
- Require libselinux for nscd in non-bootstrap configuration.

* Fri Apr 29 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.23.90-13
- Auto-sync with upstream master.

* Thu Apr 28 2016 Carlos O'Donell <carlos@redhat.com> - 2.23.90-12
- Move spec file system information logging to the build stage.

* Thu Apr 14 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-11
- Auto-sync with upstream master.
- Unbreak pread/pread64 on armhfp (#1327277)

* Thu Apr 14 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-10
- Auto-sync with upstream master.

* Thu Apr 14 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-9
- Auto-sync with upstream master.  Removes type union wait.
- Update SUPPORTED locales file.

* Fri Apr 08 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-8
- Auto-sync with upstream master.

* Tue Mar 29 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-7
- Auto-sync with upstream master.
- Adjust glibc-rh1252570.patch to partial upstream fix.
- Drop glibc-fix-an_ES.patch, now included upstream.

* Wed Mar 16 2016 Carlos O'Donell <carlos@redhat.com> - 2.23.90-6
- Use 'an' as language abbreviation for an_ES.

* Mon Mar 07 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.23.90-5
- Auto-sync with upstream master.

* Sun Mar  6 2016 Florian Weimer <fweimer@redhat.com> - 2.23.90-4
- Remove extend_alloca (#1315108)

* Mon Feb 29 2016 Carlos O'Donell <carlos@redhat.com> - 2.23.90-3
- Enhance support for upgrading from a non-language-pack system.

* Fri Feb 26 2016 Mike FABIAN <mfabian@redhat.com> - 2.23.90-2
- Create new language packages for all supported languages.
  Locales, translations, and locale sources are split into
  distinct sub-packages. A meta-package is created for users
  to install all languages. Transparent installation support
  is provided via dnf langpacks.

* Fri Feb 26 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.23.90-1
- Upstream development version is now 2.23.90.

* Thu Feb 25 2016 Carlos O'Donell <carlos@systemhalted.org> - 2.22.90-38
- Auto-sync with upstream master.

* Fri Feb 19 2016 Florian Weimer <fweimer@redhat.com> - 2.22.90-37
- Remove stray newline from Serbian locales (#1114591).

* Tue Feb 16 2016 CArlos O'Donell <carlos@redhat.com> - 2.22.90-36
- Fix CVE-2015-7547: getaddrinfo() stack-based buffer overflow (#1308943).

* Mon Feb 15 2016 Florian Weimer <fweimer@redhat.com> - 2.22.90-35
- Revert may_alias attribute for struct sockaddr (#1306511).
- Revert upstream commit 2212c1420c92a33b0e0bd9a34938c9814a56c0f7 (#1252570).

* Sat Feb 13 2016 Florian Weimer <fweimer@redhat.com> - 2.22.90-34
- Auto-sync with upstream master.
- Support aliasing with struct sockaddr pointers (#1306511).

* Tue Feb 09 2016 Carlos O'Donell <carlos@redhat.com> - 2.22.90-33
- Use --with-cpu=power8 for ppc64le default runtime (#1227361).

* Tue Feb 02 2016 Florian Weimer <fweimer@redhat.com> - 2.22.90-32
- Auto-sync with upstream master.
- Add glibc-isinf-cxx11.patch to improve C++11 compatibility.

* Thu Jan 28 2016 Florian Weimer <fweimer@redhat.com> - 2.22.90-31
- Add workaround for GCC PR69537.

* Thu Jan 28 2016 Florian Weimer <fweimer@redhat.com> - 2.22.90-30
- Auto-sync with upstream master.

* Wed Jan 13 2016 Carlos O'Donell <carlos@redhat.com> - 2.22.90-29
- New pthread_barrier algorithm with improved standards compliance.

* Wed Jan 13 2016 Carlos O'Donell <carlos@redhat.com> - 2.22.90-28
- Add group merging support for distributed management (#1146822).

* Tue Jan 12 2016 Carlos O'Donell <carlos@redhat.com> - 2.22.90-27
- Remove 32-bit POWER support.
- Add 64-bit POWER7 BE and 64-bit POWER8 BE optimized libraries.

* Mon Dec 21 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-26
- Auto-sync with upstream master.

* Wed Dec 16 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-25
- Auto-sync with upstream master.
- Includes fix for malloc assertion failure in get_free_list.  (#1281714)
- Drop Unicode 8.0 patches (now merged upstream).

* Sat Dec  5 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-24
- Put libmvec_nonshared.a into the -devel package.  (#1288738)

* Sat Dec 05 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-23
- Auto-sync with upstream master.

* Thu Nov 26 2015 Carlos O'Donell <carlos@redhat.com> - 2.22.90-22
- The generic hidden directive support is already used for
  preinit/init/fini-array symbols so we drop the Fedora-specific
  patch that does the same thing.
  Reported by Dmitry V. Levin <ldv@altlinux.org>

* Thu Nov 26 2015 DJ Delorie <dj@redhat.com> - 2.22.90-22
- Require glibc-static for C++ tests.
- Require gcc-c++, libstdc++-static, and glibc-static only when needed.
- Fix --without docs to not leave info files.

* Fri Nov 20 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-21
- Auto-sync with upstream master.

* Wed Nov 18 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-20
- Auto-sync with upstream master.

* Wed Nov 18 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-19
- Disable -Werror on s390 (#1283184).

* Mon Nov 16 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-18
- Auto-sync with upstream master.

* Mon Nov 16 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-17
- Revert temporary armhfp build fix.

* Mon Nov  9 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-16
- Apply temporary fix for armhfp build issue.

* Mon Nov 09 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-15
- Auto-sync with upstream master.

* Tue Nov  3 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-14
- Log uname, cpuinfo, meminfo during build (#1276636)

* Fri Oct 30 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-13
- Auto-sync with upstream master.

* Fri Oct 30 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-12
- Revert to upstream implementation of condition variables (#1229659)

* Wed Oct 28 2015 Florian Weimer <fweimer@redhat.com> - 2.22.90-11
- Disable valgrind test on ppc64p7, too.

* Mon Oct 26 2015 Carlos O'Donell <carlos@redhat.com> - 2.22.90-10
- Disable valgrind test for ppc64.

* Wed Oct 21 2015 Carlos O'Donell <carlos@redhat.com> - 2.22.90-9
- Sync with upstream master.
- Update new condvar implementation.

* Fri Oct  9 2015 Carlos O'Donell <carlos@redhat.com> - 2.22.90-8
- Remove libbsd.a (#1193168).

* Wed Sep 16 2015 Mike FABIAN <mfabian@redhat.com> - 2.22.90-7
- Add the C.UTF-8 locale (#902094).

* Wed Sep 16 2015 Carlos O'Donell <carlos@systemhalted.org> - 2.22.90-6
- Fix GCC 5 and -Werror related build failures.
- Fix --install-langs bug which causes SIGABRT (#1262040).

* Fri Aug 28 2015 Carlos O'Donell <carlos@systemhalted.org> - 2.22.90-5
- Auto-sync with upstream master.

* Thu Aug 27 2015 Carlos O'Donell <carlos@redhat.com> - 2.22.90-4
- Build require gcc-c++ for the C++ tests.
- Support --without testsuite option to disable testing after build.
- Support --without benchtests option to disable microbenchmarks.
- Update --with bootstrap to disable benchtests, valgrind, documentation,
  selinux, and nss-crypt during bootstrap.
- Support --without werror to disable building with -Werror.
- Support --without docs to disable build requirement on texinfo.
- Support --without valgrind to disable testing with valgrind.
- Remove c_stubs add-on and enable fuller support for static binaries.
- Remove librtkaio support (#1227855).

* Sun Aug 16 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.22.90-3
- Auto-sync with upstream master.

* Fri Aug 14 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.22.90-2
- Remove initgroups from the default nsswitch.conf (#751450).

* Fri Aug 14 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.22.90-1
- Sync with upstream master.

* Tue Jul 28 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-20
- Sync with upstream master.

* Thu Jul 23 2015 Mike FABIAN <mfabian@redhat.com> - 2.21.90-19
- some more additions to the translit_neutral file by Marko Myllynen

* Tue Jul 14 2015 Mike FABIAN <mfabian@redhat.com> - 2.21.90-18
- Unicode 8.0.0 updates, including the transliteration files (#1238412).

* Sun Jun 21 2015 Carlos O'Donell <carlos@redhat.com> - 2.21.90-17
- Remove all linuxthreads handling from glibc spec file.

* Wed Jun 17 2015 Carlos O'Donell <carlos@redhat.com> - 2.21.90-16
- Move split out architecture-dependent header files into devel package
  and keep generic variant in headers package, thus keeping headers package
  content and file list identical across multilib rpms.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21.90-15.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun  3 2015 Carlos O'Donell <carlos@redhat.com> - 2.21.90-15
- Remove patch to increase DTV surplus which is no longer needed after
  upstream commit f8aeae347377f3dfa8cbadde057adf1827fb1d44.

* Sat May 30 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-14
- Fix build failure on aarch64 (#1226459).

* Mon May 18 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-13
- Sync with upstream master.
- Install new condvar implementation.

* Fri May 08 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-12
- Add benchmark comparison scripts.

* Thu May 07 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-11
- Auto-sync with upstream master.
- Revert arena threshold fix to work around #1209451.

* Tue Apr 07 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-10
- Revert last auto-sync (#1209451).

* Mon Apr 06 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-9
- Auto-sync with upstream master.

* Tue Mar 24 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-8
- Auto-sync with upstream master.

* Tue Mar 17 2015 Carlos O'Donell <carlos@redhat.com> - 2.21.90-7
- Use rpm.expand in scripts to reduce set of required RPM features.

* Thu Mar 12 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-6
- Auto-sync with upstream master.

* Tue Mar  3 2015 Mike Fabian <mfabian@redhat.com> - 2.21.90-5
- Support installing only those locales specified by the RPM macro
  %%_install_langs (#156477).

* Mon Feb 23 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.21.90-4
- Auto-sync with upstream master.

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 2.21.90-3.1
- Rebuilt for Fedora 23 Change
  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code

* Thu Feb 12 2015 Carlos O'Donell <carlos@systemhalted.org> - 2.21.90-3
- Fix missing clock_* IFUNCs in librtkaio.

* Thu Feb 12 2015 Carlos O'Donell <carlos@systemhalted.org> - 2.21.90-2
- Auto-sync with upstream master.

* Wed Feb 11 2015 Carlos O'Donell <carlos@systemhalted.org> - 2.21.90-1
- Add back x86 vDSO support.
- Fix rtkaio build to reference clock_* functions from libc.

* Wed Jan 21 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-20
- Sync with upstream master.
- Disable werror on s390x.
- Revert x86 vDSO support since it breaks i686 rtkaio build.

* Tue Jan 20 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2.20.90-19
- Drop large ancient ChangeLogs (rhbz #1169546)

* Mon Jan 12 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-18
- Pass address of main_arena.mutex to mutex_lock/unlock.

* Thu Jan 08 2015 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-17
- Define a __tls_get_addr macro to avoid a conflicting declaration.

* Wed Jan 07 2015 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> - 2.20.90-16
- Disable -Werror for s390 as well.

* Wed Jan 07 2015 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> - 2.20.90-14
- Sync with upstream master.
- Disable -Werror on powerpc and armv7hl.
- Temporarily disable valgrind test on ppc64.

* Sun Dec 28 2014 Dan Horák <dan[at]danny.cz>
- valgrind available only on selected arches (missing on s390)

* Wed Dec 10 2014 Kyle McMartin <kmcmarti@redhat.com>
- aarch64: Drop strchrnul.S revert, apply fix from Richard Earnshaw.

* Fri Dec 05 2014 Carlos O'Donell <carlos@redhat.com> - 2.20.90-13
- Fix permission of debuginfo source files to allow multiarch
  debuginfo packages to be installed and upgraded.

* Fri Dec 05 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-12
- Remove LIB_LANG since we don't install locales in /usr/lib/locale anymore.
- Don't own any directories in /usr/share/locale (#1167445).
- Use the %%find_lang macro to get the *.mo files (#1167445).
- Add %%lang tags to language locale files in /usr/share/i18n/locale (#1169044).

* Wed Dec 03 2014 Kyle McMartin <kyle@fedoraproject.org> - 2.20.90-11
- aarch64: revert optimized strchrnul.S implementation (rhbz#1167501)
  until it can be debugged.

* Fri Nov 28 2014 Carlos O'Donell <carlos@redhat.com> - 2.20.90-10
- Auto-sync with upstream master.

* Wed Nov 19 2014 Carlos O'Donell <carlos@redhat.com> - 2.20.90-9
- Sync with upstream master.

* Wed Nov 05 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-8
- Make getconf return only /usr/bin (#1138835).
- Sync with upstream master.

* Tue Nov 04 2014 Arjun Shankar <arjun.is@lostca.se> - 2.20.90-7
- Add patch that modifies several tests to use test-skeleton.c.
  The patch is accepted but not yet committed upstream.
  https://sourceware.org/ml/libc-alpha/2014-10/msg00744.html

* Tue Sep 30 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-6
- Sync with upstream master.
- Disable more Intel TSX usage in rwlocks (#1146967).
- Enable lock elision again on s390 and s390x.
- Enable Systemtap SDT probes for all architectures (#985109).

* Fri Sep 26 2014 Carlos O'Donell <carlos@redhat.com> - 2.20.90-5
- Disable lock elision support for Intel hardware until microcode
  updates can be done in early bootup (#1146967).
- Fix building test tst-strtod-round for ARM.

* Tue Sep 23 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-4
- Sync with upstream master.
- Don't own the common debuginfo directories (#1144853).
- Run valgrind in the %%check section to ensure that it does not break.

* Tue Sep 16 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-3
- Sync with upstream master.
- Revert patch for #737223.

* Mon Sep 08 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-2
- Build build-locale-archive statically again.

* Mon Sep 08 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.20.90-1
- Sync with upstream master.

* Thu Sep  4 2014 Carlos O'Donell <carlos@redhat.com> - 2.19.90-36
- Allow up to 32 dlopened modules to use static TLS (#1124987).
- Run glibc tests in %%check section of RPM spec file.
- Do not run tests with `-k` and fail if any test fails to build.

* Tue Aug 26 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-35
- Sync with upstream master.
- Use INTERNAL_SYSCALL in TLS_INIT_TP (#1133134).
- Remove gconv loadable module transliteration support (CVE-2014-5119, #1119128).

* Fri Aug 22 2014 Dennis Gilmore <dennis@ausil.us> - 2.19.90-34
- add back sss to nsswitch.conf we have added workarounds in the tools

* Thu Aug 21 2014 Kevin Fenzi <kevin@scrye.com> - 2.19.90-33.1
- Rebuild for rpm bug 1131960

* Tue Aug 19 2014 Dennis Gilmore <dennis@ausil.us> - 2.19.90-33
- remove sss from default nsswitch.conf it causes issues with live image composing

* Wed Aug 13 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-32
- Auto-sync with upstream master.
- Revert to only defining __extern_always_inline for g++-4.3+.
- Fix build failure in compat-gcc-32 (#186410).

* Mon Jul 28 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-31
- Auto-sync with upstream master.

* Wed Jul 23 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-30
- Undo last master sync to fix up rawhide.

* Tue Jul 15 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-29
- Auto-sync with upstream master.

* Sat Jul 12 2014 Tom Callaway <spot@fedoraproject.org> - 2.19.90-28
- fix license handling

* Mon Jul 07 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-27
- Auto-sync with upstream master.

* Fri Jul 04 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-26
- Sync with upstream roland/nptl branch.
- Improve testsuite failure outputs in build.log

* Thu Jul 03 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-25
- Sync with upstream roland/nptl branch.

* Wed Jul 02 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-24
- Sync with upstream master.

* Tue Jun 24 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-23
- Sync with upstream master.
- Add fix to unbreak i386 ABI breakage due to a change in scalbn.

* Fri Jun 20 2014 Kyle McMartin <kmcmarti@redhat.com> - 2.19.90-22
- AArch64: Save & restore NZCV (flags) upon entry to _dl_tlsdesc_dynamic
  in order to work around GCC reordering compares across the TLS
  descriptor sequence (GCC PR61545.) Committing a (temporary) fix here
  allows us to avoid rebuilding the world with gcc 4.9.0-11.fc21.

* Mon Jun 16 2014 Kyle McMartin <kmcmarti@redhat.com> - 2.19.90-21
- Auto-sync with upstream master.

* Thu Jun 12 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-20
- Auto-sync with upstream master.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.90-19.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-19
- Sync with upstream master.

* Mon May 26 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-18
- Sync with upstream master.
- Adjust rtkaio patches to build with upstream master.

* Wed May 21 2014 Kyle McMartin <kyle@fedoraproject.org> - 2.19.90-17
- Backport some upstream-wards patches to fix TLS issues on AArch64.

* Wed May 21 2014 Kyle McMartin <kyle@fedoraproject.org> - 2.19.90-16
- AArch64: Fix handling of nocancel syscall failures (#1098327)

* Thu May 15 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-15
- Sync with upstream master.

* Wed May 14 2014 Carlos O'Donell <carlos@redhat.com> - 2.19.90-14
- Add support for displaying all test results in build logs.

* Wed May 14 2014 Carlos O'Donell <carlos@redhat.com> - 2.19.90-13
- Add initial support for ppc64le.

* Tue Apr 29 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-12
- Auto-sync with upstream master.
- Remove ports addon.

* Fri Apr 18 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-11
- Sync with upstream master.

* Thu Apr 10 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-10
- Sync with upstream master.

* Thu Apr 03 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-9
- Sync with upstream master.

* Wed Mar 26 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-8
- Sync with upstream master.

* Wed Mar 19 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-7
- Sync with upstream master.
- Fix offset computation for append+ mode on switching from read (#1078355).

* Wed Mar 12 2014 Carlos O'Donell <carlos@redhat.com> - 2.19.90-6
- Sync with upstream master.
- Use cleaner upstream solution for -ftree-loop-distribute-patterns (#911307).

* Tue Mar 04 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-5
- Sync with upstream master.

* Thu Feb 27 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-4
- Use nscd service files from glibc sources.
- Make nscd service forking in systemd service file.

* Tue Feb 25 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-3
- Sync with upstream master.
- Separate ftell from fseek logic and avoid modifying FILE data (#1069559).

* Mon Feb 24 2014 Carlos O'Donell <carlos@redhat.com> - 2.19.90-2
- Fix build-locale-archive failure to open default template.

* Tue Feb 18 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.19.90-1
- Sync with upstream master.

* Tue Feb 04 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-27
- Sync with upstream master.

* Wed Jan 29 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-26
- Modify regular expressions to include powerpcle stubs-*.h (#1058258).

* Wed Jan 29 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-25
- Sync with upstream master.

* Sat Jan 25 2014 Ville Skyttä <ville.skytta@iki.fi> - 2.18.90-24
- Own the %%{_prefix}/lib/locale dir.

* Thu Jan 23 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-23
- Sync with upstream master.

* Thu Jan 16 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-22
- Back out ftell test case (#1052846).

* Tue Jan 14 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-21
- Sync with upstream master.
- Fix infinite loop in ftell when writing wide char data (#1052846).

* Tue Jan  7 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-20
- Sync with upstream master.
- Enable systemtap probes on Power and S/390.

* Fri Dec 27 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-19
- Sync with upstream master.

* Fri Dec 20 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-18
- Sync with upstream master.

* Wed Dec  4 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-17
- Sync with upstream master.
  - Fix shm_open validation (#1037787);

* Thu Nov 28 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-16
- Sync with upstream master.

* Wed Nov 20 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-15
- Sync with upstream master.

* Fri Nov  8 2013 Carlos O'Donell <carlos@redhat.com> - 2.18.90-14
- Enhance NSCD's SELinux support to use dynamic permission names (#1025126).

* Mon Oct 28 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-13
- Sync with upstream master.
  - Skip over unimplemented timezone format specifier in strptime (#947722).

* Mon Oct 21 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-12
- Allow fill_archive to be called with NULL fname.
- Sync with upstream master.

* Tue Oct 15 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-11
- Sync with upstream master.

* Thu Oct  3 2013 Carlos O'Donell <carlos@redhat.com> - 2.18.90-10
- Allow applications to use pthread_atfork without explicitly
  requiring libpthread.so. (#1013801)
- Support `--list-archive FILE' in localedef utility.

* Thu Oct  3 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-9
- Define swap_endianness_p in build-locale-archive.

* Wed Oct  2 2013 Carlos O'Donell <carlos@redhat.com> - 2.18.90-8
- Allow ldconfig cached objects previously marked as hard or soft
  ABI to now become unmarked without raising an error. This works
  around a binutils bug that caused objects to become unmarked.
  (#1009145)

* Tue Oct  1 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-7
- Fix check for PI mutex on non-x86 systems (#1007590).
- Resync with upstream master.

* Tue Sep 24 2013 Carlos O'Donell <carlos@redhat.com> - 2.18.90-6
- Avoid the use of __block which is a reserved keyword for clang++
  (#1009623).

* Mon Sep 23 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-5
- Resync with upstream master.

* Sun Sep 22 2013 Carlos O'Donell <carlos@redhat.com> - 2.18.90-4
- Fix CVE-2013-4788: Static applications now support pointer mangling.
  Existing static applications must be recompiled (#985625).

* Wed Sep 18 2013 Patsy Franklin <pfrankli@redhat.com> - 2.18.90-3
- Fix conditional requiring specific binutils for s390/s390x.

* Mon Sep 16 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-2
- Resync with upstream master.
- Fix CVE-2013-4332 (#1008299).

* Thu Sep  5 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18.90-1
- Resync with upstream master.
- Drop patch for #800224.

* Thu Aug 29 2013 Carlos O'Donell <carlos@redhat.com> - 2.18-6
- Fix Power build (#997531).

* Wed Aug 28 2013 Carlos O'Donell <carlos@redhat.com> - 2.18-5
- Fix indirect function support to avoid calling optimized routines
  for the wrong hardware (#985342).

* Mon Aug 26 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18-4
- Initialize res_hconf in nscd. (#1000924).

* Tue Aug 20 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18-3
- Remove non-ELF support in rtkaio.
- Avoid inlining of cleanup function for kaio_suspend.
- Expand sizes of some types in strcoll (#855399, CVE-2012-4424).
- Fix tst-aiod2 and tst-aiod3 test failures (#970865).

* Mon Aug 19 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18-2
- Fix buffer overflow in readdir_r (#995841, CVE-2013-4237).
- Remove releng tarball.

* Fri Aug 16 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.18-1
- Upstream release 2.18.
- Pull in systemd during build and use the tmpfilesdir macro.

* Wed Aug 14 2013 Carlos O'Donell <codonell@redhat.com> - 2.17.90-14
- Update spec file to use rpm prefix everywhere.

* Tue Aug 13 2013 Carlos O'Donell <codonell@redhat.com> - 2.17.90-13
- Revert `Move to /usr' transition.

* Tue Aug 13 2013 Carlos O'Donell <codonell@redhat.com> - 2.17.90-12
- Complete `Move to /usr' transition. All relevant files are now
  installed into `/usr'.

* Wed Aug 07 2013 Karsten Hopp <karsten@redhat.com> 2.17.90-11
- rebuild with the latest rpm to fix missing ld64.so provides on PPC

* Mon Jul 29 2013 Carlos O'Donell <codonell@redhat.com> - 2.17.90-10
- Fix missing libbsd.a in debuginfo packages.

* Mon Jul 29 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17.90-9
- Fix strcoll flaws (#855399, CVE-2012-4412, CVE-2012-4424).

* Mon Jul 29 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17.90-8
- Resync with upstream master.
- Disable pt_chown (CVE-2013-2207).

* Thu Jul 25 2013 Carlos O'Donell <carlos@redhat.com> - 2.17.90-7
- Correctly name the 240-bit slow path sytemtap probe slowpow_p10 for slowpow.

* Wed Jul 24 2013 Carlos O'Donell <carlos@redhat.com> - 2.17.90-6
- Add build requirement on static libstdc++ library to fix testsuite failures
  for static C++ tests.

* Fri Jul 12 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17.90-5
- Enable lock elision support (#982363).
- Depend on systemd instead of systemd-units (#983760).

* Tue Jul  9 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17.90-4
- Resync with upstream master.

* Thu Jun 20 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17.90-3
- Resync with upstream master.

* Tue Jun 11 2013 Remi Collet <rcollet@redhat.com> - 2.17.90-2
- rebuild for new GD 2.1.0

* Tue Jun  4 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17.90-1
- Resync with upstream master.

* Tue May 14 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17-9
- Avoid crashing in LD_DEBUG when program name is unavailable (#961238).

* Sun May  5 2013 Patsy Franklin <pfrankli@redhat.com> - 2.17-8
- Fix _nl_find_msg malloc failure case, and callers. (#959034).

* Tue Apr 23 2013 Patsy Franklin <pfrankli@redhat.com> - 2.17-7
- Test init_fct for NULL, not result->__init_fct, after demangling (#952799).

* Tue Apr 23 2013 Patsy Franklin <pfrankli@redhat.com> - 2.17-6
- Increase limits on xdr name and record requests (#892777).
- Consistently MANGLE/DEMANGLE init_fct, end_fct and btow_fct (#952799).

* Thu Mar 28 2013 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.17-5
- Don't add input group during initgroups_dyn in hesiod (#921760).

* Sun Mar 17 2013 Carlos O'Donell <carlos@redhat.com> - 2.17-4
- Fixed i386 glibc builds (#917161).
- Fixed multibyte character processing crash in regexp (#905877, CVE-2013-0242)

* Wed Feb 27 2013 Carlos O'Donell <carlos@redhat.com> - 2.17-3
- Renamed release engineering directory to `releng' (#903754).
- Fix building with gcc 4.8.0 (#911307).

* Thu Feb 7 2013 Carlos O'Donell <carlos@redhat.com> - 2.17-2
- Fix ownership of /usr/lib[64]/audit (#894307).
- Support unmarked ARM objects in ld.so.cache and aux cache (#905184).

* Tue Jan 1 2013 Jeff Law <law@redhat.com> - 2.17-1
- Resync with official glibc-2.17 release
* Fri Dec 21 2012 Jeff Law <law@redhat.com> - 2.16.90-40
- Resync with master

* Wed Dec 19 2012 Jeff Law <law@redhat.com> - 2.16.90-39
- Add rtld-debugger-interface.txt as documentation. (#872242)

* Fri Dec 7 2012 Jeff Law <law@redhat.com> - 2.16.90-38
- Resync with master
- Drop patch for 731228 that is no longer needed.

* Thu Dec 6 2012 Jeff Law <law@redhat.com> - 2.16.90-37
- Resync with master
- Patch for 697421 has been submitted upstream.
- Drop local patch for 691912 that is no longer needed.

* Mon Dec 3 2012 Jeff Law <law@redhat.com> - 2.16.90-36
- Resync with master
- Drop local patch for 657588 that is no longer needed.
- Drop local patch for 740682 that is no longer needed.
- Drop local patch for 770439 that is no longer needed.
- Drop local patch for 789209 that is no longer needed.
- Drop local patch for nss-files-overflow that seems
  useless.
- Drop localedata-locales-fixes as they were rejected
  upstream.
- Drop test-debug-gnuc-hack.patch that seems useless now.
- Repack patchlist.

* Fri Nov 30 2012 Jeff Law <law@redhat.com> - 2.16.90-35
- Resync with master (#882137).
- Remove local patch for strict-aliasing warnings that
  is no longer needed.
- Remove local patch for 730856 that is no longer needed.
- Repack patchlist.

* Thu Nov 29 2012 Jeff Law <law@redhat.com> - 2.16.90-34
- Remove local patch which "temporarily" re-added currences
  obsoleted by the Euro.
- Remove hunks from strict-aliasing patch that are no longer
  needed.

* Thu Nov 29 2012 Jeff Law <law@redhat.com> - 2.16.90-33
- Resync with master.
- Drop local patch for 788989.
- Repack patchlist.

* Wed Nov 28 2012 Jeff Law <law@redhat.com> - 2.16.90-32
- Resync with master.
- Drop local patch for 878913.
- Drop local patch for 880666.
- Drop local patch for 767693.
- Repack patchlist.

* Tue Nov 27 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.16.90-31
- Ensure that hashtable size is greater than 3 (#878913).
- fwrite returns 0 on EOF (#880666).

* Mon Nov 26 2012 Jeff Law <law@redhat.com> - 2.16.90-30
- Resync with upstream sources
- Drop local patch for getconf.
- Repack patchlist.

* Fri Nov 16 2012 Jeff Law <law@redhat.com> - 2.16.90-29
- Rsync with upstream sources
- Drop local patches for 803286, 791161, 790292, 790298

* Wed Nov 7 2012 Jeff Law <law@redhat.com> - 2.16.90-28
- Resync with upstream sources (#873397)

* Mon Nov 5 2012 Jeff Law <law@redhat.com> - 2.16.90-27
- Resync with upstream sources.
- Don't use distinct patches for 770869, 787201 and 688948
  as they all modify stuff under fedora/
- Repack patchlist

* Thu Nov 1 2012 Jeff Law <law@redhat.com> - 2.16.90-26
- Resync with upstream sources (#872336)

* Mon Oct 22 2012 Jeff Law <law@redhat.com> - 2.16.90-25
- Rsync with upstream sources
- Drop 864820 patch as now that it's upstream.
- Add sss to /etc/nsswitch.conf (#867473)

* Thu Oct 11 2012 Jeff Law <law@redhat.com> - 2.16.90-24
- Rsync with upstream sources
- Drop local 552960-2 patch now that it's upstream.
- Drop local 858274 patch now that the root problem is fixed upstream.
- Repack patchlist.

* Wed Oct 10 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.16.90-23
- Fix Marathi names for Wednesday, September and October (#rh864820).

* Fri Oct  5 2012 Jeff Law <law@redhat.com> - 2.16.90-22
- Resync with upstream sources
- Drop local 552960 patch now that it's upstream
- Drop local stap patch now obsolete
- Drop local s390 patch which avoided problems with old assemblers
- Drop old fortify source patch to deal with old compilers

* Thu Oct 4 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.16.90-21
- Take mutex in cleanup only if it is not already taken.

* Tue Oct 2 2012 Jeff Law <law@redhat.com> - 2.16.90-20
- Resync with upstream sources.
- Repack patchlist.

* Mon Oct 1 2012 Jeff Law <law@redhat.com> - 2.16.90-19
- Resync with upstream sources to pick up fma fixes

* Fri Sep 28 2012 Jeff Law <law@redhat.com> - 2.16.90-18
- Resync with upstream sources.
- Drop fedora-cdefs-gnuc.patch, it's not needed anymore.
- Drop fedora-gai-rfc1918.patch, it's upstream now.
- Drop fedora-localedata-no_NO.patch, it was supposed to be
  temporary -- that was back in 2003.  This should have been
  sorted out long ago.  We'll just have to deal with the
  fallout.
- Drop fedora-vfprintf-sw6530.patch, it's upstream now.
- Drop rh769421.patch; Siddhesh has fixed this properly with 552960.

* Fri Sep 28 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.16.90-17
- Release mutex before going back to wait for PI mutexes (#552960).

* Tue Sep 25 2012 Jeff Law <law@redhat.com> - 2.16.90-16
- Resync with upstream sources.

* Fri Sep 21 2012 Jeff Law <law@redhat.com> - 2.16.90-15
- Remove most of fedora-nscd patch as we no longer use the
  old init files, but systemd instead.
- Remove path-to-vi patch.  With the usr-move changes that
  patch is totally unnecessary.
- Remove i686-nopl patch.  Gas was changed back in 2011 to
  avoid nopl.
- Move gai-rfc1918 patch to submitted upstream status

* Fri Sep 21 2012 Jeff Law <law@redhat.com> - 2.16.90-14
- Revert patch for 816647, it's blatently broken.

* Fri Sep 21 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 2.16.90-13
- Bring back byteswap-16.h (#859268).

* Thu Sep 20 2012 Jeff Law <law@redhat.com> - 2.16.90-12
- Revert recent upstream strstr changes (#858274)
- Demangle function pointers before testing them (#816647)
- Remove handling of /etc/localtime and /var/spool/postfix/etc/localtime
  as systemd will be handling them from now on (#858735).

* Fri Sep 14 2012 Jeff Law <law@redhat.com> - 2.16.90-11
- Resync with upstream sources (#857236).

* Sat Sep  8 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 2.16.90-10
- Enable ports to fix FTBFS on ARM

* Wed Sep 5 2012 Jeff Law <law@redhat.com> - 2.16.90-9
- Resync with upstream sources.

* Tue Sep 4 2012 Jeff Law <law@redhat.com> - 2.16.90-8
- Incorporate ppc64p7 arch changes (#854250)

* Thu Aug 30 2012 Jeff Law <law@redhat.com> - 2.16.90-7
- Resync with upstream sources.

* Wed Aug 22 2012 Jeff Law <law@redhat.com> - 2.16.90-6
- Resync with upstream sources.

* Tue Aug 21 2012 Jeff Law <law@redhat.com> - 2.16.90-5
- Replace manual systemd scriptlets with macroized scriptlets (#850129)

* Mon Aug 20 2012 Jeff Law <law@redhat.com> - 2.16.90-4
- Move /etc/localtime into glibc-common package since glibc-common
  owns the scriptlets which update it.

* Mon Aug 20 2012 Jeff Law <law@redhat.com> - 2.16.90-3
- Remove obsolete patches from glibc-fedora.patch.  Explode
  remaining patches into distinct patchfiles.  Thanks to
  Dmitry V. Levin for identifying them!
  Drop ia64 specific patches and specfile fragments

* Wed Aug 15 2012 Jeff Law <law@redhat.com> - 2.16.90-2
- Fix integer overflow leading to buffer overflow in strto* (#847718)

* Mon Aug 13 2012 Jeff Law <law@redhat.com> - 2.16.90-1
- Resync with upstream sources, drop obsolete patches.
- Drop glibc-ports bits as they're part of the master
  sources now.

* Mon Aug 13 2012 Jeff Law <law@redhat.com> - 2.16-9
- Replace patch for 179072 with official version from upstream.

* Fri Aug 10 2012 Jeff Law <law@redhat.com> - 2.16-8
- Replace patch for 789238 with official version from upstream.

* Wed Jul 25 2012 Jeff Law <law@redhat.com> - 2.16-7
- Pack IPv4 servers at the start of nsaddr_list and
  only track the number of IPV4 servers in EXT(statp->nscounti (#808147)
- Mark set*uid, set*gid as __wur (warn unused result) (#845960)

* Wed Jul 25 2012 Jeff Law <law@redhat.com> - 2.16-6
- Revert patch for BZ696143, it made it impossible to use IPV6
  addresses explicitly in getaddrinfo, which in turn broke
  ssh, apache and other code. (#808147)
- Avoid another unbound alloca in vfprintf (#841318)
- Remove /etc/localtime.tzupdate in lua scriptlets
- Revert back to using posix.symlink as posix.link with a 3rd
  argument isn't supported in the lua version embedded in rpm.
- Revert recent changes to res_send (804630, 835090).
- Fix memcpy args in res_send (#841787).

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 5 2012 Jeff Law <law@redhat.com> - 2.16-2
- Use posix.link rather than posix.symlink in scriptlet to
  update /etc/localtime (#837344).

* Mon Jul 2 2012 Jeff Law <law@redhat.com> - 2.16-1
- Resync with upstream glibc-2.16 release.

* Fri Jun 22 2012 Jeff Law <law@redhat.com> - 2.15.90-16
- Resync with upstream sources, drop obsolete patch.

* Thu Jun 21 2012 Jeff Law <law@redhat.com> - 2.15.90-15
- Resync with upstream sources (#834447).
- Fix use-after-free in dcigettext.c (#816647).

* Fri Jun 15 2012 Jeff Law <law@redhat.com> - 2.15.90-14
- Resync with master.

* Thu Jun 14 2012 Jeff Law <law@redhat.com> - 2.15.90-13
- Delay setting DECIDED field in locale file structure until
  we have read the file's data (#827510).

* Mon Jun 11 2012 Dennis Gilmore <dennis@ausil.us> - 2.15.90-12
- actually apply the arm linker hack

* Mon Jun 11 2012 Dennis Gilmore <dennis@ausil.us> - 2.15.90-11
- only deal with the arm linker compat hack on armhfp arches
- armsfp arches do not have a linker change
- Backward compat hack for armhf binaries.

* Thu Jun  7 2012 Jeff Law <law@redhat.com> - 2.15.90-10
- Fix parsing of /etc/sysconfig/clock when ZONE has spaces. (#828291)

* Tue Jun  5 2012 Jeff Law <law@redhat.com> - 2.15.90-9
- Resync with upstream sources, drop unnecessary patches.
- Fix DoS in RPC implementation (#767693)
- Remove deprecated alpha support.
- Remove redundant hunk from patch. (#823905)

* Fri Jun  1 2012 Patsy Franklin <patsy@redhat.com> - 2.15.90-8
- Fix iconv() segfault when the invalid multibyte character 0xffff is input
  when converting from IBM930 (#823905)

* Fri Jun 1 2012 Jeff Law <law@redhat.com> - 2.15.90-7
- Resync with upstream sources.  (#827040)

* Thu May 31 2012 Patsy Franklin <patsy@redhat.com> - 2.15.90-6
- Fix fnmatch() when '*' wildcard is applied on a file name containing
  multibyte chars. (#819430)

* Wed May 30 2012  Jeff Law <law@redhat.com> - 2.15.90-5
- Resync with upstream sources, drop unnecessary patches.

* Tue May 29 2012  Jeff Law <law@redhat.com> - 2.15.90-4
- Build info files in the source dir, then move to objdir
  to avoid multilib conflicts (#825061)

* Fri May 25 2012  Jeff Law <law@redhat.com> - 2.15.90-3
- Work around RPM dropping the contents of /etc/localtime
  when it turns into a symlink with %post common script (#825159).

* Wed May 23 2012  Jeff Law <law@redhat.com> - 2.15.90-2
- Fix option rotate when one IPV6 server is enabled (#804630)
- Reenable slow/uberslow path taps slowpow/slowexp.

* Wed May 23 2012  Jeff Law <law@redhat.com> - 2.15.90-1
- Resync with upstream sources, drop unnecessary patches.

* Tue May 22 2012 Patsy Franklin <pfrankli@redhat.com> - 2.15-41
- Fix tzdata trigger (#822200)
- Make the symlink relative rather than linking into the buildroot (#822200).
- Changed /etc/localtime to a symlink. 8222000 (#822200)

* Tue May 15 2012 Jeff Law <law@redhat.com> - 2.15-40
- Update to upstream patch for 806070 (#806070)

* Mon May 14 2012 Jeff Law <law@redhat.com> - 2.15-39
- Update upstream patch for AVX testing (#801650)

* Fri May 11 2012 Jeff Law <law@redhat.com> - 2.15-38
- Upstream patch to fix AVX testing (#801650)

* Thu May 10 2012 Jeff Law <law@redhat.com> - 2.15-37
- Try again to fix AVX testing (#801650)

* Mon May 7 2012 Jeff Law <law@redhat.com> - 2.15-36
- Improve fortification disabled warning.
- Change location of dynamic linker for armhf.

* Mon Apr 30 2012 Jeff Law <law@redhat.com> - 2.15-35
- Implement context routines for ARM (#817276)

* Fri Apr 13 2012 Jeff Law <law@redhat.com> - 2.15-34
- Issue a warning if FORTIFY_CHECKING is requested, but disabled.

* Thu Apr 12 2012 Jeff Law <law@redhat.com> - 2.15-33
- Fix another unbound alloca in nscd groups (#788989)

* Tue Apr 3 2012 Jeff Law <law@redhat.com> - 2.15-32
- Fix first day of week for lv_LV (#682500)

* Mon Apr 2 2012 Jeff Law <law@redhat.com> - 2.15-31
- When retrying after main arena failure, always retry in a
  different arena. (#789238)

* Tue Mar 27 2012 Jeff Law <law@redhat.com> - 2.15-30
- Avoid unbound alloca usage in *-crypt routines (#804792)
- Fix data race in nscd (#806070)

* Fri Mar 23 2012 Jeff Law <law@redhat.com> - 2.15-29
- Fix typo in __nss_getent (#806403).

* Wed Mar 14 2012 Jeff Law <law@redhat.com> - 2.15-28
- Add doi_IN, sat_IN and mni_IN to SUPPORTED locals (#803286)
- Add stap probes in slowpow and slowexp.

* Fri Mar 09 2012 Jeff Law <law@redhat.com> - 2.15-27
- Fix AVX checks (#801650)

* Wed Feb 29 2012 Jeff Law <law@redhat.com> - 2.15-26
- Set errno properly in vfprintf (#794797)
- Don't kill application when LD_PROFILE is set. (#800224)

* Wed Feb 29 2012 Jeff Law <law@redhat.com> - 2.15-25
- Fix out of bounds memory access in resolver (#798471)
- Always mark vDSO as used (#758888)

* Fri Feb 24 2012 Jeff Law <law@redhat.com> - 2.15-24
- Fix bogus underflow (#760935)
- Correctly handle dns request where large numbers of A and AAA records
  are returned (#795498)
- Fix nscd crash when group has many members (#788989)

* Mon Feb 20 2012 Jeff Law <law@redhat.com> - 2.15-23
- Avoid "nargs" integer overflow which could be used to bypass FORTIFY_SOURCE (#794797)

* Mon Feb 20 2012 Jeff Law <law@redhat.com> - 2.15-22
- Fix main arena locking in malloc/calloc retry path (#789238)

* Fri Feb 17 2012 Jeff Law <law@redhat.com> - 2.15-21
- Correctly identify all 127.x.y.z addresses (#739743)
- Don't assign native result if result has no associated interface (#739743)

* Fri Feb 17 2012 Jeff Law <law@redhat.com> - 2.15-20
- Ignore link-local IPV6 addresses for AI_ADDRCONFIG (#697149)

* Fri Feb 17 2012 Jeff Law <law@redhat.com> - 2.15-19
- Fix reply buffer mismanagement in resolver (#730856)

* Thu Feb 16 2012 Jeff Law <law@redhat.com> - 2.15-18
- Revert 552960/769421 changes again, still causing problems.
- Add doi_IN (#791161)
- Add sat_IN (#790292)
- Add mni_IN (#790298)

* Thu Feb 9 2012 Jeff Law <law@redhat.com> - 2.15-17
- Fix lost wakeups in pthread_cond_*.  (#552960, #769421)
- Clarify info page for snprintf (#564528)
- Fix first_weekday and first_workday for ru_UA (#624296)

* Tue Feb 7 2012 Jeff Law <law@redhat.com> - 2.15-16
- Fix currency_symbol for uk_UA (#789209)
- Fix weekday names in Kashmiri locale (#770439)

* Tue Feb 7 2012 Jeff Law <law@redhat.com> - 2.15-15
- Remove change for 787662, correct fix is in gcc.

* Mon Feb 6 2012 Jeff Law <law@redhat.com> - 2.15-13
- More accurately detect if we're in a chroot (#688948)

* Fri Feb 3 2012 Jeff Law <law@redhat.com> - 2.15-12
- Add fedfs to /etc/rpc (#691912)
- Run nscd in the foreground w/ syslogging, fix systemd config (#770869)
- Avoid mapping past end of shared object (#741105)
- Turn off -mno-minimal-toc on PPC (#787201)
- Remove hunk from glibc-rh657588.patch that didn't belong

* Wed Feb 1 2012 Jeff Law <law@redhat.com> - 2.15-8
- Prevent erroneous inline optimization of initfini.s on PowerPC64 (#783979)
- Use upstream variant of fix for 740506.
- Fix month abbreviations for zh_CN (#657588)

* Sun Jan 29 2012 Jeff Law <law@redhat.com> - 2.15-7
- Sort objects before relocations (sw#13618)
- Fix bogus sort code that was copied from dl-deps.c.

* Thu Jan 26 2012 Jeff Law <law@redhat.com> - 2.15-6
- First argument to settimeofday can be null (#740682)
- Add aliases for ISO-10646-UCS-2 (#697421)

* Tue Jan 24 2012 Jeff Law <law@redhat.com> - 2.15-4
- Update ports from master.
- Fix first workday/weekday for it_IT (#622499)
- Fix type to uint16_t based on upstream comments (729661)
- Do not cache negative results in nscd if these are transient (#784402)

* Mon Jan 23 2012 Jeff Law <law@redhat.com> - 2.15-3
- Fix cycle detection (#729661)
- Fix first workday/weekday for it_IT (#446078)
- Fix first workday/weekday for ca_ES (#454629)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jan 1 2012 Jeff Law <law@redhat.com> - 2.15-1.fc17
- Update from master (a316c1f)

* Thu Dec 22 2011 Jeff Law <law@redhat.com> - 2.14.90-26.fc17
- Update from master (16c6f99)
- Fix typo in recent tzfile change (#769476)
- Make MALLOC_ARENA_MAX and MALLOC_ARENA_TEST match documentation (#740506)
- Revert "fix" to pthread_cond_wait (#769421)
- Extract patch for 730856 from fedora-patch into a distinct patchfile

* Mon Dec 19 2011 Jeff Law <law@redhat.com> - 2.14.90-25.fc17
- Update from master (a4647e7).

* Sun Dec 18 2011 Jeff Law <law@redhat.com> - 2.14.90-24.fc16.3
- Check values from TZ file header (#767696)
- Handle EAGAIN from FUTEX_WAIT_REQUEUE_PI (#552960)
- Add {dist}.#
- Correct return value from pthread_create when stack alloction fails.
  (#767746)

* Wed Dec 7 2011 Jeff Law <law@redhat.com> - 2.14.90-23
- Fix a wrong constant in powerpc hypot implementation (#750811)
  #13534 in python bug database
  #13472 in glibc bug database
- Truncate time values in Linux futimes when falling back to utime

* Mon Dec 5 2011 Jeff Law <law@redhat.com> - 2.14.90-22
- Mark fortified __FD_ELT as extension (#761021)
- Fix typo in manual (#708455)

* Wed Nov 30 2011 Jeff Law <law@redhat.com> - 2.14.90-21
- Don't fail in makedb if SELinux is disabled (#750858)
- Fix access after end of search string in regex matcher (#757887)

* Mon Nov 28 2011 Jeff Law <law@redhat.com> - 2.14.90-20
- Drop lock before calling malloc_printerr (#757881)

* Fri Nov 18 2011 Jeff Law <law@redhat.com> - 2.14.90-19
- Check malloc arena atomically (BZ#13071)
- Don't call reused_arena when _int_new_arena failed (#753601)

* Wed Nov 16 2011 Jeff Law <law@redhat.com> - 2.14.90-18
- Fix grouping and reuse other locales in various locales (BZ#13147)

* Tue Nov 15 2011 Jeff Law <law@redhat.com> - 2.14.90-17
- Revert bogus commits/rebasing of Nov 14, Nov 11 and Nov 8.  Sources
  should be equivalent to Fedora 16's initial release.

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.90-15
- Rebuilt for glibc bug#747377

* Wed Oct 19 2011 Jim Meyering <meyering@redhat.com> - 2.14.90-14
- Revert the upstream patch that added the leaf attribute, since it
  caused gcc -O2 to move code past thread primitives and sometimes
  even out of critical sections.  See http://bugzilla.redhat.com/747377

* Wed Oct 19 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-13
- Update from master
  - Fix linkage conflict with feraiseexcept (#746753)
  - More libm optimisations

* Mon Oct 17 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-12
- Update from master
  - Correctly handle missing initgroups database (#745675)
  - Optimize many libm functions
  - Optimize access to isXYZ and toXYZ tables
  - Optimized memcmp and wmemcmp for x86-64 and x86-32
  - Add parameter annotation to modf (BZ#13268)
  - Support optimized isXXX functions in C++ code
  - Check for zero size in memrchr for x86_64 (#745739)
  - Optimized memchr, memrchr, rawmemchr for x86-32

* Tue Oct 11 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-11
- Update from master
  - Clean up locarchive mmap reservation code
  - Fix netname2host (BZ#13179)
  - Fix remainder (NaN, 0) (BZ#6779, BZ#6783)
  - S/390: Fix longlong.h inline asms for zarch
  - Improve 64 bit memchr, memrchr, rawmemchr with SSE2
  - Update translations
  - Implement caching of netgroups in nscd
  - Handle OOM in NSS
  - Don't call ifunc functions in trace mode
- Convert tzdata-update to lua (#729796)
- Horrible workaround for horribly broken software (#737223)

* Wed Sep 28 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-10
- Update from master
  - Correctly reparse group line after enlarging the buffer (#739360)
  - Fix parse error in bits/mathinline.h with --std=c99 (#740235)
- Update nscd service file (#740284)
- Drop nscd init file (#740196)

* Fri Sep 16 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-9
- Update from master
  - Define IP_MULTICAST_ALL (BZ#13192)
  - Add fmax and fmin inlines for x86-64
  - Avoid race between {,__de}allocate_stack and __reclaim_stacks
    during fork (#737387)
  - Optimized lrint and llrint for x86-64
  - Also relocate in dependency order when doing symbol dependency
    testing (#737459)
  - Optimize logb code for 64-bit machines
  - Fix jn precision (BZ#11589)
  - Fix boundary conditions in scanf (BZ#13138)
  - Don't lock string streams in stream cleanup code (BZ#12847)
  - Define ELFOSABI_GNU
  - Fix lround loss of precision
  - Add range checking for FD_SET, FD_CLR, and FD_ISSET
- Make sure AVC thread has capabilities

* Thu Sep  8 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-8
- Update from master
  - Use O_CLOEXEC when loading objects and cache in ld.so (BZ#13068)
  - Fix memory leak in case of failed dlopen (BZ#13123)
  - Optimizations for POWER
  - Prefer real syscalls instead of vsyscalls on x86-64 outside libc.so
  - Add Atom-optimized strchr and strrchr for x86-64
  - Try shell in posix_spawn* only in compat mode (BZ#13134)
  - Fix glob.h header by removing gcc 1.x support (BZ#13150)
  - Optimized strchr and strrchr with SSE2 on x86-32
  - Add optimized x86 wcscmp
  - Fixes and optimizations for 32-bit sparc fabs
  - Fix nptl semaphore cleanup invocation
  - Sanitize HWCAP_SPARC_* defines/usage, and add new entries

* Thu Sep  1 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-7
- Update from master
  - Relocate objects in dependency order (#733462)
- Avoid assertion failure when first DNS answer was empty (#730856)
- Don't treat tls_offset == 1 as forced dynamic (#731228)

* Wed Aug 24 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-6
- Update from master
  - Correct cycle detection during dependency sorting
  - Use ifuncs for time and gettimeofday on x86-64
  - Fix fopen (non-existing-file, "re") errno
  - Fix CFI info in x86-64 trampolines for non-AVX code
  - Build libresolv with SSP flags
  - Avoid executable stack in makedb (#731063)
  - Align x86 TCB to 64 bytes (cache line size), important for Atom

* Mon Aug 15 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-5
- Update from master
  - Implement LD_DEBUG=scopes
  - Locale-independent parsing in libintl (#726536)
  - Fix stack alignment on x86_64 (#728762)
  - Implement scandirat function

* Tue Aug  9 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-4
- Update from master
  - Properly tokenize nameserver line for servers with IPv6 address
  - Fix encoding name for IDN in getaddrinfo (#725755)
  - Fix inline strncat/strncmp on x86
  - Define SEEK_DATA and SEEK_HOLE
  - Define AF_NFC and PF_NFC
  - Update ptrace constants
  - Add read barriers in cancellation initialization
  - Add read barrier protecting DES initialization
  - Fix overflow bug in optimized strncat for x86-64
  - Check for overflows in expressions (BZ#12852)
  - Fix check for AVX enablement (#720176, BZ#13007)
  - Force La_x86_64_ymm to be 16-byte aligned
  - Add const attr to gnu_dev_{major,minor,makedev}
- Filter out GLIBC_PRIVATE symbols again

* Wed Jul 20 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-3
- Update from master
  - S/390: Don't use r11 in INTERNAL_VSYSCALL_NCS macro
  - Avoid warning in nscd config file parsing code
  - Improve 64 bit strcat functions with SSE2/SSSE3
  - Fix alloca accounting in strxfrm
  - Avoid possible crashes in anormal nscd exits
  - Updated Swedish and Dutch translations

* Thu Jul 14 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-2
- Update from master
  - Generalize framework to register monitoring of files in nscd
  - Handle ext4 in {,f}pathconf
  - Handle Lustre filesystem (BZ#12868)
  - Handle W; without long options in getopt (BZ#12922)
  - Change error code for underflows in strtod (BZ#9696)
  - Fix handling of chained netgroups
  - Optimize long-word additions in SHA implementation
  - Handle nscd negtimeout==0
  - nss_compat: query NIS domain only when needed
  - Fix robust mutex handling after fork
  - Make sure RES_USE_INET6 is always restored
- Add systemd configuration for nscd
- Be more careful running build-locale-archive

* Thu Jun 30 2011 Andreas Schwab <schwab@redhat.com> - 2.14.90-1
- Update from master
  - Fix quoting in some installed shell scripts (BZ#12935)
  - Fix missing .ctors/.dtors lead word in soinit
  - Improved st{r,p}{,n}cpy for SSE2 and SSSE3 on x86
  - Avoid __check_pf calls in getaddrinfo unless really needed
    (BZ#12907)
  - Rate limit expensive _SC_NPROCESSORS_ONLN computation
  - Add initgroups lookup support to getent
  - Reenable nss_db with a completely new implementation
  - Rewrite makedb to avoid using db library
  - Add pldd program
- Obsolete nss_db
- Don't build tzdata-update and build-locale-archive statically

* Tue Jun 28 2011 Andreas Schwab <schwab@redhat.com> - 2.14-4
- Update from 2.14 branch
  - Fix crash in GB18030 encoder (#712901)
- Fix more bugs in GB18030 charmap
- Don't use gethostbyaddr to determine canonical name

* Tue Jun 21 2011 Andreas Schwab <schwab@redhat.com> - 2.14-3
- Update from 2.14 branch
  - Fix typo in recent resolver change which causes segvs (#710279)
  - Fix memory leak in getaddrinfo (#712178)
  - Fix <bits/mqueue2.h> for C++ (BZ#12841)
  - Assume Intel Core i3/i5/i7 processor if AVX is available
- Filter results from gethostbyname4_r according to request flags
  (#711827)
- Repair GB18030 charmap (#712901)
- Revert "Use .machine to prevent AS from complaining about z9-109
  instructions in iconv modules" (#711330)

* Fri Jun  3 2011 Andreas Schwab <schwab@redhat.com> - 2.14-2
- Revert "Handle DNS server failures in case of AF_UNSPEC lookups
  correctly" (#710279)

* Tue May 31 2011 Andreas Schwab <schwab@redhat.com> - 2.14-1
- Update to 2.14 release
  - Handle DNS server failures in case of AF_UNSPEC lookups correctly
    (BZ#12684)
  - Prevent loader from loading itself
  - Restore _res correctly (BZ#12350)
  - Interpret numeric values in shadow file as signed (BZ#11099)
  - Recognize use-vc option in resolv.conf (BZ#11558)
  - Mark malloc hook variables as deprecated
  - Declare malloc hook variables as volatile (BZ#11781)
  - Don't document si_code used for raise (BZ#11799)
  - Fix unnecessary overallocation due to incomplete character (BZ#12811)
  - Handle failure of _nl_explode_name in all cases
  - Add support for time syscall in vDSO (BZ#12813)
  - Add sendmmsg and setns syscalls
  - Use getcpu definition from vDSO on x86-64 (BZ#12813)
- Don't free non-malloced memory and fix memory leak (#709267)

* Fri May 27 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-14
- Update from master
  - Fix conversion to ISO-2022-JP-2 with ISO-8859-7 designation
    (BZ#12814)
  - Undo accidental change in x86-64 user.h
  - Update Japanese translation
  - Define RLIMIT_RTTIME (BZ#12795)
  - Update longlong.h from GCC
  - Add a few more alloca size checks (BZ#12671)
  - Fix flags parameter value passed to pltenter and pltexit
  - Define CLOCK_REALTIME_ALARM and CLOCK_BOOTTIME_ALARM
  - Always fill output buffer in XPG strerror function (BZ#12782)
  - Nicer output for negative error numbers in strerror_r
  - Fix CP1258 conversion (BZ#12777)
  - Fix handling of LC_CTYPE in locale name handling (BZ#12788)
  - Set stream errors in more cases (BZ#12792)
  - Don't unconditionally use alloca in gaih_inet (BZ#11869)
  - Update documentation in regex.h (BZ#11857)
  - Prevent Altivec and VSX insns on PowerPC64 when no FPRs or VRs are
    available
  - Fix typo in x86-64 powl (BZ#12775)
- Avoid overriding CFLAGS (#703880)

* Wed May 18 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-13
- Update from master
  - Update GB18030 to 2005 version (BZ#11837)
  - Update RE_SYNTAX*_AWK constants in regex.h
  - Handle long variable names in putenv (BZ#11892)
  - Fix test for error_one_per_line mode in error (BZ#12766)
  - Cleanup x86-64 sys/user.h (BZ#11820)
  - Several locale data updates (BZ#11987, BZ#9732, BZ#9730, BZ#4357,
    BZ#12582)
  - Avoid potential deadlock in mtrace (BZ#6420)
  - Fix a few problems in fopen and freopen
  - Provide more helpful error message in getopt (BZ#7101)
  - Make stack canary value harder to read through read overflow (BZ#10149)
  - Use mmap for allocation of buffers used for __abort_msg (BZ#11901)
  - Fix handling of static TLS in dlopen'ed objects (BZ#12453)
  - Fix initialization of optimization values for AIO (BZ#12083)
  - Fix handling of conversion problem in CP932 module (BZ#12601)
  - Fix potential problem with out-of-scope buffer (BZ#12626)
  - Handle recursive calls in backtrace better (BZ#12432)
  - Fix handling of incomplete character storage in state
  - Fix file descriptor position after fclose (BZ#12724)
- Reinstall NIS RPC headers

* Fri May 13 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-12
- Update from master
  - Fix resizing table for unique symbols when adding symbol for copy
    relocation (BZ#12511)
  - Fix sched_setscheduler call in spawn implementation (BZ#12052)
  - Report write error in addmnt even for cached streams (BZ#12625)
  - Translate kernel error into what pthread_create should return
    (BZ#386)
  - More configurability for secondary group lookup (BZ#11257)
  - Several locale data updates (BZ#11258, BZ#11487, BZ#11532,
    BZ#11578, BZ#11653, BZ#11668, BZ#11945, BZ#11947, BZ#12158,
    BZ#12200, BZ#12178, BZ#12178, BZ#12346, BZ#12449, BZ#12545,
    BZ#12551, BZ#12611, BZ#12660, BZ#12681, BZ#12541, BZ#12711,
    BZ#12738)
  - Fix Linux getcwd for long paths (BZ#12713)
  - static tls memory leak on TLS_DTV_AT_TP archs
  - Actually undefine ARG_MAX from <linux/limits.h>
  - Backport BIND code to query name as TLD (BZ#12734)
  - Allow $ORIGIN to reference trusted directoreis in SUID binaries
    (BZ #12393)
  - Add missing {__BEGIN,__END}_DECLS to sys/sysmacros.h
  - Report if no record is found by initgroups in nss_files
- Never leave $ORIGIN unexpanded
- Revert "Ignore origin of privileged program"
- Reexport RPC interface

* Thu May  5 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-11
- Update from master
  - Don't use removed rpc headers
- Install rpc/netdb.h again

* Wed May  4 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-10
- Update from master
  - ldconfig: don't crash on empty path in config file (#699784)
  - getaddrinfo(AF_INET6) does not return scope_id info provided by
    NSS modules (BZ#12714)
  - Fix pathconf(_PC_BUF_SIZE) (BZ#12723)
  - Fix getnameinfo flags parameter type (BZ#12717)
  - Add finer grained control for initgroups lookups to NSS
  - Use all possible bytes from fopen mode string (BZ#12685, #698025)
  - Define initgroups callback for nss_files
  - elf.h: Define R_ARM_IRELATIVE reloc type
  - Fix static linking with checking x86/x86-64 memcpy (BZ#12653)
  - Fix POWER4/POWER7 optimized strncmp to not read past differing bytes
  - Fix FPU context handling in getcontext on x86-64 (BZ#12420)
  - Skip extra zeroes when searching auxv on s390
  - Obsolete RPC implementation in libc
  - Fix memory leak in TLS of loaded objects (BZ#12650)
  - Don't leave empty element in rpath when skipping an element
  - Make ppc sync_file_range cancelable
  - Maintain stack alignment in ____longjmp_chk on x86_64

* Thu Apr  7 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-9
- Update from master
  - Fix typo in cache information table for x86-{32,64}
  - Define CLOCK_BOOTTIME, O_PATH, AT_EMPTY_PATH
  - Work around old buggy program which cannot cope with memcpy
    semantics (BZ#12518)
  - Fix visibility of declarations of wcpcpy and wcpncpy (BZ#12631)
  - Add clock_adjtime, name_to_handle_at, open_by_handle_at, syncfs
    syscalls
  - Really implement fallocate{,64} and sync_file_range as
    cancellation points
- Enable systemtap support (#690281)

* Thu Mar 24 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-8
- Update from master
  - Fix infinite loop (#690323)

* Mon Mar 21 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-7
- Update from master
  - Handle page boundaries in x86 SSE4.2 strncmp (BZ#12597)
  - Implement x86 cpuid handling of leaf4 for cache information (BZ#12587)
  - Check size of pattern in wide character representation in fnmatch
    (BZ #12583)
  - Remove __restrict quals from wmemcmp prototype
  - Fix copy relocations handling of unique objects (BZ#12510)
- ldd: never run file directly
- Ignore rpath elements containing non-isolated use of $ORIGIN when
  privileged
- Don't leave empty element in rpath when skipping the first element
- Revert "Don't crash when dependencies are missing" (#688990)

* Mon Mar  7 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-6
- Update from master
  - Fix loading first object along a path when tracing
  - Enable SSE2 memset for AMD'supcoming Orochi processor
  - Don't read past end of buffer in fmemopen
- Revert broken changes (#682307)

* Wed Mar  2 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-5
- Update from master
  - Fix memory leak in dlopen with RTLD_NOLOAD (BZ#12509)
  - Don't crash when dependencies are missing (BZ#12454)
  - Fix allocation when handling positional parameters in printf
    (BZ#12445)
  - Fix two printf handler issues
- Fix false assertion (BZ#12454, #673014)

* Mon Feb 14 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-4
- Update from master
  - Update sysdeps/unix/sysv/linux/sparc/bits/socket.h
  - Synchronize generic bits/sched.h cpu_set_t with Linux implementation
  - Schedule nscd cache pruning more accurately from re-added values
  - Fix passing symbol value to pltexit callbacks when ld.so auditing
  - Fix range error handling in sgetspent
- Revert "Fix ordering of DSO constructors and destructors" (#673014)
- Create debuginfo-common on biarch archs
- Reinstall assembler workaround.
- Replace setuid by file capabilities (#646469)

* Tue Jan 25 2011 Andreas Schwab <schwab@redhat.com> - 2.13.90-1
- Update from master
  - Fix ordering of DSO constructors and destructors (BZ#11724)
- Remove no longer needed assembler workaround

* Tue Jan 18 2011 Andreas Schwab <schwab@redhat.com> - 2.13-1
- Update to 2.13 release
  - Define AT_NO_AUTOMOUNT
  - Define MADV_HUGEPAGE and MADV_NOHUGEPAGE
  - Add definitions for new socket protocols
  - Signal temporary host lookup errors in nscd as such to the
    requester (BZ#6812)
  - Change setgroups to affect all the threads in the process
    (BZ#10563)
  - FIx handling of unterminated [ expression in fnmatch (BZ#12378)
  - Relax requirement on close in child created by posix_spawn
  - Fix handling of missing syscall in Linux mkdirat (BZ#12397)
  - Handle long lines in host lookups in the right place (BZ#10484)
  - Fix assertion when handling DSTs during auditing
  - Fix alignment in x86 destructor calls
  - Fix grouping when rounding increases number of integer digits
    (BZ#12394)
  - Update Japanese translations
  - Fix infloop on persistent failing calloc in regex (BZ#12348)
  - Use prlimit64 for 32-bit [gs]etrlimit64 implementation (BZ#12201)
  - Change XPG-compliant strerror_r function to return error code
    (BZ#12204)
  - Always allow overwriting printf modifiers etc.
  - Make PowerPC64 default to nonexecutable stack

* Tue Dec 14 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-21
- Revert bogus change

* Mon Dec 13 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-20
- Update from master
  - Declare wcpcpy and wcpncpy only under _GNU_SOURCE
  - Fix use of restrict in wchar.h and string.h
  - Fix race in qsort_r initialization (BZ#11655)
  - Don't ignore zero TTL in DNS answers
  - Allow aux_cache_file open()ing to fail silently even in the chroot
    mode (BZ#11149)
  - Fix multiple nss_compat initgroups() bugs (BZ#10085)
  - Define MAP_HUGETLB and SWAP_FLAG_DISCARD
- Remove .UTF-8 suffix from locale names when it is the only supported
  codeset (#657556)
- Don't ignore $ORIGIN in libraries

* Fri Nov 12 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-19
- Update from master
  - Fix memory leak in fnmatch
  - Support Intel processor model 6 and model 0x2c
  - Fix comparison in sqrtl for IBM long double
  - Fix one exit path in x86-64 SSE4.2 str{,n}casecmp (BZ#12205, #651638)
  - Fix warnings in __bswap_16 (BZ#12194)
  - Use IFUNC on x86-64 memset
  - Power7-optimized mempcpy
  - Handle uneven cache size in 32bit SSE2 memset (BZ#12191)
  - Verify in ttyname that the symlink is valid (BZ#12167)
  - Update Danish translations
  - Fix concurrency problem between dl_open and dl_iterate_phdr
  - Fix x86-64 strchr propagation of search byte into all bytes of SSE
    register (BZ#12159)
  - Fix perturbing in malloc on free (BZ#12140)
  - PPC/A2 optimized memcpy function
  - Add C99 FP_FAST_FMA{,F,L} macros to <math.h>
- Check that the running kernel is new enough (#649589)

* Fri Oct 22 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-18
- Require suid bit on audit objects in privileged programs (CVE-2010-3856)

* Tue Oct 19 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-17
- Update from master
  - Fix some fma issues, implement fmal (BZ#3268, #43358)
  - Expect PLT call to _Unwind_Find_FDE on s390*-linux
- Never expand $ORIGIN in privileged programs (#643306, CVE-2010-3847)

* Thu Oct 14 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-16
- Update from master
  - Implement accurate fma (BZ#3268, #43358)
  - Fix alignment of AVX save area on x86-64 (BZ#12113)
  - Fix regex memory leaks (BZ#12078)
  - Improve output of psiginfo (BZ#12107, BZ#12108)
  - Don't return NULL address in getifaddrs (BZ#12093)
  - Fix strstr and memmem algorithm (BZ#12092, #641124)
- Don't discard result of decoding ACE if AI_CANONIDN (#636642)
- Remove /etc/gai.conf from glibc-common and mark it %%ghost in glibc
- Require exact glibc version in nscd

* Mon Oct  4 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-15
- Update from master
  - Handle large requests in debugging hooks for malloc (BZ#12005)
  - Fix handling of remaining bytes in buffer for strncmp and
    strncasecmp (BZ#12077)
  - Handle cgroup and btrfs filesystems in statvfs
  - S/390: Fix highgprs check in startup code (BZ#12067)
  - Properly convert f_fsid in statvfs (BZ#11611)

* Tue Sep 28 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-14
- Don't try to write to _rtld_global_ro after performing relro
  protection (#638091)

* Mon Sep 27 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-13
- Update from master
  - Add two forgotten licence exceptions
  - getdents64 fallback d_type support
  - Move freeres function from ld.so to libc.so
  - Undo feature selection for ftruncate (BZ#12037)
  - Fix namespace pollution in pthread_cleanup_push
  - Fix limit detection in x86-64 SSE2 strncasecmp (#632560)
  - Add support for fanotify_mark on sparc32 and s390
  - Fix register conflict in s390 ____longjmp_chk (#629970)
  - Don't try to free rpath strings allocated during startup (#629976)
  - Actually make it possible to user the default name server
- Fix memory leak on init/fini dependency list (#632936)
- Fix handling of collating symbols in regexps (BZ#11561)
- Don't parse %%s format argument as multibyte string (BZ#6530)
- Fix overflow in nss files parser
- Fix spurious nop at start of __strspn_ia32

* Wed Sep 15 2010 Dennis Gilmore <dennis@ausil.us> - 2.12.90-12
- dont build sparcv9v and sparc64v anymore

* Mon Sep 13 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-11
- Update from master
  - Fix _FORITY_SOURCE version of longjmp for Linux/x86-64 (BZ#11968)
- Work around shortest-stem feature in make 3.82+

* Mon Sep  6 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-10
- Update from master
  - Remove invalid iconv aliases (BZ#11979)
  - Update x86-64 mpn routines from GMP 5.0.1
  - Fix array overflow in floating point parser (BZ#7066)
  - Support fanotify_mark syscall on powerpc32
  - Unroll x86-64 strlen
  - Unroll 32bit SSE strlen and handle slow bsf
  - Missing server address again leads to localhost being used (BZ#10851)
- Revert last change
- Remove or don't install unpackaged files for auxarches

* Sat Sep 04 2010 Dennis Gilmore <dennis@ausil.us> - 2.12.90-9
- disable unpackaged file check on auxarches

* Mon Aug 23 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-8
- Update from master
  - Fix static strspn on x86 (#624852)
  - Various POWER7 optimized string functions
  - Fix x86 pthread_cond_signal() FUTEX_WAKE_OP fallback
  - Add optimized strncasecmp versions for x86-64
  - PowerPC64 ABI fixes
  - Properly quote output of locale (BZ#11904)
  - f_flags in statfs implementation
  - Add support for fanotify_init and fanotify_mask syscalls
  - Add support for prlimit and prlimit64
  - Fix IPTOS_CLASS definition (BZ#11903)
  - Avoid too much stack use in fnmatch (BZ#11883)
  - x86: Add support for frame pointer less mcount
- Disable asynchronous-unwind-tables during configure run

* Mon Aug  2 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-7
- Update from master
  - Add optimized x86-64 implementation of strnlen and strcaecmp
  - Document M_PERTURB
  - Fix vDSO synthetic hwcap handling so they are not masked out from
    ld.so.cache matching
  - POWER6/7 optimizations for copysign
- Build with ports addon on alpha and armv5tel
- Add conflict with kernel < 2.6.32 (#619538)
- Switch to xz compressed tar files
- build-locale-archive: process only directories matching *_*

* Wed Jul 21 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-6
- Bump minimum kernel version to 2.6.32

* Mon Jul 12 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-5
- Update from master
  - Don't pass NULL occation to dl_signal_cerror
  - Implement _PC_PIPE_BUF.
- Add glibc-ports tarball

* Fri Jul  2 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-4
- Update from master
  - Work around kernel rejecting valid absolute timestamps
  - Improve 64bit memcpy/memmove for Atom, Core 2 and Core i7
  - Fix error handling in Linux getlogin*
- Workaround assembler bug sneaking in nopl (#579838)
- Fix scope handling during dl_close
- Fix setxid race handling exiting threads

* Tue Jun 15 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-3
- Update from master
  - Power7 string compare optimizations
  - Properly resize buffer in NIS initgroups
  - Define F_SETPIPE_SZ and F_GETPIPE_SZ
  - Fix more C++ incompatibility problems in headers
- Properly set __libc_multiple_libcs
- Don't assume AT_PAGESIZE is always available (#597578)
- Don't call uname or getrlimit in libpthread init function (#579086)
- Mark /etc/rpc as %%config (#587050)

* Mon May 31 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-2
- Update from master
  - Small fix to POWER7 32-bit memcpy
  - Correct x86 CPU family and model check (BZ#11640, #596554)
  - Fix iov size in SH register_dump
  - Don't crash on unresolved weak symbol reference
  - Implement recvmmsg also as socketcall
  - sunrpc: Fix spurious fall-through
  - Make <sys/timex.h> compatible with C++ (#593762)
- Fix users and groups creation in nscd %%post script

* Wed May 19 2010 Andreas Schwab <schwab@redhat.com> - 2.12.90-1
- Update from master
  - POWER7 optimized memset
  - Fix typo in es_CR locale
  - Enable IDN support in getent
  - Fix race in free sanity check
  - Fix lookup of collation sequence value during regexp matching
  - Fix name of tt_RU.UTF-8@iqtelif locale (#589138)
  - Handle too-small buffers in Linux getlogin_r (BZ#11571, #589946)

* Tue May  4 2010 Roland McGrath <roland@redhat.com> - 2.12-1
- Update to 2.12 release.
  - Fix ldconfig chroot handling.
  - Don't deadlock in __dl_iterate_phdr while (un)loading objects.
  - Fix handling of newline in addmntent.
  - Fix AIO when thread creation failed.

* Fri Apr 16 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-20
- Update from master
  - Fix bugs in x86-32 strcmp-sse4.S and strcmp-ssse3.S
  - Add x86-32 FMA support
  - Don't crash in trace mode when dependencies are missing
  - x86-64 SSE4 optimized memcmp
  - Fix makecontext on s390/s390x

* Tue Apr 13 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-19
- Avoid multiarch memcmp in tzdata-update (#581677)

* Mon Apr 12 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-18
- Update from master
  - Implement interfaces to set and get names of threads (BZ#11390)
  - Locale data updates (BZ#10824, BZ#10936, BZ#11470, BZ#11471)
  - Print reload count in nscd statistics (BZ#10915)
  - Fix reading loginuid file in getlogin{,_r}
  - Fix fallocate error return on i386
  - Fix cproj implmentation (BZ#10401)
  - Fix getopt handing (BZ#11039, BZ#11040, BZ#11041)
  - Implement new mode for NIS passwd.adjunct.byname table (BZ#11134)
  - Obey LD_HWCAP_MASK in ld.so.cache lookups

* Tue Apr  6 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-17
- Update from master
  - Locale data updates (BZ#11007, BZ#11258, BZ#11272, BZ#10554)
  - Handle DNS timeouts in old-style lookup code (BZ#11010)
  - Fix aux cache handling in ldconfig with chroot (BZ#11149)
  - Fix printing error messages in getopt (BZ#11043)
  - Declare iruserok and iruserok_af (BZ#11070)
  - Fix option aliasing in argp (BZ#11254)
  - Handle POSIX-compliant errno value of unlink in remove (BZ#11276)
  - Fix definition and testing of S_ISSOCK (BZ#11279)
  - Fix retrieving of kernel header version (BZ#11287)
  - Fix concurrent handling of __cpu_features (BZ#11292)
  - Handle unnecessary padding in getdents64 (BZ#11333)
  - Fix changes to interface list during getifaddrs calls (BZ#11387)
  - Missing memory barrier in DES initialization (BZ#11449)
  - Fix spurious UNAVAIL status is getaddrinfo
  - Add support for new clocks (BZ#11389)
  - Fix Linux getlogin{_r,} implementation
  - Fix missing zero-termination in cuserid (BZ#11397)
  - Fix glob with empty pattern
  - Fix handling of STB_GNU_UNIQUE in LD_TRACE_PRELINKING
  - Unify wint_t handling in wchar.h and wctype.h (BZ#11410)
  - Implement handling of libc ABI in ELF header
  - Don't underestimate length of DST substitution in rpath
  - Power7-optimized 64-bit and 32-bit memcpy
- Assign global scope to RFC 1918 addresses (#577626)

* Thu Mar 18 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-16
- Fix SSSE3 memcmp (#574210)

* Tue Mar  9 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-15
- Update from master
  - sparc64: Fix handling of R_SPARC_TLS_LE_* relocations (#571551)
  - Handle ext4 and logfs in statvfs functions
  - Fix setxid race with thread creation
  - Pass -mtune=i686 to assembler when compiling for i686
  - Fix R_X86_64_PC32 overflow detection
  - Fix msgrcv on sparc64
  - Fix unwind info in x86 strcmp-sse4.S (BZ#11332)
  - sparc: Add multiarch support for memset/bzero/memcpy
- Remove directories owned by filesystem (#569414)
- Add %%ghost /etc/gai.conf to glibc-common (#567748)

* Tue Feb 23 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-14
- Update from master
  - Sparc updates
- Fix SSSE3 memcpy (#556584)

* Mon Feb 22 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-13
- Update from master
  - Use CPUID_OFFSET instead of FEATURE_OFFSET
  - Add 32bit memcmp/strcmp/strncmp optimized for SSSE3/SSS4.2
  - Fix file descriotor leak in nftw with FTW_CHDIR (BZ#11271)
  - Add Sparc STT_GNU_IFUNC support
  - Add power7-optimized classification functions
- Reapply "Optimize 32bit memset/memcpy with SSE2/SSSE3."
- Use unsigned comparison in sse memcpy/memset

* Mon Feb  8 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-12
- Update from master
  - Update constants in <sys/mount.h> for current kernels (#11235)
  - Fix endless loop with invalid /etc/shells file (#11242)
  - Fix sorting of malayalam letter 'na' (#10414)
  - Add kok_IN locale
  - Use common collation data in as_IN locale
  - Avoid alloca in setenv for long strings
- Use shared mapping to reserve memory when creating locale archive (#10855)
- Fix fstat on Linux/sparc64 (#11155)

* Mon Feb  1 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-11
- Update from master
  - Fix error checking in iconv (#558053)
  - Don't map U00DF to U1E9E in toupper table
  - _nl_load_locale() incorrectly handles mmap() failures (BZ#11200)
  - Fix various issues in regex matcher (BZ#11183, BZ#11184, BZ#11185,
    BZ#11186, BZ#11187, BZ#11188, BZ#11189, BZ#11190, BZ#11191,
    BZ#11192, BZ#11193)

* Tue Jan 19 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-10
- Update from master
  - Fix ____longjmp_chk for s390/s390x
  - Remove duplicate definitions of O_DSYNC and O_RSYNC for Linux/sparc
  - Ignore negative dynamic entry types (#546890)
  - Fix pthread_cond_*wait with requeue-PI on i386 (#548989)
  - Fix _XOPEN_SOURCE_EXTENDED handling
- Revert "Optimize 32bit memset/memcpy with SSE2/SSSE3."

* Fri Jan 15 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-9
- Update from master.
  - Define IPTOS_CLASS_* macros according to RFC 2474 (BZ#11027)
  - Always use IPv4 sockets for IPv4 addresses (BZ#11141)
  - regcomp.c: do not ignore memory allocation failure (BZ#11127)
  - Fix malloc_info without prior allocations (BZ#11126)
  - Optimize 32bit memset/memcpy with SSE2/SSSE3
  - Relax feature tests in headers

* Tue Jan 12 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-8
- Update from master.
  - More POSIX conformance fixes.

* Mon Jan 11 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-7
- Fix build failure.

* Mon Jan 11 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-6
- Update from master.
  - POSIX conformance fixes (BZ#11125).

* Mon Jan  4 2010 Andreas Schwab <schwab@redhat.com> - 2.11.90-5
- Update from master.
  - Additional setcontext(), etc. conformance tests (BZ#11115).
  - Handle AT_FDCWD in futimens (BZ#10992).
  - Update poll.h header for POSIX 2008 (BZ#11093).
  - Avoid ELF lookup race.

* Mon Dec 14 2009 Andreas Schwab <schwab@redhat.com> - 2.11.90-4
- Update from master.
  - Add Requeue-PI support for x86 arch.
  - Redefine O_SYNC and O_DSYNC to match 2.6.33+ kernels.
  - Fix a few error cases in *name4_r lookup handling (BZ#11000).
  - Fix kernel version check in recent ptsname change (BZ#11046).
  - Add more warnings to exec functions (BZ#11056).
  - Add recvmmsg interface.
  - Define SCHED_IDLE and SCHED_RESET_ON_FORK for Linux.

* Mon Nov 30 2009 Andreas Schwab <schwab@redhat.com> - 2.11.90-3
- Update from master.
  - Fix infloop in __pthread_disable_asynccancel on x86_64 (#537690).
  - Prevent unintended file desriptor leak in grantpt (#530558).
  - Fix startup to security-relevant statically linked binaries (#528631).
- Re-install CFI in x86/x86_64 clone (#491542).

* Tue Nov 24 2009 Andreas Schwab <schwab@redhat.com> - 2.11.90-2
- Update from master.
  - Define week, first_weekday, and first_workday for en_DK locale (#525126).
  - Use struct timespec for timestamps in struct stat also if
    __USE_XOPEN2K8 (#539870).
  - Fix week information for nl_NL locale (#499748).
  - Update ntp_gettime for Linux (#479558).
  - Fix getwc* and putwc* on non-wide streams (BZ#10958).
  - Avoid warnings in CPU_* macros when using const bitsets (BZ#10918).
  - Handle LC_GLOBAL_LOCALE in duplocale (BZ#10969).
  - Fix _NC_LOCALE_NAME definition (BZ#10968).
  - Add missing Linux MADV_* definitions (BZ#10972).
  - Add support for new Linux error ERFKILL (BZ#10939).
- Enable multi-arch support on ppc and ppc64.

* Thu Nov 12 2009 Andreas Schwab <schwab@redhat.com> - 2.11.90-1
- Update from master.

* Thu Nov  5 2009 Andreas Schwab <schwab@redhat.com> - 2.11-2
- Fix readahead on powerpc32.
- Fix R_PPC64_{JMP_IREL,IRELATIVE} handling.
- Fix preadv, pwritev and fallocate for -D_FILE_OFFSET_BITS=64 (#533063).

* Mon Nov  2 2009 Andreas Schwab <schwab@redhat.com> - 2.11-1
- Update to 2.11 release.
- Disable multi-arch support on PowerPC again since binutils is too old.
- Fix crash in tzdata-update due to use of multi-arch symbol (#532128).

* Fri Oct 30 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-27
- Update from master.
  - Fix races in setXid implementation (BZ#3270).
  - Implement IFUNC for PPC and enable multi-arch support.
  - Implement mkstemps/mkstemps64 and mkostemps/mkostemps64 (BZ#10349).
  - Fix IA-64 and S390 sigevent definitions (BZ#10446).
  - Fix memory leak in NIS grp database handling (BZ#10713).
  - Print timestamp in nscd debug messages (BZ#10742).
  - Fix mixing IPv4 and IPv6 name server in resolv.conf.
  - Fix range checks in coshl.
  - Implement SSE4.2 optimized strchr and strrchr.
  - Handle IFUNC symbols in dlsym (#529965).
  - Misc fixes (BZ#10312, BZ#10315, BZ#10319, BZ#10391, BZ#10425,
    BZ#10540, BZ#10553, BZ#10564, BZ#10609, BZ#10692, BZ#10780,
    BZ#10717, BZ#10784, BZ#10789, BZ#10847
- No longer build with -fno-var-tracking-assignments.

* Mon Oct 19 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-26
- Update from master.
  - Add ____longjmp_chk for sparc.
- Avoid installing the same libraries twice.

* Mon Oct 12 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-25
- Update from master
  - Fix descriptor leak when calling dlopen with RTLD_NOLOAD (#527409).
  - Fix week-1stday in C locale.
  - Check for integer overflows in formatting functions.
  - Fix locale program error handling (#525363).

* Mon Sep 28 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-24
- Update from master.
  - Fix missing reloc dependency (#517001).

* Mon Sep 21 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-23
- Update from master.

* Mon Sep 14 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-22
- Update from master.
  - Fix endless loop in localedef.
  - Fix __longjmp_chk on s390/s390x.
- Fix exit codes in nscd start script (#521848).
- Build with -fno-var-tracking-assignments for now (#523172).

* Mon Sep  7 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-21
- Update from master.
  - Fix strstr/strcasestr on i386 (#519226).

* Thu Sep  3 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-20
- Update from master.
  - Fix strstr/strcasestr/fma/fmaf on x86_64 (#519226).
  - Fix lookup of group names in hesiod initgroups (#520472).

* Wed Sep  2 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-19
- Update from master.
  - Fix x86_64 bits/mathinline.h for -m32 compilation.

* Tue Sep  1 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-18
- Update from master.
  - fix parse error in <bits/mathinline.h> (#520209).

* Thu Aug 27 2009 Roland McGrath <roland@redhat.com> - 2.10.90-17
- Update from master.

* Wed Aug 26 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-16
- Update from master.
  - handle AVX saving on x86-64 in interrupted symbol lookups (#519081).

* Mon Aug 24 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-15
- Update from master.
  - fix fortify failure with longjmp from alternate stack (#512103).
- Add conflict with prelink (#509655).

* Mon Aug 17 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-14
- Update from master.
  - fix pthread_cond_signal (#516469)

* Mon Aug 10 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-13
- Update from master.
  - fix rehashing of unique symbols (#515677)
- Fix spurious messages with --excludedocs (#515948)

* Mon Aug  3 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-12
- Update from master.
  - fix fortify failure with longjmp from alternate stack (#512103)

* Thu Jul 30 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-11
- Update from master.
- Don't package debuginfo files in glibc-devel.

* Tue Jul 28 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-10
- Update from master.
  * fix memory ordering in pthread_mutex_unlock (BZ#10418)
  * implement RES_USE_DNSSEC option in resolver (#205842)
  * fix hang in ldd -r (#513945)

* Mon Jul 27 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-9
- Update from master.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.90-8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Jakub Jelinek <jakub@redhat.com> - 2.10.90-7.1
- Fix up pthread_cond_timedwait on x86_64 with old kernels.

* Thu Jul 23 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-7
- Update from master.
- Build with -DNDEBUG unless using a prerelease.

* Thu Jul 23 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-6
- Rebuilt with binutils-2.19.51.0.14-29.fc12 to fix static binaries

* Wed Jul 22 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-5
- Update from master.
- Undefine __i686 on x86 to fix build.

* Mon Jul 20 2009 Andreas Schwab <schwab@redhat.com> - 2.10.90-4
- Update from master.
- Don't build separate i686 package.

* Wed Jul  8 2009 Andreas Schwab <schwab@redhat.com> 2.10.90-3
- Reenable setuid on pt_chown.

* Thu Jul  2 2009 Andreas Schwab <aschwab@redhat.com> 2.10.90-2
- Update from master.

* Fri Jun 26 2009 Andreas Schwab <aschwab@redhat.com> 2.10.90-1
- Update from master.
- Enable multi-arch support on x86/x86-64.
- Add requires glibc-headers to glibc-devel (#476295).
- Implement second fallback mode for DNS requests (#505105).
- Don't generate invalid POSIX TZ string for Asia/Dhaka timezone (#506941).
- Allow backtrace through __longjmp_chk on powerpc.

* Fri May 22 2009 Jakub Jelinek <jakub@redhat.com> 2.10.1-2
- fix accept4 on architectures other than i?86/x86_64
- robustify nscd client code during server GC
- fix up nscd segfaults during daemon shutdown
- fix memchr on ia64 (BZ#10162)
- replace the Sun RPC license with the BSD license, with the explicit
  permission of Sun Microsystems
- fix up powerpc long double errno reporting

* Sun May 10 2009 Jakub Jelinek <jakub@redhat.com> 2.10.1-1
- fix up getsgent_r and getsgnam_r exports on i?86 and ppc

* Sat May  9 2009 Jakub Jelinek <jakub@redhat.com> 2.10-2
- update from trunk
  - glibc 2.10 release
  - fix memchr on x86_64 (#499689)

* Mon Apr 27 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-22
- update from trunk
  - further localedef fixes
- fix build-locale-archive

* Fri Apr 24 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-21
- update from trunk
  - fix localedef
  - fix SHIFT_JIS iconv EILSEQ handling (#497267)
  - misc fixes (BZ#10093, BZ#10100)

* Fri Apr 24 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-20
- update from trunk
  - fix p{read,write}v{,64} (#497429, #497434)
  - fix strfmon (#496386)

* Thu Apr 16 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-19
- update from trunk
  - fix dlopen from statically linked binaries (#495830)

* Thu Apr 16 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-18
- update from trunk
  - fix fallocate

* Wed Apr 15 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-17
- update from trunk
  - if threads have very small stack sizes, use much smaller buffer
    in __get_nprocs when called from within malloc (#494631)

* Tue Apr 14 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-16
- update from trunk

* Thu Apr  9 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-15
- rebuilt with fixed gcc to avoid miscompilation of i586 memmove
- reenable experimental malloc again

* Wed Apr  8 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-14
- update from trunk
- temporarily disable experimental malloc

* Tue Apr  7 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-13
- update from trunk
  - fix strverscmp (#494457)
- configure with --enable-nss-crypt

* Wed Apr  1 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-12
- update from trunk
- configure with --enable-experimental-malloc

* Fri Mar 20 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-11
- update from trunk
  - POSIX 2008 prototype adjustments for scandir{,64}, alphasort{,64} and
    versionsort{,64}
  - fix libthread_db (#491197)

* Tue Mar 10 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-10
- update from trunk
  - fix atexit/__cxa_atexit

* Mon Mar  9 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-9
- update from trunk
  - POSIX 2008 support: -D_XOPEN_SOURCE=700 and -D_POSIX_C_SOURCE=200809L
- move libnldbl_nonshared.a on ppc*/s390*/sparc* back to glibc-devel

* Fri Feb 27 2009 Roland McGrath <roland@redhat.com> - 2.9.90-8.1
- fix libthread_db (#487212)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.90-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-7
- update from trunk
- adjust for i586 + i686 from i386 + i686 build
- split static libraries into glibc-static subpackage
- ld -r the whole libpthread.a together to avoid endless issues with
  -static ... -lpthread
- require 2.6.18 and later kernel

* Wed Feb  4 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-3
- update from trunk
  - ISO C++ compliant strchr etc. with GCC 4.4+
  - AT_RANDOM support

* Thu Jan  8 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-2
- update from trunk

* Fri Jan  2 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-1
- update from trunk (#478314)

* Mon Dec  8 2008 Jakub Jelinek <jakub@redhat.com> 2.9-3
- temporarily disable _nss_dns_gethostbyname4_r (#459756)
- NIS hostname lookup fixes (#473073, #474800, BZ#7058)
- fix unsetenv (#472941)

* Thu Nov 13 2008 Jakub Jelinek <jakub@redhat.com> 2.9-2
- glibc 2.9 release
- fix CPU_ALLOC_SIZE on 32-bit arches (BZ#7029)

* Wed Nov 12 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-17
- update from trunk
  - don't abort on broken DNS replies (#469299, BZ#7009)
  - misc fixes (BZ#6966, BZ#7008, BZ#6955, BZ#6843)

* Fri Oct 31 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-16
- update from trunk
  - further resolver fixes
  - another dynamic TLS handling fix (#469263)
  - misc fixes (BZ#6867, BZ#6875, BZ#6919, BZ#6920, BZ#6942, BZ#6947,
		BZ#6968, BZ#6974, BZ#6980, BZ#6995)
- rebuild with newer rpm to avoid stripping
  shared libraries when they shouldn't be (#468129)

* Tue Oct 28 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-15
- update from trunk
  - __libc_res_nquery fixes (#466786)

* Sun Oct 19 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-14
- update from trunk
  - fix dynamic TLS handling (#467309)
  - fix sys/signalfd.h for C++ (#467172)
  - fix sprof (#458861)
  - fix _mcount and socket syscalls on s390x (#464146)
  - try harder to allocate memory in valloc and pvalloc (#461481)
- fix power6 32-bit libs (#467311)

* Fri Oct 10 2008 Dennis Gilmore <dennis@ausil.us> 2.8.90-13
- apply sparcv9v memset patch from jakub and davem

* Fri Aug 29 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-12
- update from trunk
  - revert origin changes (#457849)
  - use MAP_STACK for thread stacks
  - misc fixes (BZ#6845, BZ#6544, BZ#6634, BZ#6589, BZ#6790, BZ#6791,
    BZ#6824)
  - power7 bits (BZ#6817)
  - fix expm1 on i?86/x86_64 (#43354, BZ#5794)

* Sat Aug  2 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-11
- update from trunk
  - fix non-absolute $ORIGIN handling (#457560)
  - exported some further libresolv APIs (#453325)
  - misc fixes

* Tue Jul 29 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-10
- update from trunk
  - resolver fixes
  - misc fixes (BZ#6771, BZ#6763, BZ#6698, BZ#6712)
  - s390{,x} utmp/utmpx bi-arch support (BZ#6724)
  - popen "e" flag
- fr_FR locale changes reenabled

* Wed Jul 16 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-9
- update from trunk
  - fix unbuffered vfprintf if writing to the stream fails (#455360)
  - remove useless "malloc: using debugging hooks" message (#455355)
  - nscd fixes
  - fix resolver alignment issues (#454500)
  - fix setvbuf (BZ#6719)

* Thu Jul  3 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-8
- update from trunk
  - watch even resolv.conf in nscd using inotify
  - some nscd fixes

* Fri Jun 13 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-7
- update from trunk
  - avoid *lround* on ppc* clobbering cr3/cr4 registers (#450790)
  - further nscd fixes (#450704)
  - use inotify in nscd to watch files

* Thu Jun 12 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-6
- update from trunk
  - nscd fixes (#450704)
  - fix getservbyport (#449358)
  - fix regexp.h (#446406)
  - avoid crashing on T_DNAME in DNS responses (#450766)

* Sun May 25 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-5
- update from trunk

* Tue May 20 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-4
- further getaddrinfo and nscd fixes

* Sun May 18 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-3
- getaddrinfo and nscd fixes
- reenable assertion checking in rawhide

* Fri May 16 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-2
- fix getaddrinfo (#446801, #446808)

* Thu May 15 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-1
- update to trunk
  - O(n) memmem/strstr/strcasestr
  - i386/x86_64 TLS descriptors support
  - concurrent IPv4 and IPv6 DNS lookups by getaddrinfo

* Mon May  5 2008 Jakub Jelinek <jakub@redhat.com> 2.8-3
- don't run telinit u in %%post if both /dev/initctl and
  /sbin/initctl exist (#444978)
- workaround GCC ppc64 miscompilation of c{log{,10},acosh,atan}l
  (#444996)

* Wed Apr 30 2008 Jakub Jelinek <jakub@redhat.com> 2.8-2
- fix nscd races during GC (BZ#5381)
- rebuilt with fixed GCC to fix regex miscompilation on power6
- SPARC fixes

* Sat Apr 12 2008 Jakub Jelinek <jakub@redhat.com> 2.8-1
- 2.8 release

* Fri Apr 11 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-16
- update to trunk
  - misc fixes (BZ#4997, BZ#5741)
  - make sure all users of __libc_setlocale_lock know it is
    now a rwlock
  - fix ppc/ppc64 compatibility _sys_errlist and _sys_siglist
    symbols

* Thu Apr 10 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-15
- update to trunk
  - misc fixes (BZ#4314, BZ#4407, BZ#5209, BZ#5436, BZ#5768, BZ#5998,
		BZ#6024)
- restart sshd in %%post when upstart is used - it doesn't have
  /dev/initctl (#441763)
- disable assert checking again

* Tue Apr  8 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-14
- update to trunk
  - misc fixes (BZ#5443, BZ#5475, BZ#5478, BZ#5939, BZ#5979, BZ#5995,
		BZ#6004, BZ#6007, BZ#6020, BZ#6021, BZ#6042)
  - change mtrace to keep perl 5.10 quiet (#441082)
  - don't share conversion state between mbtowc and wctomb (#438687)
  - if st_blksize is too large and malloc fails, retry with smaller
    buffer in opendir (#430768)
  - correct *printf overflow test (#358111)

* Fri Mar 28 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-13
- update to trunk
  - don't define ARG_MAX in <limits.h>, as it is no longer
    constant - use sysconf (_SC_ARG_MAX) to get the current
    argument size limit
  - fix build on sparc64
- only service sshd condrestart if /etc/rc.d/init.d/sshd exists
  (#428859)

* Wed Mar 26 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-12
- update to trunk
  - new CLONE_* flags in <sched.h> (#438542)
  - nis+ errno clobbering fix (#437945)
  - fix adjtime (#437974)

* Fri Mar 14 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-11
- update to trunk
- remove <stropts.h>, define _XOPEN_STREAMS -1 (#436349)

* Wed Mar  5 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-8
- update to trunk
  - {,v}{as,d}printf and obstack_{,v}printf fortification (#435905)
  - fix getnameinfo/gethostbyaddr (#428067, BZ#5790)
  - fix yp_order (#435519, BZ#5854)
  - misc fixes (BZ#5779, BZ#5736, BZ#5627, BZ#5818, BZ#5012)
- merge review cleanup (Tom Callaway, #225806)

* Sat Feb 16 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-7
- update to trunk
  - make NI_MAXHOST and NI_MAXSERV available even in BSDish
    namespaces (BZ#5737)
  - timerfd_* syscalls

* Fri Feb  1 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-6
- fix build

* Thu Jan 31 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-5
- update to trunk
- rebuild with gcc 4.3

* Fri Jan 11 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-4
- update to trunk
  - misc fixes (BZ#5541, BZ#5545, BZ#5553, BZ#5112, BZ#5520)
  - getaddrinfo fixes
  - signalize EOVERFLOW from sem_post instead of overflowing
    the counter
  - fix i?86 makecontext
  - fix iconv for iso-2022-jp//translit (#397021)

* Thu Jan  3 2008 Jakub Jelinek <jakub@redhat.com> 2.7.90-3
- update to trunk
  - fix recognition of interface family (#425768)
  - add __THROW to __ctype_{b,tolower,toupper}_loc prototypes

* Thu Dec 27 2007 Jakub Jelinek <jakub@redhat.com> 2.7.90-2
- update to trunk
  - nsswitch fix (#425768)
- temporarily enable assert checking

* Wed Dec 12 2007 Jakub Jelinek <jakub@redhat.com> 2.7.90-1
- update to trunk
  - fix __USE_STRING_INLINES on i?86 (#408731, #371711)
  - fix *scanf (#388751)

* Wed Oct 17 2007 Jakub Jelinek <jakub@redhat.com> 2.7-1
- glibc 2.7 release
- fix tzfile.c for times after last transition (#333561)
- fix sem_post@GLIBC_2.0 on i?86
- appease valgrind in libpthread.so initialization
- misc fixes (BZ#3425, BZ#5184, BZ#5186)

* Mon Oct 15 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-21
- fix getgr{name,gid}{,_r} with nscd

* Sun Oct 14 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-20
- install <bits/error.h> (#330031)
- disable -D_FORTIFY_SOURCE{,=2} support (with a warning) for
  GCC 3.4.x and earlier(#327641)
- pl_PL locale changes (BZ#4098, #242296)
- misc fixes (BZ#1140, BZ#3195, BZ#3242, BZ#4359)

* Thu Oct 11 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-19
- fix <netinet/tcp.h>
- simple preprocessor in localedef, fix de_DE collation with it

* Wed Oct 10 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-18
- add signalfd, eventfd, eventfd_read, eventfd_write
- qsort speedups
- workaround for cpuid bugs (#324081)
- make sure gettext's conversion_lock is initialized even if
  program isn't linked against libpthread.so.0, only dlopens it (#321761)
- misc fixes (BZ#5112, BZ#5113, BZ#5104, BZ#5063, BZ#5010, BZ#4407,
  BZ#3924, BZ#5103, BZ#2633, BZ#181, BZ#73, #321901)

* Wed Oct  3 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-17
- fix {,v}swprintf with -D_FORTIFY_SOURCE=1 -mlong-double-64 on ppc*/s390*/sparc*
- strcoll fixes
- misc fixes (BZ#645, BZ#5071)
- locale fixes (BZ#4941, #299321, #203364, #196711, #236212)

* Sat Sep 29 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-16
- misc fixes (BZ#4963, BZ#4972, BZ#5028, BZ#5043, BZ#5058)
- improve -D_FORTIFY_SOURCE{,=2} diagnostic through warning/error
  attributes
- fix wcscpy, wcpcpy, fgetws, fgetws_unlocked, swprintf and vswprintf
  fortification inlines
- fix a scalability issue with lazy binding in heavily multithreaded
  programs

* Thu Sep 20 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-15
- $5$ (SHA-256) and $6$ (SHA-512) support in crypt
  (#228697, #249477, #173834)

* Tue Sep 18 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-14
- -D_FORTIFY_SOURCE{,=2} support for C++
- fortification of fread{,_unlocked}
- support *scanf m allocation modifier (%%ms, %%mls, %%mc, ...)
- in -std=c99 or -D_XOPEN_SOURCE=600 mode don't recognize
  %%as, %%aS and %%a[ as a GNU extension for *scanf
- fix splice, vmsplice, tee return value, make them cancellation
  points
- mq_open checking
- use inline function rather than function-like macro
  for open{,at}{,64} checking
- IFA_F_OPTIMISTIC handling in getaddrinfo (#259681)
- fix an ABBA deadlock in ld.so (#284171)
- remove sparc{32,64} unwind info from _start and clone

* Mon Aug 27 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-13
- fix personality on x86_64/ppc/ppc64 (#256281)

* Sat Aug 25 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-12
- readd x86_64 gettimeofday stuff, initialize it earlier
- nis_list fix (#254115)
- workaround for bugs in ia64 silly /emul/ia32-linux hack (#253961)
- misc fixes (BZ#3924, BZ#4566, BZ#4582, BZ#4588, BZ#4726, BZ#4946,
  BZ#4905, BZ#4814, BZ#4925, BZ#4936, BZ#4896, BZ#4937, BZ#3842,
  BZ#4554, BZ#4557, BZ#4938)

* Fri Aug 17 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-11
- remove __strtold_internal and __wcstold_internal from ppc*/s390*/sparc*
  *-ldbl.h headers
- temporarily backout x86_64 gettimeofday.S changes (#252453)
- some further sparc, sparc64 and alpha fixes

* Wed Aug 15 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-10
- don't open /etc/ld.so.{cache,preload} with O_NOATIME (#252146)
- s390{,x}, alpha and sparc fixes
- sparcv9 is no longer an aux arch, as we expect
  to not build sparc.rpm glibc any longer, only sparcv9.rpm,
  sparc64.rpm and new two aux arches sparcv9v.rpm and sparc64v.rpm

* Tue Aug 14 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-9
- private futex even for mutexes and condvars
- some further O_CLOEXEC changes
- use vDSO on x86_64 if available
- ia64 build fixes (#251983)

* Fri Aug 10 2007 Roland McGrath <roland@redhat.com> 2.6.90-8
- update to trunk
  - fix missing strtold_l export on ppc64

* Thu Aug  9 2007 Roland McGrath <roland@redhat.com> 2.6.90-6
- update to trunk
  - fix local PLT regressions
- spec file revamp for new find-debuginfo.sh

* Sun Aug  5 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-4
- fix librt.so and librtkaio.so on ppc32, so that it is not using
  bss PLT

* Sat Aug  4 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-3
- fix open{,at}{,64} macro for -pedantic (#250897)
- add transliteration for l with stroke (#250492)
- fix strtod ("-0", NULL)
- update License tag

* Wed Aug  1 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-2
- make aux-cache purely optional performance optimization in ldconfig,
  don't issue any errors if it can't be created (#250430)
- remove override_headers hack, BuildRequire >= 2.6.22 kernel-headers
  and rely on its content

* Tue Jul 31 2007 Jakub Jelinek <jakub@redhat.com> 2.6.90-1
- update to trunk
  - private futex optimizations
  - open{,at}{,64} argument checking
- ldconfig speedups

* Sun Jul  8 2007 Jakub Jelinek <jakub@redhat.com> 2.6-4
- filter <built-in> pseudo-files from debuginfo source lists (#245714)
- fix sscanf when errno is EINTR before the call (BZ#4745)
- save/restore errno around reading /etc/default/nss (BZ#4702)
- fix LD_HWCAP_MASK handling
- disable workaround for #210748, instead backport
  ld.so locking fixes from the trunk (#235026)
- new x86_64 memcpy
- don't write uninitialized padding bytes to nscd socket
- fix dl{,v}sym, dl_iterate_phdr and dlopen if some library is
  mapped into ld.so's inter-segment hole on x86_64 (#245035, #244545)
- fix LD_AUDIT=a:b program (#180432)
- don't crash on pseudo-zero long double values passed to
  *printf on i?86/x86_64/ia64 (BZ#4586)
- fix *printf %%La and strtold with some hexadecimal floating point
  constants on ppc/ppc64
- fix nextafterl on ppc/ppc64
- fix sem_timedwait on i?86 and x86_64

* Thu May 24 2007 Jakub Jelinek <jakub@redhat.com> 2.6-3
- don't use %%config(missingok) for locale-archive.tmpl,
  instead of removing it altogether truncate it to zero
  size (#240697)
- add a workaround for #210748

* Mon May 21 2007 Jakub Jelinek <jakub@redhat.com> 2.6-2
- restore malloc_set_state backwards compatibility (#239344)
- fix epoll_pwait (BZ#4525)
- fix printf with unknown format spec or positional arguments
  and large width and/or precision (BZ#4514)
- robust mutexes fix (BZ#4512)

* Tue May 15 2007 Roland McGrath <roland@redhat.com> 2.6-1
- glibc 2.6 release

* Fri May 11 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-24
- utimensat, futimens and lutimes support

* Thu May 10 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-23
- use madvise MADV_DONTNEED in malloc
- fix ia64 feraiseexcept
- fix s390{,x} feholdexcept (BZ#3427)
- ppc fenv fixes
- make fdatasync a cancellation point (BZ#4465)
- fix *printf for huge precisions with wide char code and multi-byte
  strings
- fix dladdr (#232224, BZ#4131)

* Fri May  4 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-22
- add transliteration for <U2044> (BZ#3213)
- fix *scanf with %%f on hexadecimal floats without exponent (BZ#4342)
- fix *printf with very large precisions for %%s (#238406, BZ#4438)
- fix inet_ntop size checking for AF_INET (BZ#4439)
- for *printf %%e avoid 1.000e-00, for exponent 0 always use + sign (#238431)
- fix a regression introduced in #223467 changes
- gethostby*_r alignment fixes (BZ#4381)
- fix ifaddrs error handling

* Mon Apr 16 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-21
- don't include individual locale files in glibc-common,
  rather include prepared locale-archive template and let
  build-locale-archive create locale-archive from the template
  and any user supplied /usr/lib/locale/*_* directories,
  then unlink the locale-archive template - this should save
  > 80MB of glibc-common occupied disk space
- fix _XOPEN_VERSION (BZ#4364)
- fix printf with %%g and values tiny bit smaller than 1.e-4 (#235864,
  BZ#4362)
- fix NIS+ __nisfind_server (#235229)

* Sat Mar 31 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-20
- assorted NIS+ speedups (#223467)
- fix HAVE_LIBCAP configure detection (#178934)
- remove %%{_prefix}/sbin/rpcinfo from glibc-common (#228894)
- nexttoward*/nextafter* fixes (BZ#3306)
- feholdexcept/feupdateenv fixes (BZ#3427)
- speed up fnmatch with two or more * in the pattern

* Sat Mar 17 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-19
- fix power6 libm compat symbols on ppc32 (#232633)
- fix child refcntr in NPTL fork (#230198)
- fix ifaddrs with many net devices on > 4KB page size arches (#230151)
- fix pthread_mutex_timedlock on x86_64 (#228103)
- various fixes (BZ#3919, BZ#4101, BZ#4130, BZ#4181, BZ#4069, BZ#3458)

* Wed Feb 21 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-18
- fix nftw with FTW_CHDIR on / (BZ#4076)
- nscd fixes (BZ#4074)
- fix fmod{,f,l} on i?86 (BZ#3325)
- support localized digits for fp values in *scanf (BZ#2211)
- namespaces fixes (BZ#2633)
- fix euidaccess (BZ#3842)
- glob fixes (BZ#3996)
- assorted locale data fixes (BZ#1430, BZ#672, BZ#58, BZ#3156,
  BZ#2692, BZ#2648, BZ#3363, BZ#3334, BZ#3326, BZ#3322, BZ#3995,
  BZ#3885, BZ#3884, BZ#3851)

* Sun Feb 11 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-17
- RFC2671 support in resolver (#205842)
- fix strptime (BZ#3944)
- fix regcomp with REG_NEWLINE (BZ#3957)
- fix pthread_mutex_timedlock on x86_64 (#228103)

* Fri Feb  2 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-16
- add strerror_l
- fix application crashes when doing NSS lookups through nscd
  mmapped databases and nscd decides to start garbage collection
  during the lookups (#219145, #225315)
- fix %%0lld printing of 0LL on 32-bit architectures (BZ#3902)
- ignore errors from install-info in glibc-devel scriptlets
  (#223691)

* Wed Jan 17 2007 Jakub Jelinek <jakub@redhat.com> 2.5.90-15
- fix NIS getservbyname when proto is NULL
- fix nss_compat +group handling (#220658)
- cache services in nscd
- fix double free in fts_close (#222089)
- fix vfork+execvp memory leak (#221187)
- soft-fp fixes (BZ#2749)
- further strtod fixes (BZ#3855)
- make sure pthread_kill doesn't return EINVAL even if
  the target thread exits in between pthread_kill ESRCH check
  and the actual tgkill syscall (#220420)
- fix ABBA deadlock possibility in ld.so scope locking code

* Tue Dec 19 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-14
- fix {j,m}rand48{,_r} on 64-bit arches (BZ#3747)
- handle power6x AT_PLATFORM (#216970)
- fix a race condition in getXXbyYY_r (#219145)
- fix tst-pselect testcase

* Thu Dec 14 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-13
- fix setcontext on ppc32 (#219107)
- fix wide stdio after setvbuf (#217064, BZ#2337)
- handle relatime mount option in statvfs
- revert i?86/x86_64 clone CFI temporarily

* Sun Dec 10 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-12
- fix hasmntopt (#218802)
- fix setusershell and getusershell (#218782)
- strtod fixes (BZ#3664, BZ#3673, BZ#3674)
- fix memusage with realloc (x, 0)

* Tue Dec  5 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-11
- allow suid apps to setenv NIS_PATH and influence through that
  nis_list and nis_lookup (#209155)
- fix ttyname and ttyname_r with invalid file descriptor (#218276)
- cs_CZ LC_TIME fixes (#218438)
- fix build with 2.6.19+ headers (#217723)

* Fri Dec  1 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-10
- fix x86-64 restore_rt unwind info

* Thu Nov 30 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-9
- fix last svc_run change (#217850)
- on ppc64 build __libc_start_main without unwind info,
  as it breaks MD_FROB_UPDATE_CONTEXT (#217729, #217775; in the
  future that could be fixable just by providing .cfi_undefined r2
  in __libc_start_main instead)
- add unwind info for x86-64 restore_rt signal return landing pad
  (#217087)
- add power6x subdir to /%%{_lib}/ and /%%{_lib}/rtkaio/,
  link all libs from ../power6/* into them

* Tue Nov 28 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-8
- fix svc_run (#216834, BZ#3559)
- add -fasynchronous-unwind-tables to CFLAGS (#216518)
- make sure there is consistent timestamp for /etc/ld.so.conf,
  /etc/localtime and /etc/rpc between multilib glibc rpms

* Mon Nov 20 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-7
- handle IPv6 addresses in /etc/hosts that are mappable to
  IPv4 addresses in IPv4 host lookups (#215283)
- fix :include: /etc/alias handling (#215572)
- handle new tzdata format to cope with year > 2037 transitions
  on 64-bit architectures

* Fri Nov 10 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-6
- fix strxfrm fix
- fix i?86 floor and ceil inlines (BZ#3451)

* Thu Nov  9 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-5
- fix sysconf (_SC_LEVEL{2,3}_CACHE_SIZE) on Intel Core Duo
  CPUs
- fix libthread_db.so on TLS_DTV_AT_TP architectures
- fix --inhibit-rpath (#214569)
- fix _r_debug content when prelinked ld.so executes
  a program as its argument
- fix strxfrm
- powerpc-cpu add-on updates

* Fri Nov  3 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-4
- fix atexit backwards compatibility (#213388)
- add mai_IN locale (#213415)
- remove bogus %%{_libdir}/librt.so.1 symlink (#213555)
- fix memusage (#213656)
- change libc.info category (#209493)

* Sun Oct 29 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-3
- fix suid/sgid binaries on i?86/x86_64 (#212723)

* Fri Oct 27 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-2
- fix ia64 build
- don't call _dl_close outside of dl_load_lock critical section
  if dlopen failed (BZ#3426)
- add rtld scope locking (#211133)

* Wed Oct 25 2006 Jakub Jelinek <jakub@redhat.com> 2.5.90-1
- fix i?86 6 argument syscalls (e.g. splice)
- fix rtld minimal realloc (BZ#3352)
- fix RFC3484 getaddrinfo sorting according to rules 4 and 7 (BZ#3369)
- fix xdrmem_setpos (#211452)
- bump __GLIBC_MINOR__
- increase PTHREAD_STACK_MIN on ppc{,64} to 128K to allow
  64K pagesize kernels (#209877)
- speed up initgroups on NIS+ (#208203)

* Mon Oct  2 2006 Jakub Jelinek <jakub@redhat.com> 2.5-2
- fix nscd database growing (#207928)
- bypass prelinking when LD_DYNAMIC_WEAK=1 is in the environment

* Fri Sep 29 2006 Jakub Jelinek <jakub@redhat.com> 2.5-1
- glibc 2.5 release

* Wed Sep 27 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-36
- rebuilt with gcc-4.1.1-26 to fix unwind info

* Mon Sep 25 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-35
- fix glob with large number of matches (BZ#3253)
- fix fchownat on kernels that don't support that syscall (BZ#3252)
- fix lrintl on s390{,64}

* Sat Sep 23 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-34
- fix ppc{32,64} longjmp (BZ#3225)
- fix user visible spelling errors (BZ#3137)
- fix l{,l}rint{,f,l} around zero (BZ#2592)
- avoid stack trampoline in s390{,x} makecontext

* Tue Sep 19 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-33
- fix dlclose (#206639)
- don't load platform optimized libraries if kernel doesn't set
  AT_PLATFORM
- fix ppc{32,64} libSegFault.so
- use -mtune=generic even for glibc-devel.i386 (#206437)
- fix /%%{_lib}/librt.so.1 symlink

* Fri Sep 15 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-32
- on ppc* use just AT_PLATFORM and altivec AT_HWCAP bit for library selection
- fix lrintl and lroundl on ppc{,64}
- use hidden visibility on fstatat{,64} and mknodat in libc_nonshared.a

* Sun Sep 10 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-31
- fix pthread_cond_{,timed}wait cancellation (BZ#3123)
- fix lrint on ppc32 (BZ#3155)
- fix malloc allocating more than half of address space (BZ#2775)
- fix mktime on 32-bit arches a few years after 2038 (BZ#2821)

* Thu Sep  7 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-30
- add librtkaio, to use it add /%%{lib}/rtkaio to your
  LD_LIBRARY_PATH or /etc/ld.so.conf
- fix or_IN February name (#204730)
- fix pthread_create called from cancellation handlers (BZ#3124)
- fix regex case insensitive searches with characters where upper
  and lower case multibyte representations have different length
  (e.g. I and dotless i, #202991)

* Tue Sep  5 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-29
- randomize resolver query ids before use instead after use (#205113)
- fix resolver symver checking with DT_GNU_HASH (#204909)
- put .hash section in glibc libraries at the end of RO segment
  when .gnu.hash is present

* Thu Aug 31 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-28
- another malloc doubly linked list corruption problem fix (#204653)

* Thu Aug 31 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-27
- allow $LIB and $PLATFORM in dlopen parameters even in suid/sgid (#204399)
- handle $LIB/$PLATFORM in LD_LIBRARY_PATH
- fix splice prototype (#204530)

* Mon Aug 28 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-26
- real fix for the doubly linked list corruption problem
- try harder in realloc to allocate memory (BZ#2684)
- fix getnameinfo error reporting (#204122)
- make localedef more robust on invalid input (#203728)

* Fri Aug 25 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-25
- temporarily back out code to limit number of unsorted block
  sort iterations (#203735, #204027)
- handle PLT symbols in dladdr properly (BZ#2683)
- avoid malloc infinite looping for allocations larger than
  the system can allocate (#203915)

* Tue Aug 22 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-23
- malloc fixes, especially for 32-bit arches (#202309)
- further *_IN locale fixes (#200230)
- fix get{serv,rpc}ent{,_r} if NIS map is empty (#203237)
- fix /usr/bin/iconv (#203400)

* Fri Aug 18 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-22
- rebuilt with latest binutils to pick up 64K -z commonpagesize
  on ppc/ppc64 (#203001)

* Tue Aug 15 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-21
- if some test gets stuck, kill the tee process after make check
  finishes
- build with -mtune=generic on i686 and x86_64

* Tue Aug 15 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-20
- PTHREAD_PRIO_PROTECT support
- fix errno if nice() fails (#201826)

* Thu Aug 10 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-19
- adaptive malloc brk/mmap threshold
- fix fchownat to use kernel syscall (if available) on many arches (#201870)
- only define O_DIRECT with -D_GNU_SOURCE on ia64 to match all
  other arches (#201748)

* Mon Aug  7 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-18
- NIS+ fixes
- fix memusage and xtrace scripts (#200736)
- redirect /sbin/service sshd condrestart std{out,err} to /dev/null
  when executed from glibc_post_upgrade

* Wed Aug  2 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-17
- typo fix for the dladdr patch
- build i?86 glibc with -mno-tls-direct-seg-refs (#200469)

* Wed Aug  2 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-16
- fix dladdr on binaries/libraries with only DT_GNU_HASH and no
  DT_HASH (#200635)
- fix early timeout of initgroups data in nscd (#173019)
- add am/pm display to es_PE and es_NI locales (#167101)
- fix nss_compat failures when nis/nis+ unavailable (#192072)

* Mon Jul 31 2006 Roland McGrath <roland@redhat.com> 2.4.90-15
- fix missing destructor calls in dlclose (#197932)
- enable transliteration support in all locales (#196713)
- disallow RTLD_GLOBAL flag for dlmopen in secondary namespaces (#197462)
- PI mutex support

* Mon Jul 10 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-13
- DT_GNU_HASH support

* Fri Jun 30 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-12
- buildrequire gettext
- enable fstatat64/newfstatat syscalls even on ppc*/s390*/ia64 (#196494)
- fix out of memory behavior in gettext (#194321)
- fix regex on multi-byte non-UTF-8 charsets (#193873)
- minor NIS+ fixes (#190803)
- don't use cancellable calls in posix_spawn* and only set{u,g}id
  current thread if requested (#193631)

* Wed May 31 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-11
- don't exit from nscd -i <database> before the database is
  actually invalidated, add locking to prune_cache (#191464)
- build glibc-devel.i386 static libraries with
  -mno-tls-direct-seg-refs -DNO_TLS_DIRECT_SEG_REFS
- RFC3542 support (advanced API for IPv6; #191001, BZ##2693)

* Wed May 24 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-10
- on i686 make glibc owner of /lib/i686 directory (#192597)
- search parent NIS+ domains (#190803)

* Sun May 21 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-9
- update from CVS
  - big NIS+ changes

* Fri May 19 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-8
- update from CVS
  - fix nss_compat when SETENT_BATCH_READ=TRUE is in /etc/default/nss
  - fix RFC3484 precedence table for site-local and ULA addresses (#188364)
  - fix a sunrpc memory leak

* Thu May 11 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-7
- update from CVS
  - fix tcgetattr (#177965)
  - fix <sys/queue.h> (#191264)

* Fri May  5 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-6
- update from CVS
- rebuilt using fixed rpm

* Fri May  5 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-5
- update from CVS
  - some NIS+ fixes
  - allow overriding rfc3484 address sorting tables for getaddrinfo
    through /etc/gai.conf (sample config file included in %%doc directory)

* Mon May  1 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-4
- update from CVS
  - SETENT_BATCH_READ /etc/default/nss option for speeding up
    some usages of NIS+ (#188246)
  - move debug state change notification (#179208)
  - fix ldd script if one of the dynamic linkers is not installed (#190259)

* Thu Apr 27 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-3
- update from CVS
  - fix a typo in nscd.conf (#190085)
  - fix handling of SIGHUP in nscd when some caches are disabled (#189978)
  - make nscd paranoia mode working with non-root server-user (#189779)

* Wed Apr 26 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-2
- update from CVS
  - fix getaddrinfo (#190002)
  - add auto-propagate nscd.conf options (#177154)
  - fix nscd auditing (#169148)

* Tue Apr 25 2006 Jakub Jelinek <jakub@redhat.com> 2.4.90-1
- update from CVS

* Mon Apr 24 2006 Jakub Jelinek <jakub@redhat.com> 2.4-6
- update from CVS
  - NIS+ fixes
  - don't segfault on too large argp key values (#189545)
  - getaddrinfo fixes for RFC3484 (#188364)

* Tue Mar 28 2006 Jakub Jelinek <jakub@redhat.com> 2.4-5
- update from CVS
  - pshared robust mutex support
  - fix btowc and bwtoc in C++ (#186410)
  - fix NIS+ (#186592)
  - don't declare __wcsto*l_internal for non-GCC or if not -O1+ (#185667)
- don't mention nscd failures on 2.0 kernels (#185335)

* Tue Mar  7 2006 Roland McGrath <roland@redhat.com> 2.4-4
- back up %%{ix86} gdb conflicts to < 6.3.0.0-1.111

* Tue Mar  7 2006 Jakub Jelinek <jakub@redhat.com> 2.4-3
- really fix rintl on ppc64

* Tue Mar  7 2006 Jakub Jelinek <jakub@redhat.com> 2.4-2
- accurate unwind info for lowlevellock.h stubs on %%{ix86}
- fix ppc/ppc64 ceill, floorl, rintl, roundl and truncl (BZ#2423)

* Mon Mar  6 2006 Jakub Jelinek <jakub@redhat.com> 2.4-1
- update from CVS
  - glibc 2.4 release

* Mon Mar  6 2006 Jakub Jelinek <jakub@redhat.com> 2.3.91-2
- update from CVS
  - fix sYSMALLOc for MALLOC_ALIGNMENT > 2 * SIZE_SZ (#183895)
  - revert ppc32 malloc alignment patch, it breaks malloc_set_state
    and needs some further thoughts and time (#183894)
- provide accurate unwind info for lowlevellock.h stubs on x86_64

* Thu Mar  2 2006 Jakub Jelinek <jakub@redhat.com> 2.3.91-1
- update from CVS
  - fixes for various arches
- ensure malloc returns pointers aligned to at least
  MIN (2 * sizeof (size_t), __alignof__ (long double))
  (only on ppc32 this has not been the case lately with addition
   of 128-bit long double, #182742)

* Wed Mar  1 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-39
- update from CVS

* Fri Feb 17 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-38
- update from CVS
  - robust mutexes rewrite

* Mon Feb 13 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-37
- update from CVS
  - *at fixes
  - unshare syscall wrapper

* Sat Feb  4 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-36
- update from CVS
  - fix frequency setting for ITIMER_PROF (#179938, BZ#2268)
  - fix powerpc inline fegetround ()
  - fix nptl_db (#179946)

* Fri Feb  3 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-35
- update from CVS
  - handle futimesat (fd, NULL, tvp) as futimes (fd, tvp)
- fix <stdlib.h> q{e,f,g}cvt{,_r} for -mlong-double-64

* Thu Feb  2 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-34
- fix <math.h> with C++ and -mlong-double-64 (#179742)
- add nexttowardl redirect for -mlong-double-64

* Thu Feb  2 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-33
- update from CVS
  - long double support fixes

* Wed Feb  1 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-32
- update from CVS
  - 128-bit long double fixes for ppc{,64}, s390{,x} and sparc{,v9},
    alpha 128-bit long double support
- add inotify syscall numbers to the override <asm/unistd.h> headers
  (#179366)

* Mon Jan 30 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-31
- update from CVS
  - 128-bit long double on ppc, ppc64, s390, s390x and sparc{,v9}
- add some new syscall numbers to the override <asm/unistd.h>
  headers

* Mon Jan  9 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-30
- update from CVS
  - <pthread.h> initializer fixes for -std=c{8,9}9 on 32-bit
    arches
- avoid writable .rodata (#177121)

* Fri Jan  6 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-29
- update from CVS
  - make pthread_mutex_t an unnamed union again, as it affects
    libstdc++ ABI mangling

* Fri Jan  6 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-28
- update from CVS
  - make aio_suspend interruptible by signals (#171968)

* Fri Jan  6 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-27
- only rely on d_type in 32-bit getdents on s390 for 2.6.11+

* Wed Jan  4 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-26
- update from CVS
  - for newly linked lio_listio* callers, send per request
    notifications (#170116)
  - fixup nscd -S option removal changes (#176860)
  - remove nonnull attribute from ctermid (#176753)
  - fix PTHREAD_*_INITIALIZER{,_NP} on 64-bit arches
  - SPARC NPTL support for pre-v9 CPUs
- drop support for 2.4.xx and < 2.6.9 kernels

* Mon Jan  2 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-25
- update from CVS
  - s390{,x} and sparc{,64} pointer mangling fixes
- install a sanitized LinuxThreads <bits/libc-lock.h>

* Mon Jan  2 2006 Jakub Jelinek <jakub@redhat.com> 2.3.90-24
- update from CVS
  - nscd audit changes (#174422)
  - ppc{32,64} vDSO support and ppc32 hp-timing

* Tue Dec 27 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-23
- update from CVS
  - robust mutexes
- fix transliteration segfaults (#176573, #176583)
- ignore prelink temporaries in ldconfig (#176570)

* Wed Dec 21 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-22
- update from CVS
  - minor fts fixes
- revert broken _Pragma () workaround
- fix ldconfig on bi-arch architectures (#176316)

* Tue Dec 20 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-21
- update from CVS
  - fix pointer (de)mangling in gconv_cache.c

* Tue Dec 20 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-20
- update from CVS
  - time ((void *) 1) should segfault, not return -EFAULT (#174856, BZ#1952)
  - fix errlist generation
- update ulps for GCC 4.1 on IA-64

* Mon Dec 19 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-19
- update from CVS
  - sysdeps/generic reorg
  - setjmp/longjmp jump pointer mangling
- rebuilt with GCC 4.1-RH prerelease, worked around broken _Pragma ()
  handling in it
- remove glibc-profile subpackage
- use non-PLT calls for malloc/free/realloc/memalign invocations in
  mtrace and mcheck hooks (#175261)
- setjmp/longjmp jump pointer mangling on ppc{,64}/ia64/s390{,x}

* Sat Nov 19 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-18
- update from CVS
  - change <sys/stat.h> for broken apps that #define const /**/,
    handle non-GCC compilers
  - fix ppc{32,64} strncmp (BZ#1877, #173643, IT#83510)
  - provide shmatt_t typedef in ia64 <sys/shm.h (#173680)
  - support 2nd arg to futimesat being NULL (#173581)

* Wed Nov 16 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-17
- update from CVS
  - fix <sys/stat.h> in C++
  - {fstat,fchown,rename,unlink}at fixes
  - epoll_wait is now a cancellation point

* Tue Nov 15 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-16
- update from CVS
- make sure waitid syscall is used on ppc*/s390*

* Thu Oct 20 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-15
- update from CVS
  - be permissive in %%n check because of kernel bug #165351 (#171240)
  - don't misalign stack in pthread_once on x86_64 (#170786, IT#81521)
  - many locale fixes

* Mon Oct 10 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-14
- update from CVS
  - fix malloc bug after fork introduced in the last update
  - fix getent hosts IP for IPv4 IPs (#169831)

* Mon Oct  3 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-13
- update from CVS
  - fix setuid etc. hangs if some thread exits during the call (#167766)
  - fix innetgr memory leak (#169051)
  - support > 2GB nscd log files (#168851)
  - too many other changes to list here
- include errno in nscd message if audit_open failed (#169148)

* Mon Sep 12 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-12
- update from CVS
  - netgrp handling fixes (#167728)
  - fix memory leak in setlocale (BZ#1318)
  - fix hwcaps computation
  - several regex portability improvements (#167019)
  - hypotf fix
  - fix *printf return code if underlying write fails (BZ#1146)
  - PPC64 dl{,v}sym fixes for new ABI .opd symbols
- fix calloc with MALLOC_PERTURB_ in environment on 64-bit architectures
  (#166719)
- source /etc/sysconfig/nscd (if it exists) in /etc/rc.d/init.d/nscd
  (#167083)
- add %%triggerin for tzdata to glibc-common, so that tzdata updates
  update /etc/localtime and /var/spool/postfix/etc/localtime if they
  exist (#167787)

* Mon Aug 29 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-11
- FUTEX_WAKE_OP support to speed up pthread_cond_signal

* Wed Aug 24 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-10
- update from CVS
  - fix growing of nscd persistent database (BZ#1204)
  - fix _FORTIFY_SOURCE mbstowcs and wcstombs if destination size
    is known at compile time, but length argument is not

* Mon Aug 22 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-9
- update from CVS
  - fix resolving over TCP (#161181, #165802)
  - on ia64 don't abort on unhandled math function exception codes
    (#165693)

* Mon Aug  8 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-8
- update from CVS
  - nscd persistent database verifier (#164001)
  - cleanup _FORTIFY_SOURCE bits/*.h headers (#165000)
  - handle EINTR in sigwait properly
- make sure poor man's stack guard randomization keeps first
  byte 0 even on big-endian 32-bit arches
- fix {elf,nptl}/tst-stackguard1
- obsolete linuxthreads-devel in glibc-devel

* Fri Jul 29 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-7
- update from CVS
- do some poor man's stack guard randomization even without
  the costly --enable-stackguard-randomization
- rebuilt with new GCC to make it use -msecure-plt on PPC32

* Mon Jul 25 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-6
- update from CVS
  - fix execvp if PATH is not in environment and the call is going
    to fail (BZ#1125)
  - another bits/wchar2.h fix (#163990)

* Fri Jul 22 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-5
- update from CVS
  - fix stubs.h generation
- don't use _G_va_list in bits/wchar2.h

* Fri Jul 22 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-4
- update from CVS
  - make sure bits/wchar2.h header is installed
  - fix __getgroups_chk return type

* Thu Jul 21 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-3
- update from CVS
  - make sure nscd cmsg buffers aren't misaligned, handle EINTR from
    poll when contacting nscd more gracefully
  - remove malloc attribute from posix_memalign
  - correctly size nscd buffer for grpcache key (#163538)
  - fix atan2f
  - fix error memory leaks
  - some more _FORTIFY_SOURCE protection

* Fri Jul  8 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-2
- update from CVS
  - ia64 stack protector support
  - handle DNS referral results as server errors (#162625)
  - ctan{,h}{,f,l} fixes (#160759)
  - pass argc, argv and envp also to executable's *ni_array
    functions (BZ#974)
  - add ellipsis to clone prototype (#161593)
  - fix glibc-profile (#162601)
  - nss_compat fixes
- use sysdeps/generic version of <bits/stdio-lock.h> in installed
  headers instead of NPTL version (#162634)

* Mon Jun 27 2005 Jakub Jelinek <jakub@redhat.com> 2.3.90-1
- update from CVS
  - stack protector support
  - fix xdr_{,u_}{longlong_t,hyper} on 64-bit arches (#161583)
- enable @GLIBC_2.4 symbols
- remove linuxthreads

* Mon Jun 20 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-11
- update from CVS
  - PPC32 -msecure-plt support
  - support classes keyword in /etc/hesiod.conf (#150350)
  - add RLIMIT_NICE and RLIMIT_RTPRIO to <sys/resources.h> (#157049)
  - decrease number of .plt relocations in libc.so
  - use -laudit in nscd (#159217)
  - handle big amounts of networking interfaces in getifaddrs/if_nameindex
    (#159399)
  - fix pa_IN locale's am_pm (#158715, BZ#622)
  - fix debugging of PIEs

* Mon May 30 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-10
- fix LD_ASSUME_KERNEL (since 2.3.5-8 GLRO(dl_osversion)
  has been always overwritten with the version of currently
  running kernel)
- remove linuxthreads man pages other than those covered in
  3p section, as 3p man pages are far better quality and describe
  POSIX behaviour that NPTL implements (#159084)

* Tue May 24 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-9
- update from CVS
  - increase bindresvport's LOWPORT to 512, apparently some
    broken daemons don't think 0 .. 511 ports are reserved

* Mon May 23 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-8
- update from CVS
  - fix kernel version check in ld.so
- fix sendfile{,64} prototypes (BZ#961)
- try more ports in bindresvport if all 600..1023 are
  used, don't use priviledged ports when talking to portmap
  (#141773)

* Fri May 20 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-7
- update from CVS
  - make regexec thread safe (BZ#934)
- fix statically linked programs on i?86, x86_64, s390* and
  sparc* (#158027)
- fix IBM939 iconv module (BZ#955)

* Wed May  4 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-6
- update from CVS
  - fix cancellation on i?86
  - add call frame information to i?86 assembly

* Tue May  3 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-5
- update from CVS
  - add some more UTF-8 locales (#156115)
- clean up /lib64/tls instead of /lib/tls on x86-64, s390x and
  ppc64 in glibc_post_upgrade (#156656)
- fix posix_fallocate{,64} (#156289)

* Thu Apr 28 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-4
- update from CVS
  - fix nscd cache pruning (#150748)

* Wed Apr 27 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-3
- update from CVS
  - fix linuxthreads clocks
- put xen libs into the glibc-2*.i686 package instead of a separate one
- fix librt.so symlink in linuxthreads-devel
- do not include linuxthreads-devel on %%{auxarches},
  just on the base architectures

* Wed Apr 27 2005 Jakub Jelinek <jakub@redhat.com> 2.3.5-2
- update from CVS
  - with MALLOC_CHECK_=N N>0 (#153003)
  - fix recursive dlclose (#154641)
  - handle %%z in strptime (#154804)
  - automatically append /%%{_lib}/obsolete/linuxthreads/
    to standard library search path if LD_ASSUME_KERNEL=N N <= 2.4.19
    or for glibc 2.0 binaries (or broken ones that don't use errno/h_errno
    properly).  Warning: all those will stop working when LinuxThreads
    is finally nuked, which is not very far away
  - remove nonnull attribute from acct prototype (BZ#877)
  - kernel CPU clocks support
  - fix *scanf in locales with multi-byte decimal point

* Wed Apr 27 2005 Roland McGrath <roland@redhat.com>
- glibc-xen subpackage for i686

* Fri Apr 15 2005 Roland McGrath <roland@redhat.com> 2.3.5-1
- update from CVS
  - fix execvp regression (BZ#851)
  - ia64 libm updates
  - sparc updates
  - fix initstate{,_r}/strfry (#154504)
  - grok PT_NOTE in vDSO for kernel version and extra hwcap dirs,
    support "hwcap" keyword in ld.so.conf files

* Tue Apr  5 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-21
- update from CVS
  - fix xdr_rmtcall_args on 64-bit arches (#151686)
- fix <pthread.h> and <bits/libc-lock.h> with -std=c89 -fexceptions (#153774)

* Mon Apr  4 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-20
- move LinuxThreads libraries to /%%{_lib}/obsolete/linuxthreads/
  and NPTL libraries to /%%{_lib}.  To run a program against LinuxThreads,
  LD_ASSUME_KERNEL=2.4.xx LD_LIBRARY_PATH=/%%{_lib}/obsolete/linuxthreads/
  is now needed
- bzip2 ChangeLog* files instead of gzipping them

* Sat Apr  2 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-19
- update from CVS
  - fix nextafterl and several other libm routines on ia64
  - fix initgroups (BZ#661)
- kill nptl-devel subpackage, add linuxthreads-devel,
  compile and link by default against NPTL and only with
  -I/usr/include/linuxthreads -L/usr/%%{_lib}/linuxthreads
  against LinuxThreads
- package /usr/lib/debug/%%{_lib}/tls/i{5,6}86 symlinks in
  i386 glibc-debuginfo
- limit number of ChangeLog* files in glibc-common %%doc
  to last 2.5 years of changes only to save space

* Fri Mar 25 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-18
- fix build on 64-bit arches with new GCC

* Thu Mar 24 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-17
- update from CVS
  - fix LD_AUDIT in LinuxThreads ld.so
  - fix calloc with M_PERTURB
  - fix error handling in pthread_create with PTHREAD_EXPLICIT_SCHED
    on ppc*/ia64/alpha/mips (BZ#801)
  - fix a typo in WINDOWS-31J charmap (#151739)
  - fix NIS ypprot_err (#151469)

* Sun Mar 20 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-16
- fix pread with -D_FILE_OFFSET_BITS=64 (#151573)

* Sat Mar 19 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-15
- update from CVS
  - better fix for the dlclose bug (#145810, #150414)
  - fix regex crash on case insensitive search in zh_CN locale
    (#151215)
  - fix malloc_trim (BZ#779)
  - with -D_FORTIFY_SOURCE=*, avoid defining read and a bunch of others
    as function-like macros, there are too many broken programs
    out there
- add %%dir %%{_prefix}/%%{_lib}/gconv to glibc's file list (#151372)

* Sun Mar  6 2005 Roland McGrath <roland@redhat.com> 2.3.4-14
- fix bits/socket2.h macro typos

* Sat Mar  5 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-12
- fix tst-chk{2,3}
- fix up AS_NEEDED directive in /usr/%%{_lib}/libc.so
- BuildReq binutils >= 2.15.94.0.2-1 for AS_NEEDED, in
  glibc-devel Conflict with binutils < 2.15.94.0.2-1

* Thu Mar  3 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-11
- update from CVS
  - fix execvp (#149290)
  - fix dlclose (#145810)
  - clear padding in gconv-modules.cache (#146614, BZ#776)
- rebuilt with GCC4
- changed __GLIBC_MINOR__ for now back to 3
- back out the newly added GLIBC_2.4 *_chk routines, instead
  do the checking in macros

* Sat Feb 12 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-10
- hopefully fix interaction with prelink (#147655)

* Fri Feb 11 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-9
- update from CVS
  - bi-arch <gnu/stubs.h> (BZ#715)

* Fri Feb 11 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-8
- update from CVS
  - bi-arch <gnu/lib-names.h> (BZ#632)
  - fix libdl on s390 and maybe other platforms
  - fix initstate{,_r} (BZ#710)
  - fix <gnu/stubs.h> generation (BZ#157)
- define CMSPAR in bits/termios.h (#147533)

* Tue Feb  8 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-7
- update from CVS
  - fix TLS handling in linuxthreads

* Tue Feb  8 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-6
- update from CVS
  - ld.so auditing
  - fix segfault if chrooted app attempts to dlopen a library
    and no standard library directory exists at all (#147067, #144303)
  - fix initgroups when nscd is running, but has group caching disabled
    (#146588)
  - fix pthread_key_{create,destroy} in LinuxThreads when pthread_create
    has not been called yet (#146710)
  - fix ppc64 swapcontext and setcontext (#146736, BZ#700)
  - service nscd cosmetic fixes (#146776)
  - fix IA-32 and x86-64 stack alignment in DSO constructors (#145689)
  - fix zdump -v segfaults on x86-64 (#146210)
  - avoid calling sigaction (SIGPIPE, ...) inside syslog (#146021, IT#56686)
  - fix errno values for futimes (BZ#633)
  - unconditionally include <features.h> in malloc.h (BZ#650)
  - change regex \B handling to match old GNU regex as well as perl/grep's dfa
    (from empty string inside of word to empty string not at a word boundary,
     BZ#693)
  - slightly optimize i686 TLS accesses, use direct TLS %%gs access in sem_*
    and allow building -mno-tls-direct-seg-refs glibc that is free of direct TLS
    %%gs access with negative offsets
  - fix addseverity
  - fix fmemopen
  - fix rewinddir
  - increase svc{tcp,unix}_create listen backlog

* Thu Jan  6 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-5
- update from CVS
  - add some warn_unused_result marking
  - make ftruncate available even for just -D_POSIX_C_SOURCE=200112L
    (BZ#640)

* Thu Jan  6 2005 Jakub Jelinek <jakub@redhat.com> 2.3.4-4
- update from CVS
  - fix IA-32 stack alignment for LinuxThreads thread functions
    and functions passed to clone(2) directly
  - fix ecvt{,_r} on denormals (#143279)
  - fix __tls_get_addr typo
  - fix rounding in IA-64 alarm (#143710)
  - don't reinitialize __environ in __libc_start_main, so that
    effects of setenv/putenv done in DSO initializers are preserved
    (#144037, IT#57403)
  - fix fmemopen
  - fix vDSO l_map_end and l_text_end values
  - IA64 libm update (#142494)
- fix ppc rint/ceil etc. (BZ#602)

* Tue Dec 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.4-3
- rebuilt

* Mon Dec 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.4-2
- work around rpm bug some more, this time by copying
  iconvconfig to iconvconfig.%%{_target_cpu}.

* Mon Dec 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.4-1
- update from CVS
  - glibc 2.3.4 release
  - add -o and --nostdlib options to iconvconfig
- if /sbin/ldconfig doesn't exist when running
  glibc_post_upgrade.%%{_target_cpu}, just don't attempt to run it.
  This can happen during first install of bi-arch glibc and the
  other arch glibc's %%post wil run /sbin/ldconfig (#143326)
- use -o and --nostdlib options to create all needed
  gconv-modules.cache files on bi-arch setups

* Sun Dec 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-99
- rebuilt

* Sat Dec 18 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-98
- add .%%{_target_cpu} to glibc_post_upgrade, only run telinit u
  if /sbin/init is the same ELF class and machine as
  glibc_post_upgrade.%%{_target_cpu} and similarly with
  condrestarting sshd (#143046)

* Fri Dec 17 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-97
- update from CVS
  - fix ppc64 getcontext and swapcontext (BZ#610)
  - sparc/sparc64 fixes

* Wed Dec 15 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-96
- update from CVS
  - fix i686 __USE_STRING_INLINES strncat
  - make sure ppc/ppc64 maintain correct stack alignment
    across clone

* Wed Dec 15 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-95
- export nis_domain_of_r from libnsl.so again which was
  unintentionally lost

* Wed Dec 15 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-93
- update from CVS
  - ppc/ppc64 clone without CLONE_THREAD getpid () adjustement
  - fix MALLOC_CHECK_={1,2,3} for non-contiguous main arena
    (BZ#457)
  - fix sysconf (_POSIX_V6_*) for other ABI environments in
    bi-arch setups
- s390/s390x clone without CLONE_THREAD getpid () adjustement

* Tue Dec 14 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-92
- update from CVS
- fix %%{_prefix}/libexec/getconf filenames generation

* Tue Dec 14 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-91
- update from CVS
  - double buffer size in getXXbyYY or getXXent on ERANGE
    instead of adding BUFLEN (#142617)
  - avoid busy loop in malloc if another thread is doing fork
    (#142214)
  - some more realloc corruption checks
  - fix getconf _POSIX_V6_WIDTH_RESTRICTED_ENVS output,
    tweak %%{_prefix}/libexec/getconf/ filenames

* Fri Dec 10 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-90
- update from CVS
  - regex speedups
  - use | cat in ldd if running under bash3+ to allow running
    it on binaries that are not through SELinux allowed to access
    console or tty
- add __NR_waitid defines for alpha and ia64

* Wed Dec  8 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-89
- update from CVS
  - fix clone2 on ia64
  - avoid tst-timer5 failing with linuxthreads implementation
- if __libc_enable_secure, disallow mode != normal
- change ldd script to imply -r when -u is used, properly
  propagate return value and handle suid binaries

* Tue Dec  7 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-88
- update from CVS
  - disregard LD_SHOW_AUXV and LD_DYNAMIC_WEAK if __libc_enable_secure
  - disregard LD_DEBUG if __libc_enable_secure in normal mode
    if /suid-debug doesn't exist
  - fix fseekpos after ungetc
  - avoid reading bytes before start of buffers in regex's
    check_dst_limits_calc_pos_1 (#142060)
  - make getpid () working with clone/clone2 without CLONE_THREAD
    (so far on i386/x86_64/ia64 only)
- move %%{_prefix}/libexec/getconf/* to glibc from glibc-common
- make %%{_prefix}/libexec/getconf directory owned by glibc package

* Fri Dec  3 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-87
- update from CVS
  - build libpthread_nonshared.a objects with -fPIC on s390/s390x
  - fix mktime with < 0 or > 59 tm_sec on entry
  - remove nonnull attribute for realpath
  - add $(make-target-directory) for errlist-compat.c rule
    (hopefully fix #141404)
- add testcase for ungetc bug
- define _POSIX_{,THREAD_}CPUTIME to 0 on all Linux arches

* Tue Nov 30 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-86
- update from CVS
  - some posix_opt.h fixes
- fix strtold use of unitialized memory (#141000)
- some more bugfixes for bugs detected by valgrind
- rebuilt with GCC >= 3.4.3-5 to avoid packed stack layout
  on s390{,x} (#139678)

* Fri Nov 26 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-85
- update from CVS
  - support -v specification in getconf
  - fix sysconf (_SC_LFS64_CFLAGS) etc.
  - avoid thread stack aliasing issues on EM64T (#140803)
- move %%{_prefix}/include/nptl headers from nptl-devel
  to glibc-headers, so that even NPTL specific programs
  can be built bi-arch without problems

* Wed Nov 24 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-84
- update from CVS
  - fix memory leak in getaddrinfo if using nscd (#139559)
  - handle large lines in /etc/hosts and /etc/networks
    (#140378)
  - add nonnull attributes to selected dirent.h and dlfcn.h
    functions

* Sun Nov 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-83
- update from CVS
  - add deprecated and/or nonnull attribute to some signal.h
    functions
  - speed up tzset () by only using stat instead of open/fstat
    when calling tzset for the second and following time if
    /etc/localtime has not changed
- fix tgamma (BZ #552)

* Sat Nov 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-82
- update from CVS
  - some malloc () checking
  - libpthread.a object dependency cleanups (#115157)
  - <bits/socket.h> fix for -std=c89 -pedantic-errors (#140132)

* Fri Nov 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-81
- don't use chunksize in <= 2 * SIZE_SZ free () checks

* Fri Nov 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-80
- update from CVS
  - with -D_FORTIFY_SOURCE=2, prevent missing %%N$ formats
  - for -D_FORTIFY_SOURCE=2 and %%n in writable format string,
    issue special error message instead of using the buffer overflow
    detected one
  - speedup regex searching with REG_NOSUB, add RE_NO_SUB,
    speedup searching with nested subexps (BZ #544)
  - block SIGCANCEL in NPTL timer_* helper thread
- further free () checking

* Tue Nov 16 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-79
- update from CVS
- fix free () checking
- move /etc/default/nss into glibc-common (hopefully fix #132392)

* Mon Nov 15 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-78
- update from CVS
  - fix LD_DEBUG=statistics
  - issue error message before aborting in __chk_fail ()
- some more free () checking

* Fri Nov 12 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-77
- update from CVS
  - speedup regex on palindromes (BZ #429)
  - fix NPTL set{,e,re,res}[ug]id, so that even if making process
    less priviledged all threads change their credentials successfully

* Wed Nov 10 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-76
- update from CVS
  - fix regcomp crash (#138439)
  - fix ftell{,o,o64} (#137885)
  - robustification of nscd to cope with corrupt databases (#137140)
  - fix NPTL with pthread_exit immediately after pthread_create (BZ #530)
  - some regex optimizations

* Tue Nov  2 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-75
- update from CVS
  - mktime cleanups (BZ #487, #473)
  - unique comments in free(3) check error messages
- adjust some x86_64 headers for -m32 (#129712)
- object size checking support even with GCC-3.4.2-RH >= 3.4.2-8

* Wed Oct 27 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-74
- fix <netinet/udp.h> header
- fix globfree (#137176)
- fix exiting if there are dlmopened libraries in namespaces
  other than main one not closed yet
- export again _res_opcodes and __p_{class,type}_syms from
  libresolv.so that were lost in -69

* Thu Oct 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-73
- remove setaltroot and key{_add,_request,ctl} also from Versions
- back out _sys_errlist changes

* Thu Oct 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-72
- back out setaltroot and key{_add,_request,ctl} addition
- fix severe x86-64 symbol versioning regressions that breaks
  e.g. java binaries

* Wed Oct 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-71
- update from CVS
  - fix minor catchsegv temp file handling vulnerability
    (CAN-2004-0968, #136319)
  - add 4 new errno codes
  - setaltroot, key{_add,_request,ctl} syscalls on some arches
  - export _dl_debug_state@GLIBC_PRIVATE from ld.so again for
    gdb purpose
  - use inet_pton to decide what is address and what is hostname
    in getent (#135422)
  - change dladdr/dladdr1, so that dli_saddr is the same kind
    of value as dlsym/dlvsym return (makes difference on ia64/hppa only)
  - fix catchsegv script so that it works with both 32-bit and 64-bit
    programs on multi-arch platforms

* Tue Oct 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-70
- update from CVS
- require newer selinux-policy (#135978)
- add %%dir for /var/run/nscd and /var/db/nscd and %%ghost
  files in it
- conflict with gcc4 4.0.0-0.6 and earlier (needs __builtin_object_size)

* Mon Oct 18 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-69
- update from CVS
  - object size checking support (-D_FORTIFY_SOURCE={1,2})

* Thu Oct 14 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-68
- update from CVS
  - support for namespaces in the dynamic linker
  - fix dlclose (BZ #77)
  - libSegFault.so uses now backtrace() to work on IA-64, x86-64
    and s390 (#130254)

* Tue Oct 12 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-67
- update from CVS
  - use non-blocking sockets in resolver (#135234)
  - reset pd->res options on thread exit, so that threads
    reusing cached stacks get resolver state properly initialized
    (BZ #434)

* Wed Oct  6 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-66
- update from CVS
- avoid using perl in the spec file, buildrequire sed >= 3.95
  (#127671)
- export TIMEOUTFACTOR=16
- fix _JMPBUF_CFA_UNWINDS_ADJ on s390{,x}

* Tue Oct  5 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-65
- update from CVS
  - define _POSIX_THREAD_PROCESS_SHARED and _POSIX_CLOCK_SELECTION
    to -1 in LinuxThreads
  - define _POSIX_CPUTIME and _POSIX_THREAD_CPUTIME to 0
    on i?86/ia64 and make sure sysconf (_SC_{,THREAD_}CPUTIME)
    returns correct value
- if _POSIX_CLOCK_SELECTION == -1 in nscd, still try
  sysconf (_SC_CLOCK_SELECTION) and if it returns true,
  dlopen libpthread.so and dlsym pthread_condattr_setclock
- build nscd with -z relro and -z now

* Mon Oct  4 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-64
- update from CVS
  - stop using __builtin_expect in assert and assert_perror
    (#127606)
  - try to avoid too much VA fragmentation with malloc
    on flexmap layout (#118574)
  - nscd robustification
  - change valloc to use debugging hooks (#134385)
- make glibc_post_upgrade more verbose on errors (Fergal Daly,
  #125700)

* Fri Oct  1 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-63
- update from CVS
  - fix __nscd_getgrouplist
  - fix a typo in x86_64 pthread_mutex_timedwait fix

* Fri Oct  1 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-62
- update from CVS
  - fix NPTL pthread_mutex_timedwait on i386/x86_64 (BZ #417)

* Thu Sep 30 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-61
- update from CVS
  - some nscd fixes (#134193)
  - cache initgroups in nscd (#132850)
  - reread /etc/localtime in tzset () even if just mtime changed
    (#133481)
  - fix glob (#126460)
  - another get_myaddress fix

* Wed Sep 29 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-60
- update from CVS
  - fix get_myaddress (#133982)
  - remove nonnull attribute from second utime argument (#133866)
  - handle SIGSETXID the same way as SIGCANCEL in
    sigaction/pthread_kill/sigwait/sigwaitinfo etc.
  - add __extension__ to long long types in NPTL <bits/pthreadtypes.h>

* Mon Sep 27 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-59
- update from CVS
  - fix BZ #151, #362, #381, #407
  - fdim fix for +inf/+inf (BZ #376)

* Sun Sep 26 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-58
- update from CVS
  - vasprintf fix (BZ #346)
  - gettext locking (BZ #322)
- change linuxthreads useldt.h inclusion login again, the last
  one failed all linuxthreads FLOATING_STACKS tests

* Sat Sep 25 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-57
- update from CVS
  - fix setuid in LD_ASSUME_KERNEL=2.2.5 libc (#133558)
  - fix nis locking (#132204)
  - RTLD_DEEPBIND support
  - fix pthread_create bugs (BZ #401, #405)

* Wed Sep 22 2004 Roland McGrath <roland@redhat.com> 2.3.3-56
- migrated CVS to fedora-branch in sources.redhat.com glibc repository
  - source tarballs renamed
  - redhat/ moved to fedora/, some old cruft removed
- update from trunk
  - some __nonnull annotations

* Wed Sep 22 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-55
- update from CVS
  - set{re,e,res}[ug]id now affect the whole process in NPTL
  - return EAGAIN instead of ENOMEM when not enough memory
    in pthread_create

* Fri Sep 17 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-54
- update from CVS
  - nscd getaddrinfo caching

* Tue Sep 14 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-53
- restore temporarily old definition of __P()/__PMT()
  for third party apps

* Tue Sep 14 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-52
- update from CVS
  - nscd bi-arch fix
  - remove all uses of __P()/__PMT() from glibc headers
- update and reenable nscd SELinux patch
- remove libnss1* and libnss*.so.1 compatibility NSS modules
  on IA-32, SPARC and Alpha

* Fri Sep 10 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-51
- update from CVS
  - disable one of the malloc double free checks for non-contiguous
    arenas where it doesn't have to be true even for non-broken
    apps

* Thu Sep  9 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-50
- update from CVS
  - pwd/grp/host loops with nscd speed up by sharing the
    nscd cache r/o with applications
  - inexpensive double free check in free(3)
  - make NPTL pthread.h initializers usable even from C++
    (BZ #375)
- use atomic instructions even in i386 nscd on i486+ CPUs
  (conditionally)

* Fri Sep  3 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-49
- update from CVS
- fix linuxthreads tst-cancel{[45],-static}

* Fri Sep  3 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-48
- update from CVS
  - fix pthread_cond_destroy (BZ #342)
  - fix fnmatch without FNM_NOESCAPE (BZ #361)
  - fix ppc32 setcontext (BZ #357)
- add NPTL support for i386 glibc (only if run on i486 or higher CPU)
- add __NR_waitid defines for i386, x86_64 and sparc*

* Tue Aug 31 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-47
- update from CVS
  - persistent nscd caching
  - ppc64 32-bit atomicity fix
  - fix x86-64 nptl-devel headers for -m32 compilation
- %%ghost /etc/ld.so.cache (#130597)
- edit /etc/ld.so.conf in glibc_post_upgrade if
  include ld.so.conf.d/*.conf line is missing (#120588)
- ugly hacks for the IA-64 /emul braindamage (#124996, #128267)

* Sat Aug 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-46
- update from CVS

* Thu Aug 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-45
- update from CVS
  - fix nss_compat's initgroups handling (#130363)
  - fix getaddrinfo ai_canonname setting

* Thu Aug 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-44
- update from CVS
  - add ip6-dotint resolv.conf option, make
    no-ip6-dotint the default
- BuildPrereq libselinux-devel (#129946)
- on ppc64, build without dot symbols

* Thu Aug 12 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-43
- update from CVS
  - remove debugging printout (#129747)
  - make <sys/shm.h> usable in C++ (IT#45148)
- update RLIMIT_* constants in <bits/resource.h>, make
  <sys/resource.h> POSIX compliant (#129740)

* Wed Aug 11 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-42
- fix last tzset () fixes, disable rereading of /etc/localtime
  every time for now
- really enable SELinux support for NSCD

* Wed Aug 11 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-41
- update from CVS
  - fread_unlocked/fwrite_unlocked macro fixes (BZ #309, #316)
  - tzset () fixes (BZ #154)
- speed up pthread_rwlock_unlock on arches other than i386 and
  x86_64 (#129455)
- fix compilation with -ansi (resp. -std=c89 or -std=c99) and
  -D_XOPEN_SOURCE=[56]00 but no -D_POSIX_SOURCE* or -D_POSIX_C_SOURCE*
  (BZ #284)
- add SELinux support for NSCD

* Fri Aug  6 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-40
- update from CVS
  - change res_init to force all threads to re-initialize
    resolver before they use it next time (#125712)
  - various getaddrinfo and related fixes (BZ #295, #296)
  - fix IBM{932,943} iconv modules (#128674)
  - some nscd fixes (e.g. BZ #292)
  - RFC 3678 support (Multicast Source Filters)
- handle /lib/i686/librtkaio-* in i386 glibc_post_upgrade
  the same as /lib/i686/librt-*

* Fri Jul 23 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-39
- update from CVS
  - conformance related changes in headers
- remove -finline-limit=2000 for GCC 3.4.x+

* Thu Jul 22 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-38
- update from CVS
  - fix res_init leaks
  - fix newlocale races
  - fix ppc64 setjmp
- fix strtold (BZ #274)

* Fri Jul 16 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-37
- update from CVS
  - allow pthread_cancel in DSO destructors run at exit time
- fix pow{f,,l} on IA-32 and powl on x86-64
- allow PIEs on IA-32 to have main in a shared library they depend on

* Mon Jul  5 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-36
- s390* .plt slot reduction
- fix pthread_rwlock_timedrdlock on x86_64

* Wed Jun 30 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-35
- tweak spec file for the libpthread-0.61.so -> libpthread-2.3.3.so
  NPTL changes

* Wed Jun 30 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-34
- update from CVS
  - if_nameindex using preferably netlink
  - printf_parsemb initialization fix
  - NPTL version is now the same as glibc version

* Mon Jun 28 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-33
- update from CVS
  - reread resolv.conf for nscd --invalidate=hosts
  - fix F_GETLK/F_SETLK/F_SETLKW constants on x86_64 for
    -m32 -D_FILE_OFFSET_BITS=64 compilations
  - avoid calling non-existing fcntl64 syscall on ppc64

* Mon Jun 14 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-32
- update from CVS
  - FUTEX_CMP_REQUEUE support (fix pthread_cond_* deadlocks)
  - fix backtrace in statically linked programs
- rebuilt with GCC 3.4, adjusted ulps and i386 <bits/string.h>

* Fri May 28 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-31
- update from CVS
- <bits/string2.h> and <bits/mathinline.h> changes for GCC 3.{2,4,5}+
- make c_stubs buildable even with GCC 3.2.x (#123042)

* Fri May 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-30
- fix pthread_cond_wait on architectures other than IA-32 and
  x86_64

* Thu May 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-29
- use lib64 instead of lib on ia64 if %%{_lib} is defined to lib64

* Wed May 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-28
- update from CVS
  - FUTEX_REQUEUE fixes (#115349)
  - SPARC GCC 3.4 build fix
  - fix handling of undefined TLS symbols on IA32 (RELA only),
    SPARC and SH
  - regex translate fix
  - speed up sprintf
  - x86_64 makecontext alignment fix
  - make POSIX sigpause the default sigpause, unless BSD sigpause
    requested

* Tue May 11 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-27
- remove /lib64/tls/librtkaio-2.3.[23].so in glibc_post_upgrade
  on x86-64, s390x and ppc64 instead of /lib/tls/librtkaio-2.3.[23].so
- build mq_{send,receive} with -fexceptions

* Fri May  7 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-26
- update from CVS
  - fix <tgmath.h>
  - fix memory leaks in nis, getifaddrs, etc. caused by incorrect
    use of realloc
- remove /lib/{tls,i686}/librtkaio-2.3.[23].so in glibc_post_upgrade
  and rerun ldconfig if needed, otherwise after glibc upgrade librt.so.1
  might be a stale symlink

* Wed May  5 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-25
- update from CVS
- disable FUTEX_REQUEUE (work around #115349)
- mq for sparc/sparc64/ia64

* Tue May  4 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-24
- update from CVS
  - define S_ISSOCK in -D_XOPEN_SOURCE=600 and S_I[FS]SOCK
    plus F_[SG]ETOWN also in -D_XOPEN_SOURCE=500 (both
    included already in XNS5)
  - reorder dlopen checks, so that dlopening ET_REL objects
    complains about != ET_DYN != ET_EXEC, not about phentsize
    (#121606)
  - fix strpbrk macro for GCC 3.4+ (BZ #130)
  - fix <sys/sysctl.h> (BZ #140)
  - sched_[gs]etaffinity documentation fix (BZ #131)
  - fix sparc64 build (BZ #139)
  - change linuxthreads back to use non-cancellable writes
    to manager pipes etc.
  - fix sem_timedwait return value in linuxthreads (BZ #133)
  - ia64 unnecessary PLT relocs removal

* Thu Apr 22 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-23
- update from CVS
  - fix *scanf
  - fix shm_unlink, sem_unlink and mq_unlink errno values
  - avoid memory leaks in error
  - execstack fixes on s390

* Mon Apr 19 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-22
- update from CVS
  - mq and timer fixes
- rebuilt with binutils >= 2.15.90.0.3-2 to fix IA-64 statically
  linked binaries
- fix linuxthreads librt.so on s390{,x}, so it is no longer DT_TEXTREL

* Sat Apr 17 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-21
- disable rtkaio
- update from CVS
  - POSIX message passing support
  - fixed SIGEV_THREAD support for POSIX timers
  - fix free on non-malloced memory in syslog
  - fix ffsl on some 64-bit arches
  - fix sched_setaffinity on x86-64, ia64
  - fix ppc64 umount
  - NETID_AUTHORITATIVE, SERVICES_AUTHORITATIVE support
  - various NIS speedups
  - fix fwrite with > 2GB sizes on 64-bit arches
  - fix pthread_getattr_np guardsize reporting in NPTL
- report PLT relocations in ld.so and libc.so during the build

* Thu Mar 25 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-20
- update from CVS
  - change NPTL PTHREAD_MUTEX_ADAPTIVE_NP mutexes to spin on SMP
  - strtol speed optimization
  - don't try to use certainly unimplemented syscalls on ppc64
- kill -debug subpackage, move the libs to glibc-debuginfo{,-common}
  into /usr/lib/debug/usr/%%{_lib}/ directory
- fix c_stubs with gcc 3.4
- move all the up to 3 builds into %%build scriptlet and
  leave only installation in the %%install scriptlet

* Mon Mar 22 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-19
- update from CVS
  - affinity API changes

* Thu Mar 18 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-18
- update from CVS
  - fix ia64 iopl (#118591)
  - add support for /etc/ld.so.conf.d/*.conf
  - fix x86-64 LD_DEBUG=statistics
- fix hwcap handling when using ld.so.cache (#118518)

* Mon Mar 15 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-17
- update from CVS
  - implement non-_l function on top of _l functions

* Thu Mar 11 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-16
- update from CVS
- fix s390{,x} TLS handling

* Wed Mar 10 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-15
- update from CVS
  - special section for compatibility code
  - make getpid () work even in vfork () child
- configure with --enable-bind-now to avoid lazy binding in ld.so
  and libc.so

* Fri Mar  5 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-14
- update from CVS
  - fix iconv -c (#117021)
  - fix PIEs on sparc/sparc64
  - fix posix_fadvise on 64-bit architectures
- add locale-archive as %%ghost file (#117014)

* Mon Mar  1 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-13
- update from CVS

* Fri Feb 27 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-12
- update from CVS

* Fri Feb 27 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-11
- update from CVS
  - fix ld.so when vDSO is randomized

* Fri Feb 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-10
- update from CVS

* Fri Feb 20 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-9
- update from CVS

* Tue Feb 10 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-8
- update from CVS

* Tue Jan 27 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-7
- update from CVS
  - dl_iterate_phdr extension to signal number of added/removed
    libraries
- fix PT_GNU_RELRO support on ppc* with prelinking

* Fri Jan 23 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-6
- rebuilt with fixed GCC on IA-64

* Thu Jan 22 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-5
- fix PT_GNU_RELRO support

* Wed Jan 21 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-4
- update from CVS
  - some further regex speedups
  - fix re.translate handling in regex (#112869)
  - change regfree to match old regex behaviour (what is freed
    and clearing of freed pointers)
  - fix accesses to unitialized memory in regex (#113507, #113425,
    #113421)
  - PT_GNU_RELRO support

* Tue Dec 30 2003 Jakub Jelinek <jakub@redhat.com> 2.3.3-3
- update from CVS
  - fix pmap_set fd and memory leak (#112726)
- fix backreference handling in regex
- rebuilt under glibc without the above bug to fix
  libc.so linker script (#112738)

* Mon Dec 29 2003 Jakub Jelinek <jakub@redhat.com> 2.3.3-2
- update from CVS
  - faster getpid () in NPTL builds
  - fix to make pthread_setcancelstate (PTHREAD_CANCEL_DISABLE, )
    really disable cancellation (#112512)
  - more regex fixes and speedups
  - fix nextafter*/nexttoward*
  - handle 6th syscall(3) argument on AMD64
  - handle memalign/posix_memalign in mtrace
  - fix linuxthreads memory leak (#112208)
  - remove throw () from cancellation points in linuxthreads (#112602)
  - fix NPTL unregister_atfork
  - fix unwinding through alternate signal stacks

* Mon Dec  1 2003 Jakub Jelinek <jakub@redhat.com> 2.3.3-1
- update from CVS
  - 2.3.3 release
  - lots of regex fixes and speedups (#110401)
  - fix atan2
  - fix pshared condvars in NPTL
  - fix pthread_attr_destroy for attributes created with
    pthread_attr_init@GLIBC_2.0
- for the time being, include both nb_NO* and no_NO* as locales
  so that the distribution can catch up with the no_NO->nb_NO
  transition
- add BuildPrereq texinfo (#110252)

* Tue Nov 18 2003 Jakub Jelinek <jakub@redhat.com> 2.3.2-102
- update from CVS
  - fix getifaddrs (CAN-2003-0859)
